!******************************************************************************!
!                                                                              !
!    fill_couplings4.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings4.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 21:28             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl4()
      coupl(nGC_1768) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1766) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1767) = -sqrt(2d0)*cima*(ca*ys2 - sa*yd12x2)/2d0
      coupl(nGC_2323) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_2322) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_100) = cb**2d0*cima*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0*sb**  &
                       2d0/(2d0*sw**2d0)
      coupl(nGC_101) = cb**2d0*cima*ee**2d0/sw**2d0 + cima*ee**2d0*sb**2d0/sw**&
                       2d0
      coupl(nGC_102) = -ca**2d0*cb**2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/ &
                       2d0 - ca**2d0*cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca** &
                       2d0*cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/2d0 + &
                       ca*cb*cima*ee**2d0*sa*sb/(2d0*sw**2d0) - ca*cb*cima*l1* &
                       sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa*sb - &
                       cb**2d0*cima*ee**2d0*sa**2d0/(4d0*sw**2d0) + cb**2d0*   &
                       cima*l4*sa**2d0/2d0 + cb**2d0*cima*l5*sa**2d0/2d0 - cima&
                       *l4*sa**2d0*sb**2d0/2d0 - cima*l5*sa**2d0*sb**2d0/2d0
      coupl(nGC_103) = -ca**2d0*cb**2d0*cima*l5 - ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(4d0*sw**2d0) + ca**2d0*cima*l5*sb**2d0 - ca**2d0*cima*&
                       ee**2d0*sb**2d0/(4d0*cw**2d0) + ca*cb*cima*ee**2d0*sa*sb&
                       /(2d0*sw**2d0) - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*&
                       sb + 2d0*ca*cb*cima*l3*sa*sb + 2d0*ca*cb*cima*l4*sa*sb  &
                        - 2d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0*sa*sb/( &
                       2d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa**2d0/(4d0*sw**2d0&
                       ) + cb**2d0*cima*l5*sa**2d0 - cb**2d0*cima*ee**2d0*sa** &
                       2d0/(4d0*cw**2d0) - cima*l5*sa**2d0*sb**2d0
      coupl(nGC_104) = -ca**2d0*cb**2d0*cima*l3 + ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(4d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 - ca*cb*cima*ee&
                       **2d0*sa*sb/(2d0*sw**2d0) + 2d0*ca*cb*cima*l4*sa*sb +   &
                       2d0*ca*cb*cima*l5*sa*sb + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**2d0&
                       *sb**2d0
      coupl(nGC_105) = -ca**2d0*cb**2d0*cima*l3 + ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(4d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 - ca*cb*cima*ee&
                       **2d0*sa*sb/(2d0*sw**2d0) + 2d0*ca*cb*cima*l4*sa*sb +   &
                       2d0*ca*cb*cima*l5*sa*sb + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**2d0&
                       *sb**2d0
      coupl(nGC_106) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca &
                       **2d0*cb**2d0*cima*l5 + ca**2d0*cima*ee**2d0*sb**2d0/(  &
                       4d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 + ca**2d0*cima*ee&
                       **2d0*sb**2d0/(4d0*cw**2d0) - ca*cb*cima*ee**2d0*sa*sb/(&
                       2d0*sw**2d0) + 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**&
                       2d0*sa*sb/(2d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l2*sa**2d0 + cb**2d0*cima*ee&
                       **2d0*sa**2d0/(4d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - &
                       cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
      coupl(nGC_107) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca &
                       **2d0*cb**2d0*cima*l5 + ca**2d0*cima*ee**2d0*sb**2d0/(  &
                       4d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 + ca**2d0*cima*ee&
                       **2d0*sb**2d0/(4d0*cw**2d0) - ca*cb*cima*ee**2d0*sa*sb/(&
                       2d0*sw**2d0) + 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**&
                       2d0*sa*sb/(2d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l1*sa**2d0 + cb**2d0*cima*ee&
                       **2d0*sa**2d0/(4d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - &
                       cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
      coupl(nGC_108) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(2d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 + ca*cb*cima*ee&
                       **2d0*sa*sb/sw**2d0 + 2d0*ca*cb*cima*l4*sa*sb + 2d0*ca* &
                       cb*cima*l5*sa*sb - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw &
                       **2d0) - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**2d0*sb** &
                       2d0
      coupl(nGC_109) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(2d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 + ca*cb*cima*ee&
                       **2d0*sa*sb/sw**2d0 + 2d0*ca*cb*cima*l4*sa*sb + 2d0*ca* &
                       cb*cima*l5*sa*sb - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw &
                       **2d0) - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**2d0*sb** &
                       2d0
      coupl(nGC_1493) = -2d0*cima*ee/(3d0*cw)
      coupl(nGC_2329) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_2328) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1508) = sqrt(2d0)*cima*(ca*ye1 + sa*ye2)/2d0
      coupl(nGC_1509) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1505) = ee**2d0*(cb**2d0 + sb**2d0)/cw
      coupl(nGC_1506) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
      coupl(nGC_1507) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1698) = -sqrt(2d0)*cima*(ca*ye2 - sa*ye1)/2d0
      coupl(nGC_1699) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1690) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/(2d0*sw**2d0)
      coupl(nGC_1691) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_1692) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_1693) = cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**2d0
      coupl(nGC_1694) = cima*(cb*yup2 - sb*yup1)
      coupl(nGC_1695) = cb*cima
      coupl(nGC_1696) = cima*sb
      coupl(nGC_1697) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_181) = ca*cb*cima*ee**2d0/(2d0*sw) + cima*ee**2d0*sa*sb/(2d0*sw)
      coupl(nGC_1984) = -cb**2d0*cima*sa**2d0
      coupl(nGC_1985) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_1987) = -2d0*cima*(-2d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa -  &
                        ca*cb**2d0*l3*sa - ca*cb**2d0*l4*sa + ca*cb**2d0*l5*sa &
                         - ca*l2*sa*sb**2d0 + ca*l3*sa*sb**2d0 + ca*l4*sa*sb** &
                        2d0 - ca*l5*sa*sb**2d0 + 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_1980) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_1981) = 2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca**  &
                        2d0*cb*l4*sb - ca**2d0*cb*l5*sb + 2d0*ca*cb**2d0*l5*sa &
                         - 2d0*ca*l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**&
                        2d0*sb - cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
      coupl(nGC_1982) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_1983) = -ca**2d0*cima*sb**2d0
      coupl(nGC_813) = -coupl(nGC_205)/2d0
      coupl(nGC_811) = -coupl(nGC_199)
      coupl(nGC_817) = -coupl(nGC_347)
      coupl(nGC_815) = -coupl(nGC_338)
      coupl(nGC_819) = -coupl(nGC_377)
      coupl(nGC_1342) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1340) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1437) = cima*(cb*ytau1 + sb*ytau2)
      coupl(nGC_1346) = sqrt(2d0)*(cb*yd12x2 + sb*ys2)/2d0
      coupl(nGC_1347) = sqrt(2d0)*sb/2d0
      coupl(nGC_1432) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1345) = -4d0*cima*ee**2d0*(cb**2d0 + sb**2d0)
      coupl(nGC_1348) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1349) = -2d0*cima*ee/3d0
      coupl(nGC_1438) = -cb*cima
      coupl(nGC_1439) = cima*sb
      coupl(nGC_2245) = -cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**3d0
      coupl(nGC_929) = -coupl(nGC_14) + coupl(nGC_15)
      coupl(nGC_927) = -coupl(nGC_14) - coupl(nGC_15)
      coupl(nGC_925) = coupl(nGC_14) + coupl(nGC_15)
      coupl(nGC_923) = coupl(nGC_14) - coupl(nGC_15)
      coupl(nGC_921) = coupl(nGC_11)/2d0
      coupl(nGC_1238) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1239) = -cima*sa*(3d0*ca**2d0*l2 - 2d0*ca**2d0*l3 - 2d0*ca**2d0&
                        *l4 - 2d0*ca**2d0*l5 + l3*sa**2d0 + l4*sa**2d0 + l5*sa &
                        **2d0)
      coupl(nGC_1236) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1237) = cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_1234) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1235) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1232) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1233) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_1231) = -cima*ee**2d0*(ca*cb + sa*sb)/sw
      coupl(nGC_1260) = -cb*cima
      coupl(nGC_1619) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                        ca*vev2 - sa*vev1)/(cw**2d0*sw**3d0)
      coupl(nGC_2394) = 3d0*cima*sa**3d0*vev1
      coupl(nGC_2181) = -cima*(cb**4d0 + sb**4d0)
      coupl(nGC_2180) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_2183) = -cb**2d0*cima*sb**2d0
      coupl(nGC_2182) = -cb**2d0*cima*sb**2d0
      coupl(nGC_2185) = 2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2184) = 2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2187) = -(cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_2186) = (cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_2189) = cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_2188) = sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_1753) = -cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb*l3&
                        *sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca*l5*&
                        sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*vev1 - &
                        cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*sb*vev1 &
                         + l5*sa*sb**2d0*vev2)
      coupl(nGC_1752) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_247) = cb**3d0*l4*vev2/2d0 - cb**3d0*l5*vev2/2d0 - cb**2d0*l4* &
                       sb*vev1/2d0 + cb**2d0*l5*sb*vev1/2d0 + cb*l4*sb**2d0*   &
                       vev2/2d0 - cb*l5*sb**2d0*vev2/2d0 - l4*sb**3d0*vev1/2d0 &
                        + l5*sb**3d0*vev1/2d0
      coupl(nGC_2044) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_2045) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_2340) = -6d0*ca*cima*sa*(ca - sa)*(ca + sa)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_597) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                       ca*vev1 + sa*vev2)/(cw**2d0*sw**3d0)
      coupl(nGC_2040) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_2041) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_2042) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1751) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_1750) = ca*cb*cima*sb*vev1
      coupl(nGC_1754) = -cima*(ca*cb**2d0*vev2 - ca*cb*sb*vev1 - ca*sb**2d0*   &
                        vev2 + cb**2d0*sa*vev1 + cb*sa*sb*vev2 - sa*sb**2d0*   &
                        vev1)
      coupl(nGC_119) = cb**2d0*cw*ee**2d0/(2d0*sw**2d0) + cb**2d0*ee**2d0/(2d0*&
                       cw) + cw*ee**2d0*sb**2d0/(2d0*sw**2d0) + ee**2d0*sb**2d0&
                       /(2d0*cw)
      coupl(nGC_118) = cb**2d0*cw*ee**2d0/(2d0*sw**2d0) - cb**2d0*ee**2d0/(2d0*&
                       cw) + cw*ee**2d0*sb**2d0/(2d0*sw**2d0) - ee**2d0*sb**2d0&
                       /(2d0*cw)
      coupl(nGC_117) = cb**2d0*cw*ee**2d0/(4d0*sw**2d0) + cb**2d0*ee**2d0/(4d0*&
                       cw) + cw*ee**2d0*sb**2d0/(4d0*sw**2d0) + ee**2d0*sb**2d0&
                       /(4d0*cw)
      coupl(nGC_116) = cb**2d0*cw*ee**2d0/(4d0*sw**2d0) - cb**2d0*ee**2d0/(4d0*&
                       cw) + cw*ee**2d0*sb**2d0/(4d0*sw**2d0) - ee**2d0*sb**2d0&
                       /(4d0*cw)
      coupl(nGC_115) = -cb**2d0*cw*ee**2d0/(4d0*sw**2d0) + cb**2d0*ee**2d0/(4d0&
                       *cw) - cw*ee**2d0*sb**2d0/(4d0*sw**2d0) + ee**2d0*sb**  &
                       2d0/(4d0*cw)
      coupl(nGC_114) = -cb**2d0*cw*ee**2d0/(4d0*sw**2d0) - cb**2d0*ee**2d0/(4d0&
                       *cw) - cw*ee**2d0*sb**2d0/(4d0*sw**2d0) - ee**2d0*sb**  &
                       2d0/(4d0*cw)
      coupl(nGC_113) = -cb**2d0*cw*ee**2d0/(2d0*sw**2d0) + cb**2d0*ee**2d0/(2d0&
                       *cw) - cw*ee**2d0*sb**2d0/(2d0*sw**2d0) + ee**2d0*sb**  &
                       2d0/(2d0*cw)
      coupl(nGC_112) = -cb**2d0*cw*ee**2d0/(2d0*sw**2d0) - cb**2d0*ee**2d0/(2d0&
                       *cw) - cw*ee**2d0*sb**2d0/(2d0*sw**2d0) - ee**2d0*sb**  &
                       2d0/(2d0*cw)
      coupl(nGC_111) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca &
                       **2d0*cb**2d0*cima*l5 - ca**2d0*cima*ee**2d0*sb**2d0/(  &
                       2d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 - ca**2d0*cima*ee&
                       **2d0*sb**2d0/(2d0*cw**2d0) + ca*cb*cima*ee**2d0*sa*sb/ &
                       sw**2d0 + 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0* &
                       sa*sb/cw**2d0 - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw**  &
                       2d0) - cb**2d0*cima*l1*sa**2d0 - cb**2d0*cima*ee**2d0*sa&
                       **2d0/(2d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - cima*l4*&
                       sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
      coupl(nGC_110) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca &
                       **2d0*cb**2d0*cima*l5 - ca**2d0*cima*ee**2d0*sb**2d0/(  &
                       2d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 - ca**2d0*cima*ee&
                       **2d0*sb**2d0/(2d0*cw**2d0) + ca*cb*cima*ee**2d0*sa*sb/ &
                       sw**2d0 + 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0* &
                       sa*sb/cw**2d0 - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw**  &
                       2d0) - cb**2d0*cima*l2*sa**2d0 - cb**2d0*cima*ee**2d0*sa&
                       **2d0/(2d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - cima*l4*&
                       sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
      coupl(nGC_801) = -coupl(nGC_356)
      coupl(nGC_803) = -coupl(nGC_365)
      coupl(nGC_805) = -coupl(nGC_178)
      coupl(nGC_807) = -coupl(nGC_179)
      coupl(nGC_809) = -coupl(nGC_383)
      coupl(nGC_893) = -coupl(nGC_15)
      coupl(nGC_905) = -coupl(nGC_218)
      coupl(nGC_799) = 2d0*coupl(nGC_15)
      coupl(nGC_791) = -coupl(nGC_198)
      coupl(nGC_839) = -coupl(nGC_380)
      coupl(nGC_835) = -coupl(nGC_368)
      coupl(nGC_837) = -coupl(nGC_200)/2d0
      coupl(nGC_831) = -coupl(nGC_3)
      coupl(nGC_833) = -2d0*coupl(nGC_194)
      coupl(nGC_909) = -2d0*coupl(nGC_183)
      coupl(nGC_901) = coupl(nGC_6)/2d0
      coupl(nGC_903) = -2d0*coupl(nGC_215)
      coupl(nGC_907) = -2d0*coupl(nGC_189)
      coupl(nGC_897) = -coupl(nGC_386)
      coupl(nGC_895) = -2d0*coupl(nGC_15)
      coupl(nGC_829) = -coupl(nGC_191)
      coupl(nGC_823) = -coupl(nGC_214)
      coupl(nGC_827) = coupl(nGC_191)/2d0
      coupl(nGC_917) = -coupl(nGC_11)/2d0
      coupl(nGC_915) = -coupl(nGC_213)
      coupl(nGC_913) = -coupl(nGC_215)
      coupl(nGC_911) = -coupl(nGC_205)
      coupl(nGC_919) = -2d0*coupl(nGC_218)
      coupl(nGC_859) = -coupl(nGC_5)/2d0
      coupl(nGC_889) = -coupl(nGC_10)
      coupl(nGC_883) = -2d0*coupl(nGC_8)
      coupl(nGC_887) = coupl(nGC_10)/2d0
      coupl(nGC_785) = -coupl(nGC_184)
      coupl(nGC_841) = coupl(nGC_5)/2d0
      coupl(nGC_855) = -coupl(nGC_335)
    end subroutine fill_couplings_mdl4
end module fill_couplings4
