!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 21:28             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_2948) = cima*coupl(nGC_13)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_3540) = coupl(nGC_3098) + coupl(nGC_358)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_361)*dZmuMinusR_QED2/2d0 + coupl(      &
                        nGC_361)*dZnu_muL_QED2/2d0
      coupl(nGC_3541) = coupl(nGC_361)*dZGMinus/2d0
      coupl(nGC_3546) = -coupl(nGC_184)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3547) = coupl(nGC_23)*dZGMinus/2d0
      coupl(nGC_3544) = coupl(nGC_55)*(2d0*dZG0 + dZGMinus)/2d0
      coupl(nGC_3300) = -cima*dMM_QED2
      coupl(nGC_3301) = -cima*dMTA_QED2
      coupl(nGC_3302) = -cima*dMU_QED2
      coupl(nGC_3303) = -cima*dMU_QCD2
      coupl(nGC_3304) = -cima*dMC_QED2
      coupl(nGC_3305) = -cima*dMC_QCD2
      coupl(nGC_3306) = -cima*dMT_QED2
      coupl(nGC_3307) = -cima*dMT_QCD2
      coupl(nGC_3308) = -cima*dMD_QED2
      coupl(nGC_3309) = -cima*dMD_QCD2
      coupl(nGC_3434) = -coupl(nGC_215)*dZZA_QED2/2d0
      coupl(nGC_3432) = coupl(nGC_201)*dZWMinus_QED2/4d0 + coupl(nGC_3044)/2d0
      coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3438) = coupl(nGC_45)*dZGMinus
      coupl(nGC_3439) = coupl(nGC_2973) + coupl(nGC_33)*dZHhHl_QED2 + coupl(   &
                        nGC_34)*dZHMinusGMinus_QED2 + coupl(nGC_45)*dZHl_QED2
      coupl(nGC_3128) = coupl(nGC_1568)*dyup1_QED1_QCD2 + coupl(nGC_1570)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_3129) = coupl(nGC_1642)*dyc1_QED3 + coupl(nGC_1643)*dyc2_QED3  &
                         + coupl(nGC_1644)*da_QED2
      coupl(nGC_2433) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_2432) = cMB*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2435) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(   &
                        nGC_210))/(8d0*pi**2d0)
      coupl(nGC_2434) = cima*(-coupl(nGC_197)**2d0 - coupl(nGC_2)**2d0 - coupl(&
                        nGC_210)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2437) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_2980) = coupl(nGC_1949)*db_QED2 + coupl(nGC_1950)*dl3_QED4 +   &
                        coupl(nGC_1951)*dl2_QED4 + coupl(nGC_1952)*dl1_QED4 +  &
                        coupl(nGC_1953)*dl4_QED4 + coupl(nGC_1954)*dl5_QED4 +  &
                        coupl(nGC_1955)*da_QED2
      coupl(nGC_2439) = cMD*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2438) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(   &
                        nGC_209))/(8d0*pi**2d0)
      coupl(nGC_3122) = coupl(nGC_1332)*dyup1_QED1_QCD2 + coupl(nGC_1334)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_3123) = coupl(nGC_1675)*dyc1_QED3 + coupl(nGC_1676)*dyc2_QED3  &
                         + coupl(nGC_1677)*da_QED2
      coupl(nGC_3124) = coupl(nGC_1675)*dyc1_QED1_QCD2 + coupl(nGC_1676)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2983) = coupl(nGC_2193)*db_QED2 + coupl(nGC_2194)*dZee_QED2 +  &
                        coupl(nGC_2195)*dcw_QED2 + coupl(nGC_2196)*da_QED2
      coupl(nGC_3127) = coupl(nGC_1568)*dyup1_QED3 + coupl(nGC_1569)*da_QED2 + &
                        coupl(nGC_1570)*dyup2_QED3
      coupl(nGC_2982) = coupl(nGC_2226)*db_QED2 + coupl(nGC_2227)*dl3_QED4 +   &
                        coupl(nGC_2228)*dl2_QED4 + coupl(nGC_2229)*dl1_QED4 +  &
                        coupl(nGC_2230)*dl4_QED4 + coupl(nGC_2231)*dl5_QED4
      coupl(nGC_2985) = coupl(nGC_1828)*db_QED2 + coupl(nGC_1829)*dl3_QED4 +   &
                        coupl(nGC_1830)*dl2_QED4 + coupl(nGC_1831)*dl1_QED4 +  &
                        coupl(nGC_1832)*dl4_QED4 + coupl(nGC_1833)*dl5_QED4 +  &
                        coupl(nGC_1834)*da_QED2
      coupl(nGC_TS_GC_173_Hh) = -coupl(nGC_173)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2454) = cMT*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_372_Hh) = -coupl(nGC_372)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3054) = coupl(nGC_2019)*dyd12x2_QED1_QCD2 + coupl(nGC_2020)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3055) = coupl(nGC_1966)*db_QED2 + coupl(nGC_1967)*dyc1_QED3 +  &
                        coupl(nGC_1968)*dyc2_QED3
      coupl(nGC_3056) = coupl(nGC_1967)*dyc1_QED1_QCD2 + coupl(nGC_1968)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_3053) = coupl(nGC_2018)*db_QED2 + coupl(nGC_2019)*dyd12x2_QED3 &
                         + coupl(nGC_2020)*dys2_QED3
      coupl(nGC_4011) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_4010) = coupl(nGC_3305) + coupl(nGC_MC)*dZcL_QCD2/2d0 + coupl( &
                        nGC_MC)*dZcR_QCD2/2d0
      coupl(nGC_4012) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_3059) = coupl(nGC_2063)*db_QED2 + coupl(nGC_2064)*dyd13x3_QED3 &
                         + coupl(nGC_2065)*dyb2_QED3
      coupl(nGC_4017) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_4016) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_3159) = coupl(nGC_1653)*dZee_QED2 + coupl(nGC_1654)*dcw_QED2 + &
                        coupl(nGC_1655)*dsw_QED2
      coupl(nGC_3932) = coupl(nGC_209)*dZsL_QCD2
      coupl(nGC_3930) = -coupl(nGC_213)*dZG0Ha_QED2/2d0 - coupl(nGC_214)*      &
                        dZHhHl_QED2/2d0 - coupl(nGC_215)*dZHa_QED2/2d0 - coupl(&
                        nGC_215)*dZHl_QED2/2d0 - coupl(nGC_215)*dZZ_QED2/2d0 - &
                        coupl(nGC_3162)
      coupl(nGC_3937) = -coupl(nGC_26)*dZGMinus
      coupl(nGC_3935) = coupl(nGC_213)*dZG0Ha_QED2/2d0 + coupl(nGC_214)*       &
                        dZHhHl_QED2/2d0 + coupl(nGC_215)*dZHa_QED2/2d0 + coupl(&
                        nGC_215)*dZHl_QED2/2d0 + coupl(nGC_215)*dZZ_QED2/2d0 + &
                        coupl(nGC_3162)
      coupl(nGC_3934) = coupl(nGC_206)*dZsR_QCD2
      coupl(nGC_3939) = coupl(nGC_184)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_TS_GC_23_Hl) = -coupl(nGC_23)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_23_Hh) = -coupl(nGC_23)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3848) = coupl(nGC_213)*dZZA_QED2/2d0
      coupl(nGC_3845) = coupl(nGC_3307) + coupl(nGC_MT)*dZtL_QCD2/2d0 + coupl( &
                        nGC_MT)*dZtR_QCD2/2d0
      coupl(nGC_TS_GC_46_Hh) = -coupl(nGC_46)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3076) = coupl(nGC_2272)*dyd12x2_QED1_QCD2 + coupl(nGC_2273)*   &
                        dys2_QED1_QCD2
      coupl(nGC_2663) = coupl(nGC_13)**2d0*coupl(nGC_366)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_35_Hl) = -coupl(nGC_35)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2556) = coupl(nGC_13)**2d0*coupl(nGC_350)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2554) = coupl(nGC_13)**2d0*coupl(nGC_821)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2552) = coupl(nGC_13)**2d0*coupl(nGC_338)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2559) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_362) -    &
                        coupl(nGC_357)**2d0*coupl(nGC_885) - coupl(nGC_359)**  &
                        2d0*coupl(nGC_885) - coupl(nGC_360)**2d0*coupl(nGC_885 &
                        ) - coupl(nGC_362)**2d0*coupl(nGC_885) + 8d0*coupl(    &
                        nGC_362)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2489) = (coupl(nGC_1)*coupl(nGC_370)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_373)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2&
                        )*coupl(nGC_207)**2d0 + coupl(nGC_2)*coupl(nGC_369)**  &
                        2d0 + coupl(nGC_2)*coupl(nGC_371)*coupl(nGC_795) +     &
                        coupl(nGC_2)*coupl(nGC_372)**2d0 + coupl(nGC_2)*coupl( &
                        nGC_374)*coupl(nGC_873))/(32d0*pi**2d0)
      coupl(nGC_2917) = cima*(20d0*Nc*coupl(nGC_333)**4d0 + 20d0*Nc*coupl(     &
                        nGC_342)**4d0 + 20d0*Nc*coupl(nGC_345)**4d0 + 20d0*Nc* &
                        coupl(nGC_363)**4d0 + 20d0*Nc*coupl(nGC_369)**4d0 +    &
                        20d0*Nc*coupl(nGC_381)**4d0 + 3d0*coupl(nGC_224)**2d0  &
                         + 20d0*coupl(nGC_351)**4d0 + 20d0*coupl(nGC_357)**4d0 &
                         + 20d0*coupl(nGC_375)**4d0 + 6d0*coupl(nGC_77)**2d0)/(&
                        16d0*pi**2d0)
      coupl(nGC_2913) = cima*coupl(nGC_197)**2d0*(-Nc*coupl(nGC_333)*coupl(    &
                        nGC_336) - Nc*coupl(nGC_339)*coupl(nGC_342) - Nc*coupl(&
                        nGC_345)*coupl(nGC_348) - Nc*coupl(nGC_363)*coupl(     &
                        nGC_366) - Nc*coupl(nGC_369)*coupl(nGC_372) - Nc*coupl(&
                        nGC_381)*coupl(nGC_384) - coupl(nGC_351)*coupl(nGC_354 &
                        ) - coupl(nGC_357)*coupl(nGC_360) - coupl(nGC_375)*    &
                        coupl(nGC_378))/(6d0*pi**2d0)
      coupl(nGC_TS_GC_245_Hh) = -coupl(nGC_245)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3424) = coupl(nGC_99)*dZGMinus
      coupl(nGC_3339) = coupl(nGC_210)*dZcL_QCD2
      coupl(nGC_3335) = coupl(nGC_203)*dZZA_QED2/2d0 + coupl(nGC_3139) + coupl(&
                        nGC_7)*dZA_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2/2d0
      coupl(nGC_3334) = coupl(nGC_30)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3336) = coupl(nGC_52)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3331) = coupl(nGC_218)*dZGMinus
      coupl(nGC_3333) = coupl(nGC_244)*dZGMinus/2d0
      coupl(nGC_3115) = coupl(nGC_2070)*db_QED2 + coupl(nGC_2071)*dyup1_QED3 + &
                        coupl(nGC_2072)*dyup2_QED3
      coupl(nGC_3114) = coupl(nGC_1445)*db_QED2 + coupl(nGC_1446)*dytau2_QED3  &
                         + coupl(nGC_1447)*dytau1_QED3
      coupl(nGC_3117) = coupl(nGC_2281)*db_QED2 + coupl(nGC_2282)*dyc1_QED3 +  &
                        coupl(nGC_2283)*dyc2_QED3
      coupl(nGC_3116) = coupl(nGC_2071)*dyup1_QED1_QCD2 + coupl(nGC_2072)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_3111) = coupl(nGC_2351)*dytau2_QED3 + coupl(nGC_2352)*         &
                        dytau1_QED3 + coupl(nGC_2353)*da_QED2
      coupl(nGC_3110) = coupl(nGC_2159)*da_QED2 + coupl(nGC_2160)*dym1_QED3 +  &
                        coupl(nGC_2161)*dym2_QED3
      coupl(nGC_3113) = coupl(nGC_1364)*db_QED2 + coupl(nGC_1365)*dym1_QED3 +  &
                        coupl(nGC_1366)*dym2_QED3
      coupl(nGC_3112) = coupl(nGC_1220)*dye2_QED3 + coupl(nGC_1221)*db_QED2 +  &
                        coupl(nGC_1222)*dye1_QED3
      coupl(nGC_3118) = coupl(nGC_2282)*dyc1_QED1_QCD2 + coupl(nGC_2283)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_3686) = coupl(nGC_349)*dZGMinus/2d0
      coupl(nGC_3680) = coupl(nGC_230)*dZZA_QED2/2d0
      coupl(nGC_2429) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_2422) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_342)**2d0 - 4d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_333)**2d0 - 4d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_345)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_363)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_369)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_381)**2d0 - 4d0*  &
                        cME**2d0*cima*coupl(nGC_351)**2d0 - 4d0*cMM**2d0*cima* &
                        coupl(nGC_357)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_375 &
                        )**2d0 - 2d0*cMW**2d0*coupl(nGC_77) - cMZ**2d0*coupl(  &
                        nGC_224) + 2d0*cima*coupl(nGC_261)**2d0 + cima*coupl(  &
                        nGC_329)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2420) = cima*(-4d0*Nc*cMB**2d0*coupl(nGC_339)*coupl(nGC_342) - &
                        4d0*Nc*cMC**2d0*coupl(nGC_333)*coupl(nGC_336) - 4d0*Nc*&
                        cMD**2d0*coupl(nGC_345)*coupl(nGC_348) - 4d0*Nc*cMS**  &
                        2d0*coupl(nGC_363)*coupl(nGC_366) - 4d0*Nc*cMT**2d0*   &
                        coupl(nGC_369)*coupl(nGC_372) - 4d0*Nc*cMU**2d0*coupl( &
                        nGC_381)*coupl(nGC_384) - 4d0*cME**2d0*coupl(nGC_351)* &
                        coupl(nGC_354) - 4d0*cMM**2d0*coupl(nGC_357)*coupl(    &
                        nGC_360) - 4d0*cMTA**2d0*coupl(nGC_375)*coupl(nGC_378  &
                        ) + 2d0*coupl(nGC_261)*coupl(nGC_272) + coupl(nGC_329)*&
                        coupl(nGC_332))/(16d0*pi**2d0)
      coupl(nGC_2421) = cima*(Nc*coupl(nGC_333)**2d0 + Nc*coupl(nGC_342)**2d0  &
                         + Nc*coupl(nGC_345)**2d0 + Nc*coupl(nGC_363)**2d0 + Nc&
                        *coupl(nGC_369)**2d0 + Nc*coupl(nGC_381)**2d0 + coupl( &
                        nGC_351)**2d0 + coupl(nGC_357)**2d0 + coupl(nGC_375)** &
                        2d0)/(24d0*pi**2d0)
      coupl(nGC_3149) = coupl(nGC_1543)*dZee_QED2 + coupl(nGC_1544)*dsw_QED2
      coupl(nGC_TS_GC_243_Hl) = -coupl(nGC_243)*dtHl_QED1/cMHL**2d0
      coupl(nGC_4007) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_4004) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_4005) = -coupl(nGC_MZ_GF)*dZG0/2d0
      coupl(nGC_4002) = 2d0*coupl(nGC_69)*dZG0
      coupl(nGC_4000) = -coupl(nGC_213)*dZHlHh_QED2/2d0 - coupl(nGC_214)*      &
                        dZHaG0_QED2/2d0 - coupl(nGC_215)*dZHh_QED2/2d0 - coupl(&
                        nGC_215)*dZZ_QED2/2d0 - coupl(nGC_3162)
      coupl(nGC_4001) = -coupl(nGC_215)*dZG0/2d0
      coupl(nGC_2442) = cME*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_4008) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_3061) = coupl(nGC_1307)*db_QED2 + coupl(nGC_1308)*dydo1_QED3 + &
                        coupl(nGC_1309)*dydo2_QED3
      coupl(nGC_3060) = coupl(nGC_2064)*dyd13x3_QED1_QCD2 + coupl(nGC_2065)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3063) = coupl(nGC_1792)*db_QED2 + coupl(nGC_1793)*dyup1_QED3 + &
                        coupl(nGC_1794)*dyup2_QED3
      coupl(nGC_3062) = coupl(nGC_1308)*dydo1_QED1_QCD2 + coupl(nGC_1309)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_3065) = coupl(nGC_1656)*db_QED2 + coupl(nGC_1657)*dyc1_QED3 +  &
                        coupl(nGC_1658)*dyc2_QED3
      coupl(nGC_3064) = coupl(nGC_1793)*dyup1_QED1_QCD2 + coupl(nGC_1794)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_3067) = coupl(nGC_1335)*db_QED2 + coupl(nGC_1336)*dyd12x2_QED3 &
                         + coupl(nGC_1337)*dys2_QED3
      coupl(nGC_3066) = coupl(nGC_1657)*dyc1_QED1_QCD2 + coupl(nGC_1658)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_3069) = coupl(nGC_2082)*db_QED2 + coupl(nGC_2083)*dyt1_QED3 +  &
                        coupl(nGC_2084)*dyt2_QED3
      coupl(nGC_3068) = coupl(nGC_1336)*dyd12x2_QED1_QCD2 + coupl(nGC_1337)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3590) = coupl(nGC_209)*dZdL_QCD2
      coupl(nGC_3593) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_3592) = coupl(nGC_206)*dZdR_QCD2
      coupl(nGC_3595) = coupl(nGC_3310) + coupl(nGC_MS)*dZsL_QED2/2d0 + coupl( &
                        nGC_MS)*dZsR_QED2/2d0 + coupl(nGC_TS_GC_363_Hl) + coupl&
                        (nGC_TS_GC_366_Hh)
      coupl(nGC_3594) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_3597) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_3596) = coupl(nGC_3311) + coupl(nGC_MS)*dZsL_QCD2/2d0 + coupl( &
                        nGC_MS)*dZsR_QCD2/2d0
      coupl(nGC_2952) = coupl(nGC_1744)*dZee_QED2 + coupl(nGC_1745)*dcw_QED2
      coupl(nGC_3598) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_2488) = (4d0*coupl(nGC_1)*coupl(nGC_197)**2d0 + coupl(nGC_1)*  &
                        coupl(nGC_340)**2d0 + coupl(nGC_1)*coupl(nGC_343)**2d0 &
                         + 2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(   &
                        nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_210)**2d0 +   &
                        coupl(nGC_2)*coupl(nGC_369)**2d0 + coupl(nGC_2)*coupl( &
                        nGC_371)*coupl(nGC_795) + coupl(nGC_2)*coupl(nGC_372)**&
                        2d0 + coupl(nGC_2)*coupl(nGC_374)*coupl(nGC_873))/(32d0&
                        *pi**2d0)
      coupl(nGC_2968) = coupl(nGC_2117)*db_QED2 + coupl(nGC_2118)*dl3_QED4 +   &
                        coupl(nGC_2119)*dl2_QED4 + coupl(nGC_2120)*dl1_QED4 +  &
                        coupl(nGC_2121)*dl4_QED4 + coupl(nGC_2122)*dl5_QED4
      coupl(nGC_3920) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_3921) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_13)*dZsL_QCD2 + &
                        coupl(nGC_3180)
      coupl(nGC_3922) = coupl(nGC_13)*dZsL_QED2
      coupl(nGC_3925) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*          &
                        dZnu_tauL_QED2 + coupl(nGC_3186)
      coupl(nGC_3928) = coupl(nGC_49)*dZG0
      coupl(nGC_TS_GC_63_Hl) = -coupl(nGC_63)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2954) = coupl(nGC_2001)*dZee_QED2 + coupl(nGC_2002)*dcw_QED2 + &
                        coupl(nGC_2003)*dsw_QED2
      coupl(nGC_3859) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_2955) = coupl(nGC_2387)*db_QED2 + coupl(nGC_2388)*dZee_QED2 +  &
                        coupl(nGC_2389)*dcw_QED2 + coupl(nGC_2390)*da_QED2
      coupl(nGC_TS_GC_242_Hl) = -coupl(nGC_242)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2714) = coupl(nGC_13)**2d0*coupl(nGC_207)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3419) = -coupl(nGC_374)*dZG0/2d0
      coupl(nGC_2706) = coupl(nGC_197)*(-coupl(nGC_199)*coupl(nGC_211) + 2d0*  &
                        coupl(nGC_211)*coupl(nGC_212) - coupl(nGC_212)*coupl(  &
                        nGC_811) - coupl(nGC_3)*coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_2958) = coupl(nGC_2133)*db_QED2 + coupl(nGC_2134)*dl3_QED4 +   &
                        coupl(nGC_2135)*dl2_QED4 + coupl(nGC_2136)*dl1_QED4 +  &
                        coupl(nGC_2137)*dl4_QED4 + coupl(nGC_2138)*dl5_QED4
      coupl(nGC_2959) = coupl(nGC_2139)*db_QED2 + coupl(nGC_2140)*dl3_QED4 +   &
                        coupl(nGC_2141)*dl2_QED4 + coupl(nGC_2142)*dl1_QED4 +  &
                        coupl(nGC_2143)*dl4_QED4 + coupl(nGC_2144)*dl5_QED4
      coupl(nGC_2521) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_379)/(4d0*pi** &
                        2d0)
      coupl(nGC_2520) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_361)/(4d0*pi** &
                        2d0)
      coupl(nGC_2527) = coupl(nGC_197)*(-Nc*coupl(nGC_336)*coupl(nGC_337) + Nc*&
                        coupl(nGC_339)*coupl(nGC_340) + Nc*coupl(nGC_348)*coupl&
                        (nGC_349) + Nc*coupl(nGC_366)*coupl(nGC_367) - Nc*coupl&
                        (nGC_372)*coupl(nGC_373) - Nc*coupl(nGC_384)*coupl(    &
                        nGC_385) + coupl(nGC_354)*coupl(nGC_355) + coupl(      &
                        nGC_360)*coupl(nGC_361) + coupl(nGC_378)*coupl(nGC_379 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2526) = (-Nc*coupl(nGC_206)*coupl(nGC_340)*coupl(nGC_343) - Nc*&
                        coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_349) - Nc*coupl&
                        (nGC_206)*coupl(nGC_364)*coupl(nGC_367) + Nc*coupl(    &
                        nGC_207)*coupl(nGC_334)*coupl(nGC_337) + Nc*coupl(     &
                        nGC_207)*coupl(nGC_370)*coupl(nGC_373) + Nc*coupl(     &
                        nGC_207)*coupl(nGC_382)*coupl(nGC_385) - Nc*coupl(     &
                        nGC_209)*coupl(nGC_334)*coupl(nGC_337) - Nc*coupl(     &
                        nGC_209)*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl(     &
                        nGC_209)*coupl(nGC_382)*coupl(nGC_385) + Nc*coupl(     &
                        nGC_210)*coupl(nGC_340)*coupl(nGC_343) + Nc*coupl(     &
                        nGC_210)*coupl(nGC_346)*coupl(nGC_349) + Nc*coupl(     &
                        nGC_210)*coupl(nGC_364)*coupl(nGC_367) - coupl(nGC_208 &
                        )*coupl(nGC_352)*coupl(nGC_355) - coupl(nGC_208)*coupl(&
                        nGC_358)*coupl(nGC_361) - coupl(nGC_208)*coupl(nGC_376 &
                        )*coupl(nGC_379) + coupl(nGC_212)*coupl(nGC_352)*coupl(&
                        nGC_355) + coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_361 &
                        ) + coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_379))/(24d0&
                        *pi**2d0)
      coupl(nGC_2529) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_340) - &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340) -  &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_340) +  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_337) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_337) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_337) +  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_349) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_349) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_349) +  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_367) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_367) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_367) +  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_373) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_373) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_373) +  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_385) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_385) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_385) +  &
                        cME*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_355) - cME*&
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_355) - cME*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_355) + cMM*    &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_361) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_361) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_361) + cMTA*   &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_379) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_379) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_379) + 2d0*cima&
                        *coupl(nGC_194)*coupl(nGC_237) + 2d0*cima*coupl(nGC_324&
                        )*coupl(nGC_813) + 2d0*coupl(nGC_199)*coupl(nGC_237)*  &
                        coupl(nGC_811) + 2d0*coupl(nGC_3)*coupl(nGC_324)*coupl(&
                        nGC_811))/(16d0*pi**2d0)
      coupl(nGC_2528) = coupl(nGC_197)*(-Nc*coupl(nGC_333)*coupl(nGC_337) + Nc*&
                        coupl(nGC_340)*coupl(nGC_342) + Nc*coupl(nGC_345)*coupl&
                        (nGC_349) + Nc*coupl(nGC_363)*coupl(nGC_367) - Nc*coupl&
                        (nGC_369)*coupl(nGC_373) - Nc*coupl(nGC_381)*coupl(    &
                        nGC_385) + coupl(nGC_351)*coupl(nGC_355) + coupl(      &
                        nGC_357)*coupl(nGC_361) + coupl(nGC_375)*coupl(nGC_379 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2635) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_377) -    &
                        coupl(nGC_375)**2d0*coupl(nGC_819) - coupl(nGC_377)**  &
                        2d0*coupl(nGC_819) + 8d0*coupl(nGC_377)*coupl(nGC_4)** &
                        2d0 - coupl(nGC_378)**2d0*coupl(nGC_819) - coupl(      &
                        nGC_380)**2d0*coupl(nGC_819))/(32d0*pi**2d0)
      coupl(nGC_2634) = coupl(nGC_13)**2d0*coupl(nGC_371)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2633) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_371) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_371) - coupl(nGC_340 &
                        )*coupl(nGC_373)*coupl(nGC_847) - coupl(nGC_343)*coupl(&
                        nGC_370)*coupl(nGC_847) - coupl(nGC_369)**2d0*coupl(   &
                        nGC_795) - coupl(nGC_371)**2d0*coupl(nGC_795) - coupl( &
                        nGC_372)**2d0*coupl(nGC_795) - coupl(nGC_374)**2d0*    &
                        coupl(nGC_795))/(32d0*pi**2d0)
      coupl(nGC_2632) = coupl(nGC_13)**2d0*coupl(nGC_795)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2631) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_795) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_795) - coupl(nGC_340 &
                        )*coupl(nGC_344)*coupl(nGC_373) - coupl(nGC_343)*coupl(&
                        nGC_344)*coupl(nGC_370) - coupl(nGC_369)**2d0*coupl(   &
                        nGC_371) - coupl(nGC_371)*coupl(nGC_372)**2d0 - coupl( &
                        nGC_371)*coupl(nGC_795)**2d0 - coupl(nGC_371)*coupl(   &
                        nGC_873)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2630) = coupl(nGC_13)**2d0*coupl(nGC_365)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_178_Hh) = -coupl(nGC_178)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_178_Hl) = -coupl(nGC_178)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3328) = coupl(nGC_2952) + coupl(nGC_30)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_30)*dZHa_QED2/2d0
      coupl(nGC_3322) = coupl(nGC_62)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3323) = coupl(nGC_2979) + coupl(nGC_53)*dZHaG0_QED2/2d0 + coupl&
                        (nGC_53)*dZHhHl_QED2/2d0 + coupl(nGC_62)*dZHMinus_QED2/&
                        2d0 + coupl(nGC_62)*dZHl_QED2/2d0
      coupl(nGC_3321) = coupl(nGC_29)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3410) = coupl(nGC_72)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3102) = coupl(nGC_1437)*db_QED2 + coupl(nGC_1438)*dytau2_QED3  &
                         + coupl(nGC_1439)*dytau1_QED3
      coupl(nGC_3103) = coupl(nGC_1261)*dye2_QED3 + coupl(nGC_1262)*db_QED2 +  &
                        coupl(nGC_1263)*dye1_QED3
      coupl(nGC_3101) = coupl(nGC_1279)*db_QED2 + coupl(nGC_1280)*dym1_QED3 +  &
                        coupl(nGC_1281)*dym2_QED3
      coupl(nGC_3106) = coupl(nGC_1697)*dye2_QED3 + coupl(nGC_1698)*da_QED2 +  &
                        coupl(nGC_1699)*dye1_QED3
      coupl(nGC_3107) = coupl(nGC_1672)*da_QED2 + coupl(nGC_1673)*dym1_QED3 +  &
                        coupl(nGC_1674)*dym2_QED3
      coupl(nGC_3104) = coupl(nGC_1317)*db_QED2 + coupl(nGC_1318)*dym1_QED3 +  &
                        coupl(nGC_1319)*dym2_QED3
      coupl(nGC_3105) = coupl(nGC_1282)*db_QED2 + coupl(nGC_1283)*dytau2_QED3  &
                         + coupl(nGC_1284)*dytau1_QED3
      coupl(nGC_3458) = coupl(nGC_3135) + coupl(nGC_335)*dZHa_QED2/2d0 + coupl(&
                        nGC_335)*dZcL_QED2/2d0 + coupl(nGC_335)*dZcR_QED2/2d0  &
                         + coupl(nGC_338)*dZG0Ha_QED2/2d0
      coupl(nGC_3459) = coupl(nGC_3136) + coupl(nGC_335)*dZcL_QCD2/2d0 + coupl(&
                        nGC_335)*dZcR_QCD2/2d0
      coupl(nGC_3108) = coupl(nGC_1934)*dytau2_QED3 + coupl(nGC_1935)*         &
                        dytau1_QED3 + coupl(nGC_1936)*da_QED2
      coupl(nGC_3109) = coupl(nGC_1507)*dye2_QED3 + coupl(nGC_1508)*da_QED2 +  &
                        coupl(nGC_1509)*dye1_QED3
      coupl(nGC_2989) = coupl(nGC_2301)*dl3_QED4 + coupl(nGC_2302)*dl2_QED4 +  &
                        coupl(nGC_2303)*dl1_QED4 + coupl(nGC_2304)*dl4_QED4 +  &
                        coupl(nGC_2305)*dl5_QED4 + coupl(nGC_2306)*da_QED2
      coupl(nGC_2988) = coupl(nGC_1821)*db_QED2 + coupl(nGC_1822)*dl3_QED4 +   &
                        coupl(nGC_1823)*dl2_QED4 + coupl(nGC_1824)*dl1_QED4 +  &
                        coupl(nGC_1825)*dl4_QED4 + coupl(nGC_1826)*dl5_QED4 +  &
                        coupl(nGC_1827)*da_QED2
      coupl(nGC_2459) = (-Nc*coupl(nGC_1)*coupl(nGC_334)*coupl(nGC_337) - Nc*  &
                        coupl(nGC_1)*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl( &
                        nGC_1)*coupl(nGC_346)*coupl(nGC_349) - Nc*coupl(nGC_1)*&
                        coupl(nGC_364)*coupl(nGC_367) - Nc*coupl(nGC_1)*coupl( &
                        nGC_370)*coupl(nGC_373) - Nc*coupl(nGC_1)*coupl(nGC_382&
                        )*coupl(nGC_385) + Nc*coupl(nGC_2)*coupl(nGC_334)*coupl&
                        (nGC_337) + Nc*coupl(nGC_2)*coupl(nGC_340)*coupl(      &
                        nGC_343) + Nc*coupl(nGC_2)*coupl(nGC_346)*coupl(nGC_349&
                        ) + Nc*coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_367) + Nc*&
                        coupl(nGC_2)*coupl(nGC_370)*coupl(nGC_373) + Nc*coupl( &
                        nGC_2)*coupl(nGC_382)*coupl(nGC_385) - coupl(nGC_352)* &
                        coupl(nGC_355)*coupl(nGC_4) - coupl(nGC_358)*coupl(    &
                        nGC_361)*coupl(nGC_4) - coupl(nGC_376)*coupl(nGC_379)* &
                        coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_2458) = (Nc*coupl(nGC_1)*coupl(nGC_334)*coupl(nGC_337) + Nc*   &
                        coupl(nGC_1)*coupl(nGC_340)*coupl(nGC_343) + Nc*coupl( &
                        nGC_1)*coupl(nGC_346)*coupl(nGC_349) + Nc*coupl(nGC_1)*&
                        coupl(nGC_364)*coupl(nGC_367) + Nc*coupl(nGC_1)*coupl( &
                        nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_1)*coupl(nGC_382&
                        )*coupl(nGC_385) - Nc*coupl(nGC_2)*coupl(nGC_334)*coupl&
                        (nGC_337) - Nc*coupl(nGC_2)*coupl(nGC_340)*coupl(      &
                        nGC_343) - Nc*coupl(nGC_2)*coupl(nGC_346)*coupl(nGC_349&
                        ) - Nc*coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_367) - Nc*&
                        coupl(nGC_2)*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl( &
                        nGC_2)*coupl(nGC_382)*coupl(nGC_385) + coupl(nGC_352)* &
                        coupl(nGC_355)*coupl(nGC_4) + coupl(nGC_358)*coupl(    &
                        nGC_361)*coupl(nGC_4) + coupl(nGC_376)*coupl(nGC_379)* &
                        coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_3696) = coupl(nGC_221)*dZZA_QED2 + coupl(nGC_29)*dZA_QED2 +    &
                        coupl(nGC_29)*dZHMinus_QED2 + coupl(nGC_3040)
      coupl(nGC_3695) = coupl(nGC_252)*dZGMinus/2d0
      coupl(nGC_2453) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(   &
                        nGC_210))/(8d0*pi**2d0)
      coupl(nGC_2452) = cMS*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2451) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(   &
                        nGC_209))/(8d0*pi**2d0)
      coupl(nGC_2450) = cima*(-coupl(nGC_197)**2d0 - coupl(nGC_212)**2d0)/(16d0&
                        *pi**2d0)
      coupl(nGC_2457) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(   &
                        nGC_210))/(8d0*pi**2d0)
      coupl(nGC_2455) = cMTA*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4&
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_3433) = coupl(nGC_30)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_TS_GC_35_Hh) = -coupl(nGC_35)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3910) = coupl(nGC_368)*dZG0/2d0
      coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3078) = coupl(nGC_1137)*dyd13x3_QED1_QCD2 + coupl(nGC_1138)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3079) = coupl(nGC_1157)*dydo2_QED3 + coupl(nGC_1158)*dydo1_QED3&
                         + coupl(nGC_1159)*da_QED2
      coupl(nGC_3077) = coupl(nGC_1136)*db_QED2 + coupl(nGC_1137)*dyd13x3_QED3 &
                         + coupl(nGC_1138)*dyb2_QED3
      coupl(nGC_3074) = coupl(nGC_1224)*dydo1_QED1_QCD2 + coupl(nGC_1225)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_3075) = coupl(nGC_2271)*db_QED2 + coupl(nGC_2272)*dyd12x2_QED3 &
                         + coupl(nGC_2273)*dys2_QED3
      coupl(nGC_3072) = coupl(nGC_1687)*dyd13x3_QED1_QCD2 + coupl(nGC_1688)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3073) = coupl(nGC_1223)*db_QED2 + coupl(nGC_1224)*dydo1_QED3 + &
                        coupl(nGC_1225)*dydo2_QED3
      coupl(nGC_3070) = coupl(nGC_2083)*dyt1_QED1_QCD2 + coupl(nGC_2084)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_3071) = coupl(nGC_1686)*db_QED2 + coupl(nGC_1687)*dyd13x3_QED3 &
                         + coupl(nGC_1688)*dyb2_QED3
      coupl(nGC_2431) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(   &
                        nGC_209))/(8d0*pi**2d0)
      coupl(nGC_3586) = coupl(nGC_62)*dZGMinus/2d0
      coupl(nGC_3587) = coupl(nGC_2979) + coupl(nGC_52)*dZG0Ha_QED2/2d0 + coupl&
                        (nGC_52)*dZHlHh_QED2/2d0 + coupl(nGC_62)*dZHMinus_QED2/&
                        2d0 + coupl(nGC_62)*dZHa_QED2/2d0 + coupl(nGC_62)*     &
                        dZHh_QED2/2d0
      coupl(nGC_3583) = coupl(nGC_3041)/2d0 + coupl(nGC_5)*dZWMinus_QED2/4d0
      coupl(nGC_2858) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_340)*coupl(nGC_342) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_349) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*coupl&
                        (nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_333)*coupl(nGC_337) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_373   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_381)*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_337) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340)*coupl&
                        (nGC_342) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_345)*coupl(nGC_349) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_367   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_369)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_381)*coupl(nGC_385) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_333)*coupl&
                        (nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_340)*coupl(nGC_342) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_345)*coupl(nGC_349   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_363)*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_369)*coupl(nGC_373) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_381)*coupl&
                        (nGC_385) + 6d0*cima*coupl(nGC_174)*coupl(nGC_813) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_21) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_355   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_357)*coupl(nGC_361) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_375)*coupl(nGC_379) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_351)*coupl(    &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_357)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_375)*coupl(nGC_379) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(   &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_357)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_379) + 6d0*    &
                        coupl(nGC_174)*coupl(nGC_3)*coupl(nGC_811) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_21)*coupl(nGC_811))/(48d0*pi**2d0)
      coupl(nGC_2436) = cMC*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_3120) = coupl(nGC_573)*dyt1_QED1_QCD2 + coupl(nGC_575)*        &
                        dyt2_QED1_QCD2
      coupl(nGC_3588) = -coupl(nGC_201)*dZZA_QED2/4d0 - coupl(nGC_3041)/2d0 -  &
                        coupl(nGC_5)*dZA_QED2/4d0
      coupl(nGC_3121) = coupl(nGC_1332)*dyup1_QED3 + coupl(nGC_1333)*da_QED2 + &
                        coupl(nGC_1334)*dyup2_QED3
      coupl(nGC_2829) = 5d0*cima*(Nc*coupl(nGC_334)**3d0*coupl(nGC_337) + Nc*  &
                        coupl(nGC_340)*coupl(nGC_343)**3d0 + Nc*coupl(nGC_346  &
                        )**3d0*coupl(nGC_349) + Nc*coupl(nGC_364)**3d0*coupl(  &
                        nGC_367) + Nc*coupl(nGC_370)**3d0*coupl(nGC_373) + Nc* &
                        coupl(nGC_382)**3d0*coupl(nGC_385) + coupl(nGC_352)**  &
                        3d0*coupl(nGC_355) + coupl(nGC_358)**3d0*coupl(nGC_361 &
                        ) + coupl(nGC_376)**3d0*coupl(nGC_379))/(24d0*pi**2d0)
      coupl(nGC_3125) = coupl(nGC_1431)*da_QED2 + coupl(nGC_1432)*dyt1_QED3 +  &
                        coupl(nGC_1433)*dyt2_QED3
      coupl(nGC_2857) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_339)*coupl(nGC_340) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_348)*coupl(nGC_349) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_366)*coupl&
                        (nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_336)*coupl(nGC_337) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_372)*coupl(nGC_373   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_384)*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_336)*coupl(nGC_337) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_339)*coupl&
                        (nGC_340) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_348)*coupl(nGC_349) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_366)*coupl(nGC_367   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_372)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_384)*coupl(nGC_385) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_336)*coupl&
                        (nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_339)*coupl(nGC_340) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_348)*coupl(nGC_349   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_366)*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_372)*coupl(nGC_373) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_384)*coupl&
                        (nGC_385) + 6d0*cima*coupl(nGC_180)*coupl(nGC_813) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_354)*coupl(nGC_355   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_360)*coupl(nGC_361) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_378)*coupl(nGC_379) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_354)*coupl(    &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_360)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_378)*coupl(nGC_379) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_354)*coupl(   &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_360)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_378)*coupl(nGC_379) + 6d0*    &
                        coupl(nGC_180)*coupl(nGC_3)*coupl(nGC_811) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_23)*coupl(nGC_811))/(48d0*pi**2d0)
      coupl(nGC_3525) = coupl(nGC_186)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3911) = -coupl(nGC_3075) - coupl(nGC_365)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_368)*dZsL_QED2/2d0 - coupl(nGC_368)*dZsR_QED2&
                        /2d0
      coupl(nGC_3913) = -coupl(nGC_368)*dZG0/2d0
      coupl(nGC_3912) = -coupl(nGC_3076) - coupl(nGC_368)*dZsL_QCD2/2d0 - coupl&
                        (nGC_368)*dZsR_QCD2/2d0
      coupl(nGC_TS_GC_360_Hh) = -coupl(nGC_360)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3656) = coupl(nGC_3122) + coupl(nGC_384)*dZuL_QCD2/2d0 + coupl(&
                        nGC_384)*dZuR_QCD2/2d0
      coupl(nGC_3657) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_204)*dZZA_QED2 +    &
                        coupl(nGC_3039)
      coupl(nGC_3654) = coupl(nGC_231)*dZZA_QED2/2d0 + coupl(nGC_3143) + coupl(&
                        nGC_321)*dZA_QED2/2d0 + coupl(nGC_321)*dZHMinus_QED2/  &
                        2d0 + coupl(nGC_321)*dZWMinus_QED2/2d0 + coupl(nGC_324 &
                        )*dZGMinusHMinus_QED2/2d0 + coupl(nGC_TS_GC_175_Hh) +  &
                        coupl(nGC_TS_GC_180_Hl)
      coupl(nGC_3655) = coupl(nGC_3121) + coupl(nGC_381)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_384)*dZHh_QED2/2d0 + coupl(nGC_384)*dZuL_QED2&
                        /2d0 + coupl(nGC_384)*dZuR_QED2/2d0
      coupl(nGC_3559) = coupl(nGC_100)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3653) = coupl(nGC_3110) + coupl(nGC_357)*dZHl_QED2/2d0 + coupl(&
                        nGC_357)*dZmuMinusL_QED2/2d0 + coupl(nGC_357)*         &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_360)*dZHhHl_QED2/2d0
      coupl(nGC_2497) = (Nc*coupl(nGC_206)*coupl(nGC_340)**2d0 + Nc*coupl(     &
                        nGC_206)*coupl(nGC_349)**2d0 + Nc*coupl(nGC_206)*coupl(&
                        nGC_367)**2d0 - Nc*coupl(nGC_207)*coupl(nGC_337)**2d0  &
                         - Nc*coupl(nGC_207)*coupl(nGC_373)**2d0 - Nc*coupl(   &
                        nGC_207)*coupl(nGC_385)**2d0 + Nc*coupl(nGC_209)*coupl(&
                        nGC_337)**2d0 + Nc*coupl(nGC_209)*coupl(nGC_373)**2d0  &
                         + Nc*coupl(nGC_209)*coupl(nGC_385)**2d0 - Nc*coupl(   &
                        nGC_210)*coupl(nGC_340)**2d0 - Nc*coupl(nGC_210)*coupl(&
                        nGC_349)**2d0 - Nc*coupl(nGC_210)*coupl(nGC_367)**2d0  &
                         + coupl(nGC_208)*coupl(nGC_355)**2d0 + coupl(nGC_208)*&
                        coupl(nGC_361)**2d0 + coupl(nGC_208)*coupl(nGC_379)**  &
                        2d0 - coupl(nGC_212)*coupl(nGC_355)**2d0 - coupl(      &
                        nGC_212)*coupl(nGC_361)**2d0 - coupl(nGC_212)*coupl(   &
                        nGC_379)**2d0)/(24d0*pi**2d0)
      coupl(nGC_2495) = (2d0*Nc*cMB*coupl(nGC_340)**2d0*coupl(nGC_342) + 2d0*Nc&
                        *cMB*coupl(nGC_340)*coupl(nGC_369)*coupl(nGC_373) + 2d0&
                        *Nc*cMB*coupl(nGC_342)*coupl(nGC_373)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_333)*coupl(nGC_337)**2d0 + 2d0*Nc*cMC*coupl(&
                        nGC_333)*coupl(nGC_367)**2d0 + 2d0*Nc*cMC*coupl(nGC_337&
                        )*coupl(nGC_363)*coupl(nGC_367) + 2d0*Nc*cMD*coupl(    &
                        nGC_345)*coupl(nGC_349)**2d0 + 2d0*Nc*cMD*coupl(nGC_345&
                        )*coupl(nGC_385)**2d0 + 2d0*Nc*cMD*coupl(nGC_349)*coupl&
                        (nGC_381)*coupl(nGC_385) + 2d0*Nc*cMS*coupl(nGC_333)*  &
                        coupl(nGC_337)*coupl(nGC_367) + 2d0*Nc*cMS*coupl(      &
                        nGC_337)**2d0*coupl(nGC_363) + 2d0*Nc*cMS*coupl(nGC_363&
                        )*coupl(nGC_367)**2d0 + 2d0*Nc*cMT*coupl(nGC_340)**2d0*&
                        coupl(nGC_369) + 2d0*Nc*cMT*coupl(nGC_340)*coupl(      &
                        nGC_342)*coupl(nGC_373) + 2d0*Nc*cMT*coupl(nGC_369)*   &
                        coupl(nGC_373)**2d0 + 2d0*Nc*cMU*coupl(nGC_345)*coupl( &
                        nGC_349)*coupl(nGC_385) + 2d0*Nc*cMU*coupl(nGC_349)**  &
                        2d0*coupl(nGC_381) + 2d0*Nc*cMU*coupl(nGC_381)*coupl(  &
                        nGC_385)**2d0 + 2d0*cME*coupl(nGC_351)*coupl(nGC_355)**&
                        2d0 + 2d0*cMM*coupl(nGC_357)*coupl(nGC_361)**2d0 + 2d0*&
                        cMTA*coupl(nGC_375)*coupl(nGC_379)**2d0 + 2d0*cima*    &
                        coupl(nGC_100)*coupl(nGC_261) + 4d0*cima*coupl(nGC_174 &
                        )*coupl(nGC_324) + 4d0*cima*coupl(nGC_21)*coupl(nGC_237&
                        ) + cima*coupl(nGC_229)*coupl(nGC_329))/(16d0*pi**2d0)
      coupl(nGC_2494) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_340)**2d0 + 2d0*Nc&
                        *cMB*coupl(nGC_339)*coupl(nGC_373)**2d0 + 2d0*Nc*cMB*  &
                        coupl(nGC_340)*coupl(nGC_372)*coupl(nGC_373) + 2d0*Nc* &
                        cMC*coupl(nGC_336)*coupl(nGC_337)**2d0 + 2d0*Nc*cMC*   &
                        coupl(nGC_336)*coupl(nGC_367)**2d0 + 2d0*Nc*cMC*coupl( &
                        nGC_337)*coupl(nGC_366)*coupl(nGC_367) + 2d0*Nc*cMD*   &
                        coupl(nGC_348)*coupl(nGC_349)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_348)*coupl(nGC_385)**2d0 + 2d0*Nc*cMD*coupl(nGC_349&
                        )*coupl(nGC_384)*coupl(nGC_385) + 2d0*Nc*cMS*coupl(    &
                        nGC_336)*coupl(nGC_337)*coupl(nGC_367) + 2d0*Nc*cMS*   &
                        coupl(nGC_337)**2d0*coupl(nGC_366) + 2d0*Nc*cMS*coupl( &
                        nGC_366)*coupl(nGC_367)**2d0 + 2d0*Nc*cMT*coupl(nGC_339&
                        )*coupl(nGC_340)*coupl(nGC_373) + 2d0*Nc*cMT*coupl(    &
                        nGC_340)**2d0*coupl(nGC_372) + 2d0*Nc*cMT*coupl(nGC_372&
                        )*coupl(nGC_373)**2d0 + 2d0*Nc*cMU*coupl(nGC_348)*coupl&
                        (nGC_349)*coupl(nGC_385) + 2d0*Nc*cMU*coupl(nGC_349)** &
                        2d0*coupl(nGC_384) + 2d0*Nc*cMU*coupl(nGC_384)*coupl(  &
                        nGC_385)**2d0 + 2d0*cME*coupl(nGC_354)*coupl(nGC_355)**&
                        2d0 + 2d0*cMM*coupl(nGC_360)*coupl(nGC_361)**2d0 + 2d0*&
                        cMTA*coupl(nGC_378)*coupl(nGC_379)**2d0 + 2d0*cima*    &
                        coupl(nGC_100)*coupl(nGC_272) + 4d0*cima*coupl(nGC_180 &
                        )*coupl(nGC_324) + cima*coupl(nGC_229)*coupl(nGC_332   &
                        ) + 4d0*cima*coupl(nGC_23)*coupl(nGC_237))/(16d0*pi**  &
                        2d0)
      coupl(nGC_3667) = coupl(nGC_73)*dZG0
      coupl(nGC_TS_GC_378_Hh) = -coupl(nGC_378)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3382) = coupl(nGC_3083) + coupl(nGC_339)*dZHh_QED2/2d0 + coupl(&
                        nGC_339)*dZbL_QED2/2d0 + coupl(nGC_339)*dZbR_QED2/2d0  &
                         + coupl(nGC_342)*dZHlHh_QED2/2d0
      coupl(nGC_3383) = coupl(nGC_3084) + coupl(nGC_339)*dZbL_QCD2/2d0 + coupl(&
                        nGC_339)*dZbR_QCD2/2d0
      coupl(nGC_3384) = coupl(nGC_3105) + coupl(nGC_377)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_380)*dZtauMinusL_QED2/2d0 + coupl(nGC_380)*  &
                        dZtauMinusR_QED2/2d0
      coupl(nGC_3385) = coupl(nGC_380)*dZG0/2d0
      coupl(nGC_3386) = -coupl(nGC_3105) - coupl(nGC_377)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_380)*dZtauMinusL_QED2/2d0 - coupl(nGC_380)*  &
                        dZtauMinusR_QED2/2d0
      coupl(nGC_3387) = -coupl(nGC_380)*dZG0/2d0
      coupl(nGC_3869) = coupl(nGC_26)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3868) = coupl(nGC_253)*dZG0/2d0
      coupl(nGC_3980) = coupl(nGC_MZ_GF)*dZG0Ha_QED2/2d0 - coupl(              &
                        nGC_TS_GC_214_Hh) - coupl(nGC_TS_GC_215_Hl)
      coupl(nGC_3664) = -coupl(nGC_3077) - coupl(nGC_341)*dZbL_QED2/2d0 - coupl&
                        (nGC_341)*dZbR_QED2/2d0 - coupl(nGC_344)*dZHaG0_QED2/  &
                        2d0
      coupl(nGC_3986) = coupl(nGC_3079) + coupl(nGC_345)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_348)*dZHh_QED2/2d0 + coupl(nGC_348)*dZdL_QED2&
                        /2d0 + coupl(nGC_348)*dZdR_QED2/2d0
      coupl(nGC_3861) = coupl(nGC_184)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3863) = coupl(nGC_324)*dZGMinus/2d0
      coupl(nGC_3862) = coupl(nGC_237)*dZZA_QED2/2d0 + coupl(nGC_3142) + coupl(&
                        nGC_321)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_324)*     &
                        dZA_QED2/2d0 + coupl(nGC_324)*dZWMinus_QED2/2d0 + coupl&
                        (nGC_TS_GC_174_Hl) + coupl(nGC_TS_GC_180_Hh)
      coupl(nGC_3865) = 3d0*coupl(nGC_59)*dZG0/2d0
      coupl(nGC_3864) = -coupl(nGC_11)*dZg_QCD2/4d0 - coupl(nGC_3048)/2d0
      coupl(nGC_3661) = coupl(nGC_3077) + coupl(nGC_341)*dZbL_QED2/2d0 + coupl(&
                        nGC_341)*dZbR_QED2/2d0 + coupl(nGC_344)*dZHaG0_QED2/2d0
      coupl(nGC_3554) = -coupl(nGC_201)*dZZ_QED2/4d0 - coupl(nGC_3044)/2d0 -   &
                        coupl(nGC_5)*dZAZ_QED2/4d0
      coupl(nGC_3850) = coupl(nGC_3116) + coupl(nGC_386)*dZuL_QCD2/2d0 + coupl(&
                        nGC_386)*dZuR_QCD2/2d0
      coupl(nGC_2447) = cima*coupl(nGC_857)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_3781) = coupl(nGC_3123) + coupl(nGC_333)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_336)*dZHh_QED2/2d0 + coupl(nGC_336)*dZcL_QED2&
                        /2d0 + coupl(nGC_336)*dZcR_QED2/2d0
      coupl(nGC_3033) = coupl(nGC_1842)*dl4_QED4 + coupl(nGC_1843)*dl5_QED4 +  &
                        coupl(nGC_1844)*dvev2_QED1 + coupl(nGC_1845)*dvev1_QED1&
                         + coupl(nGC_1846)*db_QED2
      coupl(nGC_3031) = coupl(nGC_1746)*db_QED2 + coupl(nGC_1747)*dvev2_QED1 + &
                        coupl(nGC_1748)*dvev1_QED1 + coupl(nGC_1749)*dl2_QED4  &
                         + coupl(nGC_1750)*dl1_QED4 + coupl(nGC_1751)*dl4_QED4 &
                         + coupl(nGC_1752)*dl3_QED4 + coupl(nGC_1753)*da_QED2  &
                         + coupl(nGC_1754)*dl5_QED4
      coupl(nGC_3037) = coupl(nGC_1448)*dvev1_QED1 + coupl(nGC_1449)*dvev2_QED1&
                         + coupl(nGC_1450)*dZee_QED2 + coupl(nGC_1451)*dsw_QED2&
                         + coupl(nGC_1452)*db_QED2
      coupl(nGC_3035) = coupl(nGC_2108)*dsw_QED2 + coupl(nGC_2109)*da_QED2 +   &
                        coupl(nGC_2110)*dvev1_QED1 + coupl(nGC_2111)*dvev2_QED1&
                         + coupl(nGC_2112)*dZee_QED2
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
