!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 21:28             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_2943) = (-cima*coupl(nGC_857)**4d0*sq2**4d0 + cima*coupl(      &
                        nGC_923)**2d0 - 2d0*coupl(nGC_857)**2d0*coupl(nGC_923)*&
                        sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_2953) = coupl(nGC_1345)*dZee_QED2
      coupl(nGC_TS_GC_47_Hh) = -coupl(nGC_47)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2956) = coupl(nGC_1815)*dZee_QED2 + coupl(nGC_1816)*dcw_QED2 + &
                        coupl(nGC_1817)*dsw_QED2
      coupl(nGC_TS_GC_47_Hl) = -coupl(nGC_47)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3421) = coupl(nGC_2980) + coupl(nGC_32)*dZHMinusGMinus_QED2/2d0&
                         + coupl(nGC_33)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_34&
                        )*dZHlHh_QED2/2d0 + coupl(nGC_37)*dZHhHl_QED2/2d0 +    &
                        coupl(nGC_46)*dZHMinus_QED2/2d0 + coupl(nGC_46)*       &
                        dZHh_QED2/2d0 + coupl(nGC_46)*dZHl_QED2/2d0
      coupl(nGC_3132) = coupl(nGC_1168)*dyt1_QED1_QCD2 + coupl(nGC_1169)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_3131) = coupl(nGC_1167)*da_QED2 + coupl(nGC_1168)*dyt1_QED3 +  &
                        coupl(nGC_1169)*dyt2_QED3
      coupl(nGC_3552) = coupl(nGC_MZ_GF)*dZG0/2d0
      coupl(nGC_3427) = coupl(nGC_186)*dZAZ_QED2/2d0 + coupl(nGC_2952) + coupl(&
                        nGC_30)*dZHMinus_QED2/2d0 + coupl(nGC_30)*dZHa_QED2/2d0&
                         + coupl(nGC_30)*dZWMinus_QED2/2d0 + coupl(nGC_30)*    &
                        dZZ_QED2/2d0
      coupl(nGC_TS_GC_251_Hh) = -coupl(nGC_251)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2582) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_343) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_343) - coupl(  &
                        nGC_339)*coupl(nGC_370)*coupl(nGC_372) - coupl(nGC_342 &
                        )*coupl(nGC_369)*coupl(nGC_370) - coupl(nGC_370)*coupl(&
                        nGC_787)*coupl(nGC_873) - coupl(nGC_370)*coupl(nGC_795 &
                        )*coupl(nGC_847))/(32d0*pi**2d0)
      coupl(nGC_3389) = coupl(nGC_100)*dZHMinus_QED2 + coupl(nGC_100)*         &
                        dZWMinus_QED2 + coupl(nGC_3151)
      coupl(nGC_2813) = 5d0*cima*(Nc*coupl(nGC_334)*coupl(nGC_337)**3d0 + Nc*  &
                        coupl(nGC_340)**3d0*coupl(nGC_343) + Nc*coupl(nGC_346)*&
                        coupl(nGC_349)**3d0 + Nc*coupl(nGC_364)*coupl(nGC_367  &
                        )**3d0 + Nc*coupl(nGC_370)*coupl(nGC_373)**3d0 + Nc*   &
                        coupl(nGC_382)*coupl(nGC_385)**3d0 + coupl(nGC_352)*   &
                        coupl(nGC_355)**3d0 + coupl(nGC_358)*coupl(nGC_361)**  &
                        3d0 + coupl(nGC_376)*coupl(nGC_379)**3d0)/(24d0*pi**2d0&
                        )
      coupl(nGC_2812) = cima*(5d0*Nc*coupl(nGC_337)**4d0 + 5d0*Nc*coupl(nGC_340&
                        )**4d0 + 5d0*Nc*coupl(nGC_349)**4d0 + 5d0*Nc*coupl(    &
                        nGC_367)**4d0 + 5d0*Nc*coupl(nGC_373)**4d0 + 5d0*Nc*   &
                        coupl(nGC_385)**4d0 + 6d0*coupl(nGC_100)**2d0 + 6d0*   &
                        coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**2d0 + 3d0*   &
                        coupl(nGC_29)**2d0 + 5d0*coupl(nGC_355)**4d0 + 5d0*    &
                        coupl(nGC_361)**4d0 + 5d0*coupl(nGC_379)**4d0)/(24d0*pi&
                        **2d0)
      coupl(nGC_2811) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2810) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2816) = cima*(10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_337)**2d0  &
                         + 10d0*Nc*coupl(nGC_340)**2d0*coupl(nGC_343)**2d0 +   &
                        10d0*Nc*coupl(nGC_346)**2d0*coupl(nGC_349)**2d0 + 10d0*&
                        Nc*coupl(nGC_364)**2d0*coupl(nGC_367)**2d0 + 10d0*Nc*  &
                        coupl(nGC_370)**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl&
                        (nGC_382)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_100 &
                        )**2d0 + 6d0*coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**&
                        2d0 + 3d0*coupl(nGC_29)**2d0 + 10d0*coupl(nGC_352)**2d0&
                        *coupl(nGC_355)**2d0 + 10d0*coupl(nGC_358)**2d0*coupl( &
                        nGC_361)**2d0 + 10d0*coupl(nGC_376)**2d0*coupl(nGC_379 &
                        )**2d0)/(48d0*pi**2d0)
      coupl(nGC_2814) = 5d0*cima*(Nc*coupl(nGC_334)**2d0*coupl(nGC_337)**2d0 + &
                        Nc*coupl(nGC_340)**2d0*coupl(nGC_343)**2d0 + Nc*coupl( &
                        nGC_346)**2d0*coupl(nGC_349)**2d0 + Nc*coupl(nGC_364)**&
                        2d0*coupl(nGC_367)**2d0 + Nc*coupl(nGC_370)**2d0*coupl(&
                        nGC_373)**2d0 + Nc*coupl(nGC_382)**2d0*coupl(nGC_385)**&
                        2d0 + coupl(nGC_352)**2d0*coupl(nGC_355)**2d0 + coupl( &
                        nGC_358)**2d0*coupl(nGC_361)**2d0 + coupl(nGC_376)**2d0&
                        *coupl(nGC_379)**2d0)/(24d0*pi**2d0)
      coupl(nGC_3502) = coupl(nGC_3061) + coupl(nGC_346)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_346)*dZdR_QED2/2d0 + coupl(nGC_346)*dZuL_QED2&
                        /2d0 + coupl(nGC_349)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_TS_GC_52_Hh) = -coupl(nGC_52)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3045) = coupl(nGC_1963)*dZee_QED2 + coupl(nGC_1964)*dcw_QED2 + &
                        coupl(nGC_1965)*dsw_QED2
      coupl(nGC_TS_GC_52_Hl) = -coupl(nGC_52)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3042) = coupl(nGC_1736)*dZee_QED2
      coupl(nGC_3728) = coupl(nGC_13)*dZtR_QED2
      coupl(nGC_3729) = coupl(nGC_16)*dZHh_QED2/2d0 + 3d0*coupl(nGC_16)*       &
                        dZHl_QED2/2d0 + coupl(nGC_18)*dZHlHh_QED2/2d0 + 3d0*   &
                        coupl(nGC_20)*dZHhHl_QED2/2d0 + coupl(nGC_2989)
      coupl(nGC_3726) = coupl(nGC_13)*dZtL_QED2
      coupl(nGC_3727) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_13)*dZtR_QCD2 + &
                        coupl(nGC_3180)
      coupl(nGC_3725) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_13)*dZtL_QCD2 + &
                        coupl(nGC_3180)
      coupl(nGC_3723) = coupl(nGC_I)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3720) = coupl(nGC_13)*dZdR_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3180)
      coupl(nGC_3721) = coupl(nGC_13)*dZdR_QED2
      coupl(nGC_3503) = coupl(nGC_3062) + coupl(nGC_346)*dZdR_QCD2/2d0 + coupl(&
                        nGC_346)*dZuL_QCD2/2d0
      coupl(nGC_2920) = cima*(-4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_339)*coupl(&
                        nGC_342) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_345)*  &
                        coupl(nGC_348) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(     &
                        nGC_363)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_206)*coupl( &
                        nGC_209)*coupl(nGC_339)*coupl(nGC_342) + 5d0*Nc*coupl( &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_348   &
                        ) + 5d0*Nc*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_363 &
                        )*coupl(nGC_366) - 4d0*Nc*coupl(nGC_207)**2d0*coupl(   &
                        nGC_333)*coupl(nGC_336) - 4d0*Nc*coupl(nGC_207)**2d0*  &
                        coupl(nGC_369)*coupl(nGC_372) - 4d0*Nc*coupl(nGC_207)**&
                        2d0*coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc*coupl(      &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_333)*coupl(nGC_336   &
                        ) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_369 &
                        )*coupl(nGC_372) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_210 &
                        )*coupl(nGC_381)*coupl(nGC_384) - 4d0*Nc*coupl(nGC_209 &
                        )**2d0*coupl(nGC_339)*coupl(nGC_342) - 4d0*Nc*coupl(   &
                        nGC_209)**2d0*coupl(nGC_345)*coupl(nGC_348) - 4d0*Nc*  &
                        coupl(nGC_209)**2d0*coupl(nGC_363)*coupl(nGC_366) - 4d0&
                        *Nc*coupl(nGC_210)**2d0*coupl(nGC_333)*coupl(nGC_336   &
                        ) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_369)*coupl(   &
                        nGC_372) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_381)*  &
                        coupl(nGC_384) - 4d0*coupl(nGC_208)**2d0*coupl(nGC_351 &
                        )*coupl(nGC_354) - 4d0*coupl(nGC_208)**2d0*coupl(      &
                        nGC_357)*coupl(nGC_360) - 4d0*coupl(nGC_208)**2d0*coupl&
                        (nGC_375)*coupl(nGC_378) + 5d0*coupl(nGC_208)*coupl(   &
                        nGC_211)*coupl(nGC_351)*coupl(nGC_354) + 5d0*coupl(    &
                        nGC_208)*coupl(nGC_211)*coupl(nGC_357)*coupl(nGC_360   &
                        ) + 5d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_375)*  &
                        coupl(nGC_378) - 4d0*coupl(nGC_211)**2d0*coupl(nGC_351 &
                        )*coupl(nGC_354) - 4d0*coupl(nGC_211)**2d0*coupl(      &
                        nGC_357)*coupl(nGC_360) - 4d0*coupl(nGC_211)**2d0*coupl&
                        (nGC_375)*coupl(nGC_378))/(12d0*pi**2d0)
      coupl(nGC_2703) = coupl(nGC_13)**2d0*coupl(nGC_197)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2929) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_336)**2d0  &
                         + coupl(nGC_339)**2d0 + coupl(nGC_348)**2d0 + coupl(  &
                        nGC_366)**2d0 + coupl(nGC_372)**2d0 + coupl(nGC_384)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_261_Hl) = -coupl(nGC_261)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2700) = coupl(nGC_13)**2d0*coupl(nGC_381)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2530) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_340) - coupl(  &
                        nGC_339)*coupl(nGC_372)*coupl(nGC_373) - coupl(nGC_341 &
                        )*coupl(nGC_373)*coupl(nGC_374) - coupl(nGC_342)*coupl(&
                        nGC_369)*coupl(nGC_373) - coupl(nGC_344)*coupl(nGC_371 &
                        )*coupl(nGC_373))/(32d0*pi**2d0)
      coupl(nGC_2531) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_373) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_373) - coupl(  &
                        nGC_339)*coupl(nGC_340)*coupl(nGC_372) - coupl(nGC_340 &
                        )*coupl(nGC_342)*coupl(nGC_369) - coupl(nGC_340)*coupl(&
                        nGC_787)*coupl(nGC_873) - coupl(nGC_340)*coupl(nGC_795 &
                        )*coupl(nGC_847))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2534) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_349) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_349) - coupl(  &
                        nGC_345)*coupl(nGC_381)*coupl(nGC_385) - coupl(nGC_347 &
                        )*coupl(nGC_383)*coupl(nGC_385) - coupl(nGC_348)*coupl(&
                        nGC_384)*coupl(nGC_385) - coupl(nGC_350)*coupl(nGC_385 &
                        )*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_2897) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_339)*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_348) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364)*coupl&
                        (nGC_366) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_334)*coupl(nGC_336) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_370)*coupl(nGC_372   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_382)*coupl(nGC_384) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_336) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_339)*coupl&
                        (nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_346)*coupl(nGC_348) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_364)*coupl(nGC_366   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_370)*coupl(nGC_372) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_382)*coupl(nGC_384) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334)*coupl&
                        (nGC_336) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_339)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_348   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_364)*coupl(nGC_366) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_370)*coupl(nGC_372) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382)*coupl&
                        (nGC_384) + 6d0*cima*coupl(nGC_175)*coupl(nGC_813) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_22) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_352)*coupl(nGC_354   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_358)*coupl(nGC_360) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_376)*coupl(nGC_378) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_352)*coupl(    &
                        nGC_354) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_358)*coupl(nGC_360) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_376)*coupl(nGC_378) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_352)*coupl(   &
                        nGC_354) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_358)*coupl(nGC_360) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_378) + 6d0*    &
                        coupl(nGC_175)*coupl(nGC_3)*coupl(nGC_811) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_22)*coupl(nGC_811))/(48d0*pi**2d0)
      coupl(nGC_2739) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_197)**2d0 - 4d0*coupl(nGC_209)**2d0 - coupl(nGC_339&
                        )**2d0 - coupl(nGC_341)*coupl(nGC_787) - coupl(nGC_342 &
                        )**2d0 - coupl(nGC_344)*coupl(nGC_847) - coupl(nGC_370 &
                        )**2d0 - coupl(nGC_373)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4018) = coupl(nGC_3295) + coupl(nGC_MHL)*dZHl_QED2 + coupl(    &
                        nGC_TS_GC_234_Hl) + coupl(nGC_TS_GC_236_Hh)
      coupl(nGC_3759) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_TS_GC_254_Hh) = -coupl(nGC_254)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3057) = coupl(nGC_1425)*db_QED2 + coupl(nGC_1426)*dyt1_QED3 +  &
                        coupl(nGC_1427)*dyt2_QED3
      coupl(nGC_3918) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_3988) = coupl(nGC_201)*dZZA_QED2/4d0 + coupl(nGC_3041)/2d0 +   &
                        coupl(nGC_5)*dZA_QED2/4d0
      coupl(nGC_2740) = -coupl(nGC_13)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                        nGC_857) + 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc)
      coupl(nGC_3348) = coupl(nGC_13)*dZuR_QED2
      coupl(nGC_3349) = coupl(nGC_67)*(dZG0 + dZGMinus)
      coupl(nGC_3344) = coupl(nGC_2978) + coupl(nGC_53)*dZG0Ha_QED2/2d0 + coupl&
                        (nGC_53)*dZHlHh_QED2/2d0 + coupl(nGC_63)*dZHMinus_QED2/&
                        2d0 + coupl(nGC_63)*dZHa_QED2/2d0 + coupl(nGC_63)*     &
                        dZHh_QED2/2d0
      coupl(nGC_3613) = coupl(nGC_2982) + coupl(nGC_56)*dZHMinusGMinus_QED2 +  &
                        coupl(nGC_57)*dZGMinusHMinus_QED2 + coupl(nGC_74)*     &
                        dZHMinus_QED2
      coupl(nGC_3346) = coupl(nGC_13)*dZuL_QED2
      coupl(nGC_3343) = coupl(nGC_63)*dZGMinus/2d0
      coupl(nGC_2585) = coupl(nGC_13)**2d0*coupl(nGC_370)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2584) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_370) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_370) - coupl(  &
                        nGC_339)*coupl(nGC_343)*coupl(nGC_372) - coupl(nGC_341 &
                        )*coupl(nGC_343)*coupl(nGC_374) - coupl(nGC_342)*coupl(&
                        nGC_343)*coupl(nGC_369) - coupl(nGC_343)*coupl(nGC_344 &
                        )*coupl(nGC_371))/(32d0*pi**2d0)
      coupl(nGC_2587) = coupl(nGC_13)**2d0*coupl(nGC_334)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2586) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_334) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_334) - coupl(  &
                        nGC_333)*coupl(nGC_363)*coupl(nGC_364) - coupl(nGC_335 &
                        )*coupl(nGC_364)*coupl(nGC_365) - coupl(nGC_336)*coupl(&
                        nGC_364)*coupl(nGC_366) - coupl(nGC_338)*coupl(nGC_364 &
                        )*coupl(nGC_368))/(32d0*pi**2d0)
      coupl(nGC_2628) = coupl(nGC_13)**2d0*coupl(nGC_803)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2583) = coupl(nGC_13)**2d0*coupl(nGC_343)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3941) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_2624) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_789) -    &
                        coupl(nGC_351)**2d0*coupl(nGC_353) - coupl(nGC_353)*   &
                        coupl(nGC_354)**2d0 - coupl(nGC_353)*coupl(nGC_789)**  &
                        2d0 - coupl(nGC_353)*coupl(nGC_801)**2d0 + 8d0*coupl(  &
                        nGC_4)**2d0*coupl(nGC_789))/(32d0*pi**2d0)
      coupl(nGC_2625) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_359) -    &
                        coupl(nGC_357)**2d0*coupl(nGC_797) - coupl(nGC_359)**  &
                        2d0*coupl(nGC_797) + 8d0*coupl(nGC_359)*coupl(nGC_4)** &
                        2d0 - coupl(nGC_360)**2d0*coupl(nGC_797) - coupl(      &
                        nGC_362)**2d0*coupl(nGC_797))/(32d0*pi**2d0)
      coupl(nGC_2626) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_797) -    &
                        coupl(nGC_357)**2d0*coupl(nGC_359) - coupl(nGC_359)*   &
                        coupl(nGC_360)**2d0 - coupl(nGC_359)*coupl(nGC_797)**  &
                        2d0 - coupl(nGC_359)*coupl(nGC_885)**2d0 + 8d0*coupl(  &
                        nGC_4)**2d0*coupl(nGC_797))/(32d0*pi**2d0)
      coupl(nGC_2622) = coupl(nGC_13)**2d0*coupl(nGC_335)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2623) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_353) -    &
                        coupl(nGC_351)**2d0*coupl(nGC_789) - coupl(nGC_353)**  &
                        2d0*coupl(nGC_789) + 8d0*coupl(nGC_353)*coupl(nGC_4)** &
                        2d0 - coupl(nGC_354)**2d0*coupl(nGC_789) - coupl(      &
                        nGC_356)**2d0*coupl(nGC_789))/(32d0*pi**2d0)
      coupl(nGC_3750) = coupl(nGC_3107) + coupl(nGC_357)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_360)*dZHh_QED2/2d0 + coupl(nGC_360)*         &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_360)*dZmuMinusR_QED2/  &
                        2d0
      coupl(nGC_3757) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_3405) = coupl(nGC_21)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_22)* &
                        dZHlHh_QED2/2d0 + coupl(nGC_24)*dZHh_QED2/2d0 + coupl( &
                        nGC_2955)
      coupl(nGC_3754) = coupl(nGC_2985) + coupl(nGC_35)*dZHh_QED2/2d0 + coupl( &
                        nGC_35)*dZHl_QED2/2d0 + coupl(nGC_43)*dZHhHl_QED2/2d0  &
                         + coupl(nGC_47)*dZHaG0_QED2 + coupl(nGC_49)*          &
                        dZHlHh_QED2/2d0
      coupl(nGC_2996) = coupl(nGC_1937)*db_QED2 + coupl(nGC_1938)*dl3_QED4 +   &
                        coupl(nGC_1939)*dl2_QED4 + coupl(nGC_1940)*dl1_QED4 +  &
                        coupl(nGC_1941)*dl4_QED4 + coupl(nGC_1942)*dl5_QED4 +  &
                        coupl(nGC_1943)*da_QED2
      coupl(nGC_2997) = coupl(nGC_2073)*db_QED2 + coupl(nGC_2074)*dl3_QED4 +   &
                        coupl(nGC_2075)*dl2_QED4 + coupl(nGC_2076)*dl1_QED4 +  &
                        coupl(nGC_2077)*dl4_QED4 + coupl(nGC_2078)*dl5_QED4
      coupl(nGC_2994) = coupl(nGC_2004)*db_QED2 + coupl(nGC_2005)*dl5_QED4 +   &
                        coupl(nGC_2006)*dl4_QED4 + coupl(nGC_2007)*da_QED2
      coupl(nGC_2995) = coupl(nGC_1856)*db_QED2 + coupl(nGC_1857)*dl3_QED4 +   &
                        coupl(nGC_1858)*dl2_QED4 + coupl(nGC_1859)*dl1_QED4 +  &
                        coupl(nGC_1860)*dl4_QED4 + coupl(nGC_1861)*dl5_QED4 +  &
                        coupl(nGC_1862)*da_QED2
      coupl(nGC_2992) = coupl(nGC_1835)*db_QED2 + coupl(nGC_1836)*dl3_QED4 +   &
                        coupl(nGC_1837)*dl2_QED4 + coupl(nGC_1838)*dl1_QED4 +  &
                        coupl(nGC_1839)*dl4_QED4 + coupl(nGC_1840)*dl5_QED4 +  &
                        coupl(nGC_1841)*da_QED2
      coupl(nGC_3468) = coupl(nGC_13)*dZbL_QED2
      coupl(nGC_2990) = coupl(nGC_1785)*db_QED2 + coupl(nGC_1786)*dl3_QED4 +   &
                        coupl(nGC_1787)*dl2_QED4 + coupl(nGC_1788)*dl1_QED4 +  &
                        coupl(nGC_1789)*dl4_QED4 + coupl(nGC_1790)*dl5_QED4 +  &
                        coupl(nGC_1791)*da_QED2
      coupl(nGC_2991) = coupl(nGC_2014)*db_QED2 + coupl(nGC_2015)*dl5_QED4 +   &
                        coupl(nGC_2016)*dl4_QED4 + coupl(nGC_2017)*da_QED2
      coupl(nGC_3465) = -coupl(nGC_172)*dZGMinus/2d0
      coupl(nGC_3467) = coupl(nGC_13)*dZbL_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3180)
      coupl(nGC_3466) = coupl(nGC_220)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3461) = -coupl(nGC_3136) - coupl(nGC_335)*dZcL_QCD2/2d0 - coupl&
                        (nGC_335)*dZcR_QCD2/2d0
      coupl(nGC_3460) = -coupl(nGC_3135) - coupl(nGC_335)*dZHa_QED2/2d0 - coupl&
                        (nGC_335)*dZcL_QED2/2d0 - coupl(nGC_335)*dZcR_QED2/2d0 &
                         - coupl(nGC_338)*dZG0Ha_QED2/2d0
      coupl(nGC_2998) = coupl(nGC_2030)*db_QED2 + coupl(nGC_2031)*dl3_QED4 +   &
                        coupl(nGC_2032)*dl2_QED4 + coupl(nGC_2033)*dl1_QED4 +  &
                        coupl(nGC_2034)*dl4_QED4 + coupl(nGC_2035)*dl5_QED4
      coupl(nGC_2999) = coupl(nGC_2051)*db_QED2 + coupl(nGC_2052)*dl3_QED4 +   &
                        coupl(nGC_2053)*dl2_QED4 + coupl(nGC_2054)*dl1_QED4 +  &
                        coupl(nGC_2055)*dl4_QED4 + coupl(nGC_2056)*dl5_QED4
      coupl(nGC_2448) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_2449) = cMM*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_2440) = cima*(coupl(nGC_208)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_2441) = cima*(coupl(nGC_197)**2d0 + coupl(nGC_211)**2d0 + coupl&
                        (nGC_4)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3665) = -coupl(nGC_3078) - coupl(nGC_341)*dZbL_QCD2/2d0 - coupl&
                        (nGC_341)*dZbR_QCD2/2d0
      coupl(nGC_2443) = cima*sq2**2d0*(Nc*coupl(nGC_857)**2d0 - 6d0*coupl(     &
                        nGC_13)**2d0)/(96d0*pi**2d0)
      coupl(nGC_2444) = -Nc*cima*coupl(nGC_857)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_2445) = cima*coupl(nGC_13)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_2446) = cima*sq2**2d0*(-Nc*coupl(nGC_857)**2d0 + 6d0*coupl(    &
                        nGC_13)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_3660) = coupl(nGC_2959) + 2d0*coupl(nGC_57)*dZHMinusGMinus_QED2
      coupl(nGC_2691) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_363) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_363) - coupl(nGC_333 &
                        )*coupl(nGC_334)*coupl(nGC_364) - coupl(nGC_333)*coupl(&
                        nGC_337)*coupl(nGC_367) - coupl(nGC_363)**3d0 - coupl( &
                        nGC_363)*coupl(nGC_365)**2d0 - coupl(nGC_363)*coupl(   &
                        nGC_366)**2d0 - coupl(nGC_363)*coupl(nGC_368)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2693) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_369) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_369) - coupl(nGC_340 &
                        )*coupl(nGC_342)*coupl(nGC_373) - coupl(nGC_342)*coupl(&
                        nGC_343)*coupl(nGC_370) - coupl(nGC_369)**3d0 - coupl( &
                        nGC_369)*coupl(nGC_372)**2d0 - coupl(nGC_369)*coupl(   &
                        nGC_795)**2d0 - coupl(nGC_369)*coupl(nGC_873)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2692) = coupl(nGC_13)**2d0*coupl(nGC_363)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2695) = coupl(nGC_13)**2d0*coupl(nGC_369)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2694) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_369) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_369) - coupl(nGC_340 &
                        )*coupl(nGC_342)*coupl(nGC_373) - coupl(nGC_342)*coupl(&
                        nGC_343)*coupl(nGC_370) - coupl(nGC_369)**3d0 - coupl( &
                        nGC_369)*coupl(nGC_371)**2d0 - coupl(nGC_369)*coupl(   &
                        nGC_372)**2d0 - coupl(nGC_369)*coupl(nGC_374)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2696) = coupl(nGC_375)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_375)**2d0 - coupl(nGC_377)**2d0 - coupl(     &
                        nGC_378)**2d0 - coupl(nGC_380)**2d0 + 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_2699) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_381) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_381) - coupl(nGC_345 &
                        )*coupl(nGC_346)*coupl(nGC_382) - coupl(nGC_345)*coupl(&
                        nGC_349)*coupl(nGC_385) - coupl(nGC_381)**3d0 - coupl( &
                        nGC_381)*coupl(nGC_383)**2d0 - coupl(nGC_381)*coupl(   &
                        nGC_384)**2d0 - coupl(nGC_381)*coupl(nGC_386)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_3188) = coupl(nGC_1428)*dZee_QED2 + coupl(nGC_1429)*dcw_QED2 + &
                        coupl(nGC_1430)*dsw_QED2
      coupl(nGC_2558) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_801) -    &
                        coupl(nGC_351)**2d0*coupl(nGC_356) - coupl(nGC_354)**  &
                        2d0*coupl(nGC_356) - coupl(nGC_356)*coupl(nGC_789)**2d0&
                         - coupl(nGC_356)*coupl(nGC_801)**2d0 + 8d0*coupl(nGC_4&
                        )**2d0*coupl(nGC_801))/(32d0*pi**2d0)
      coupl(nGC_3182) = coupl(nGC_1491)*dZee_QED2 + coupl(nGC_1492)*dcw_QED2 + &
                        coupl(nGC_1493)*dsw_QED2
      coupl(nGC_3183) = coupl(nGC_1142)*dZee_QED2 + coupl(nGC_1143)*dcw_QED2 + &
                        coupl(nGC_1144)*dsw_QED2
      coupl(nGC_3181) = coupl(nGC_1133)*dZee_QED2 + coupl(nGC_1134)*dsw_QED2
      coupl(nGC_3187) = coupl(nGC_1145)*dZee_QED2 + coupl(nGC_1146)*dcw_QED2 + &
                        coupl(nGC_1147)*dsw_QED2
      coupl(nGC_3184) = coupl(nGC_2079)*dZee_QED2 + coupl(nGC_2080)*dcw_QED2 + &
                        coupl(nGC_2081)*dsw_QED2
      coupl(nGC_3185) = coupl(nGC_1196)*dZee_QED2 + coupl(nGC_1197)*dcw_QED2 + &
                        coupl(nGC_1198)*dsw_QED2
      coupl(nGC_4060) = -coupl(nGC_2459)
      coupl(nGC_4061) = -coupl(nGC_2458)
      coupl(nGC_3545) = coupl(nGC_2998) + coupl(nGC_55)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_67)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_70)* &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_72)*dZHaG0_QED2
      coupl(nGC_3767) = coupl(nGC_3131) + coupl(nGC_369)*dZHl_QED2/2d0 + coupl(&
                        nGC_369)*dZtL_QED2/2d0 + coupl(nGC_369)*dZtR_QED2/2d0  &
                         + coupl(nGC_372)*dZHhHl_QED2/2d0
      coupl(nGC_2748) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_197)**2d0 - 4d0*coupl(nGC_209)**2d0 - coupl(nGC_345&
                        )**2d0 - coupl(nGC_347)*coupl(nGC_817) - coupl(nGC_348 &
                        )**2d0 - coupl(nGC_350)*coupl(nGC_821) - coupl(nGC_382 &
                        )**2d0 - coupl(nGC_385)**2d0)/(64d0*pi**2d0)
      coupl(nGC_3955) = coupl(nGC_211)*dZZ_QED2/2d0 + coupl(nGC_211)*          &
                        dZeMinusL_QED2 + coupl(nGC_3188) + coupl(nGC_4)*       &
                        dZAZ_QED2/2d0
      coupl(nGC_3768) = coupl(nGC_3132) + coupl(nGC_369)*dZtL_QCD2/2d0 + coupl(&
                        nGC_369)*dZtR_QCD2/2d0
      coupl(nGC_3030) = coupl(nGC_551)*db_QED2 + coupl(nGC_553)*dvev2_QED1 +   &
                        coupl(nGC_555)*da_QED2 + coupl(nGC_557)*dl2_QED4 +     &
                        coupl(nGC_559)*dl1_QED4 + coupl(nGC_561)*dl4_QED4 +    &
                        coupl(nGC_563)*dl3_QED4 + coupl(nGC_565)*dvev1_QED1 +  &
                        coupl(nGC_567)*dl5_QED4
      coupl(nGC_3164) = coupl(nGC_1402)*dZee_QED2 + coupl(nGC_1403)*dcw_QED2 + &
                        coupl(nGC_1404)*dsw_QED2
      coupl(nGC_3165) = coupl(nGC_1645)*db_QED2 + coupl(nGC_1646)*da_QED2 +    &
                        coupl(nGC_1647)*dcw_QED2 + coupl(nGC_1648)*dZee_QED2 + &
                        coupl(nGC_1649)*dsw_QED2
      coupl(nGC_3009) = coupl(nGC_1341)*dZee_QED2 + coupl(nGC_1342)*da_QED2 +  &
                        coupl(nGC_1343)*dsw_QED2 + coupl(nGC_1344)*db_QED2
      coupl(nGC_3008) = coupl(nGC_1682)*dZee_QED2 + coupl(nGC_1683)*da_QED2 +  &
                        coupl(nGC_1684)*dsw_QED2 + coupl(nGC_1685)*db_QED2
      coupl(nGC_3160) = coupl(nGC_1218)*dZee_QED2 + coupl(nGC_1219)*dsw_QED2
      coupl(nGC_3163) = coupl(nGC_2346)*db_QED2 + coupl(nGC_2347)*da_QED2 +    &
                        coupl(nGC_2348)*dcw_QED2 + coupl(nGC_2349)*dZee_QED2 + &
                        coupl(nGC_2350)*dsw_QED2
      coupl(nGC_3003) = coupl(nGC_1207)*dZee_QED2 + coupl(nGC_1208)*dsw_QED2
      coupl(nGC_3002) = coupl(nGC_2036)*db_QED2 + coupl(nGC_2037)*dl3_QED4 +   &
                        coupl(nGC_2038)*dl2_QED4 + coupl(nGC_2039)*dl1_QED4 +  &
                        coupl(nGC_2040)*dl4_QED4 + coupl(nGC_2041)*dl5_QED4
      coupl(nGC_3001) = coupl(nGC_2021)*db_QED2 + coupl(nGC_2022)*dl3_QED4 +   &
                        coupl(nGC_2023)*dl2_QED4 + coupl(nGC_2024)*dl1_QED4 +  &
                        coupl(nGC_2025)*dl4_QED4 + coupl(nGC_2026)*dl5_QED4
      coupl(nGC_3000) = coupl(nGC_2057)*db_QED2 + coupl(nGC_2058)*dl3_QED4 +   &
                        coupl(nGC_2059)*dl2_QED4 + coupl(nGC_2060)*dl1_QED4 +  &
                        coupl(nGC_2061)*dl4_QED4 + coupl(nGC_2062)*dl5_QED4
      coupl(nGC_3007) = coupl(nGC_2156)*dZee_QED2 + coupl(nGC_2157)*dcw_QED2 + &
                        coupl(nGC_2158)*dsw_QED2
      coupl(nGC_3006) = coupl(nGC_1979)*dZee_QED2 + coupl(nGC_1980)*dsw_QED2
      coupl(nGC_3005) = coupl(nGC_2027)*dZee_QED2 + coupl(nGC_2028)*dsw_QED2
      coupl(nGC_3004) = coupl(nGC_2274)*dZee_QED2 + coupl(nGC_2275)*dsw_QED2
      coupl(nGC_2844) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_339)*coupl(nGC_340) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_348)*coupl(nGC_349) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_366)*coupl&
                        (nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_336)*coupl(nGC_337) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_372)*coupl(nGC_373   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_384)*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_336)*coupl(nGC_337) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_339)*coupl&
                        (nGC_340) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_348)*coupl(nGC_349) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_366)*coupl(nGC_367   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_372)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_384)*coupl(nGC_385) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_336)*coupl&
                        (nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_339)*coupl(nGC_340) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_348)*coupl(nGC_349   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_366)*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_372)*coupl(nGC_373) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_384)*coupl&
                        (nGC_385) + 6d0*cima*coupl(nGC_180)*coupl(nGC_813) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_354)*coupl(nGC_355   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_360)*coupl(nGC_361) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_378)*coupl(nGC_379) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_354)*coupl(    &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_360)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_378)*coupl(nGC_379) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_354)*coupl(   &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_360)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_378)*coupl(nGC_379) + 6d0*    &
                        coupl(nGC_180)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl(&
                        nGC_198)*coupl(nGC_199)*coupl(nGC_23))/(48d0*pi**2d0)
      coupl(nGC_2845) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_340)*coupl(nGC_342) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_349) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*coupl&
                        (nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_333)*coupl(nGC_337) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_373   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_381)*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_337) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340)*coupl&
                        (nGC_342) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_345)*coupl(nGC_349) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_367   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_369)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_381)*coupl(nGC_385) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_333)*coupl&
                        (nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_340)*coupl(nGC_342) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_345)*coupl(nGC_349   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_363)*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_369)*coupl(nGC_373) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_381)*coupl&
                        (nGC_385) + 6d0*cima*coupl(nGC_174)*coupl(nGC_813) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_21) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_355   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_357)*coupl(nGC_361) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_375)*coupl(nGC_379) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_351)*coupl(    &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_357)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_375)*coupl(nGC_379) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(   &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_357)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_379) + 6d0*    &
                        coupl(nGC_174)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl(&
                        nGC_198)*coupl(nGC_199)*coupl(nGC_21))/(48d0*pi**2d0)
      coupl(nGC_2969) = coupl(nGC_2220)*db_QED2 + coupl(nGC_2221)*dl3_QED4 +   &
                        coupl(nGC_2222)*dl2_QED4 + coupl(nGC_2223)*dl1_QED4 +  &
                        coupl(nGC_2224)*dl4_QED4 + coupl(nGC_2225)*dl5_QED4
      coupl(nGC_2840) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_206) + coupl(nGC_1)*coupl(nGC_209) + coupl(nGC_2)* &
                        coupl(nGC_207) + coupl(nGC_2)*coupl(nGC_210))/(32d0*pi &
                        **2d0)
      coupl(nGC_3034) = coupl(nGC_1901)*dl4_QED4 + coupl(nGC_1902)*dl5_QED4 +  &
                        coupl(nGC_1903)*dvev2_QED1 + coupl(nGC_1904)*dvev1_QED1&
                         + coupl(nGC_1905)*db_QED2
      coupl(nGC_2842) = cima*(-4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_340)*coupl(&
                        nGC_343) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_346)*  &
                        coupl(nGC_349) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(     &
                        nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_206)*coupl( &
                        nGC_210)*coupl(nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl( &
                        nGC_206)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349   &
                        ) + 5d0*Nc*coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_364 &
                        )*coupl(nGC_367) - 4d0*Nc*coupl(nGC_207)**2d0*coupl(   &
                        nGC_334)*coupl(nGC_337) - 4d0*Nc*coupl(nGC_207)**2d0*  &
                        coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_207)**&
                        2d0*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(      &
                        nGC_207)*coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337   &
                        ) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_370 &
                        )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_209 &
                        )*coupl(nGC_382)*coupl(nGC_385) - 4d0*Nc*coupl(nGC_209 &
                        )**2d0*coupl(nGC_334)*coupl(nGC_337) - 4d0*Nc*coupl(   &
                        nGC_209)**2d0*coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc*  &
                        coupl(nGC_209)**2d0*coupl(nGC_382)*coupl(nGC_385) - 4d0&
                        *Nc*coupl(nGC_210)**2d0*coupl(nGC_340)*coupl(nGC_343   &
                        ) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_346)*coupl(   &
                        nGC_349) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_364)*  &
                        coupl(nGC_367) - 4d0*coupl(nGC_208)**2d0*coupl(nGC_352 &
                        )*coupl(nGC_355) - 4d0*coupl(nGC_208)**2d0*coupl(      &
                        nGC_358)*coupl(nGC_361) - 4d0*coupl(nGC_208)**2d0*coupl&
                        (nGC_376)*coupl(nGC_379) + 5d0*coupl(nGC_208)*coupl(   &
                        nGC_212)*coupl(nGC_352)*coupl(nGC_355) + 5d0*coupl(    &
                        nGC_208)*coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_361   &
                        ) + 5d0*coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_376)*  &
                        coupl(nGC_379) - 4d0*coupl(nGC_212)**2d0*coupl(nGC_352 &
                        )*coupl(nGC_355) - 4d0*coupl(nGC_212)**2d0*coupl(      &
                        nGC_358)*coupl(nGC_361) - 4d0*coupl(nGC_212)**2d0*coupl&
                        (nGC_376)*coupl(nGC_379))/(24d0*pi**2d0)
      coupl(nGC_2963) = coupl(nGC_2127)*db_QED2 + coupl(nGC_2128)*dl3_QED4 +   &
                        coupl(nGC_2129)*dl2_QED4 + coupl(nGC_2130)*dl1_QED4 +  &
                        coupl(nGC_2131)*dl4_QED4 + coupl(nGC_2132)*dl5_QED4
      coupl(nGC_2962) = coupl(nGC_2008)*dl3_QED4 + coupl(nGC_2009)*dl2_QED4 +  &
                        coupl(nGC_2010)*dl1_QED4 + coupl(nGC_2011)*dl4_QED4 +  &
                        coupl(nGC_2012)*dl5_QED4 + coupl(nGC_2013)*da_QED2
      coupl(nGC_2961) = coupl(nGC_1880)*db_QED2 + coupl(nGC_1881)*dl3_QED4 +   &
                        coupl(nGC_1882)*dl2_QED4 + coupl(nGC_1883)*dl1_QED4 +  &
                        coupl(nGC_1884)*dl4_QED4 + coupl(nGC_1885)*dl5_QED4 +  &
                        coupl(nGC_1886)*da_QED2
      coupl(nGC_2848) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_334)*coupl(&
                        nGC_337) + coupl(nGC_340)*coupl(nGC_343) + coupl(      &
                        nGC_346)*coupl(nGC_349) + coupl(nGC_364)*coupl(nGC_367 &
                        ) + coupl(nGC_370)*coupl(nGC_373) + coupl(nGC_382)*    &
                        coupl(nGC_385))/(32d0*pi**2d0*Nc)
      coupl(nGC_2849) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_334)*coupl&
                        (nGC_337) - coupl(nGC_340)*coupl(nGC_343) - coupl(     &
                        nGC_346)*coupl(nGC_349) - coupl(nGC_364)*coupl(nGC_367 &
                        ) - coupl(nGC_370)*coupl(nGC_373) - coupl(nGC_382)*    &
                        coupl(nGC_385))/(32d0*pi**2d0)
      coupl(nGC_2965) = coupl(nGC_2319)*dl3_QED4 + coupl(nGC_2320)*dl2_QED4 +  &
                        coupl(nGC_2321)*dl1_QED4 + coupl(nGC_2322)*dl4_QED4 +  &
                        coupl(nGC_2323)*dl5_QED4 + coupl(nGC_2324)*da_QED2
      coupl(nGC_3169) = coupl(nGC_1630)*db_QED2 + coupl(nGC_1631)*dvev1_QED1 + &
                        coupl(nGC_1632)*dcw_QED2 + coupl(nGC_1633)*dZee_QED2 + &
                        coupl(nGC_1634)*dvev2_QED1
      coupl(nGC_2654) = coupl(nGC_13)**2d0*coupl(nGC_348)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2577) = (Nc*coupl(nGC_206)*coupl(nGC_343)**2d0 + Nc*coupl(     &
                        nGC_206)*coupl(nGC_346)**2d0 + Nc*coupl(nGC_206)*coupl(&
                        nGC_364)**2d0 - Nc*coupl(nGC_207)*coupl(nGC_334)**2d0  &
                         - Nc*coupl(nGC_207)*coupl(nGC_370)**2d0 - Nc*coupl(   &
                        nGC_207)*coupl(nGC_382)**2d0 + Nc*coupl(nGC_209)*coupl(&
                        nGC_334)**2d0 + Nc*coupl(nGC_209)*coupl(nGC_370)**2d0  &
                         + Nc*coupl(nGC_209)*coupl(nGC_382)**2d0 - Nc*coupl(   &
                        nGC_210)*coupl(nGC_343)**2d0 - Nc*coupl(nGC_210)*coupl(&
                        nGC_346)**2d0 - Nc*coupl(nGC_210)*coupl(nGC_364)**2d0  &
                         + coupl(nGC_208)*coupl(nGC_352)**2d0 + coupl(nGC_208)*&
                        coupl(nGC_358)**2d0 + coupl(nGC_208)*coupl(nGC_376)**  &
                        2d0 - coupl(nGC_212)*coupl(nGC_352)**2d0 - coupl(      &
                        nGC_212)*coupl(nGC_358)**2d0 - coupl(nGC_212)*coupl(   &
                        nGC_376)**2d0)/(24d0*pi**2d0)
      coupl(nGC_2741) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_206)**2d0 - coupl(nGC_339)**2d0 - coupl(nGC_340)** &
                        2d0 - coupl(nGC_341)*coupl(nGC_787) - coupl(nGC_342)** &
                        2d0 - coupl(nGC_343)**2d0 - coupl(nGC_344)*coupl(      &
                        nGC_847))/(64d0*pi**2d0)
      coupl(nGC_2891) = (-4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_343)**2d0  &
                         - 4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_346)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_364)**2d0 &
                         + 5d0*Nc*cima*coupl(nGC_206)*coupl(nGC_210)*coupl(    &
                        nGC_343)**2d0 + 5d0*Nc*cima*coupl(nGC_206)*coupl(      &
                        nGC_210)*coupl(nGC_346)**2d0 + 5d0*Nc*cima*coupl(      &
                        nGC_206)*coupl(nGC_210)*coupl(nGC_364)**2d0 - 4d0*Nc*  &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_334)**2d0 - 4d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_370)**2d0 - 4d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_382)**2d0 + 5d0*Nc* &
                        cima*coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_334)**2d0 &
                         + 5d0*Nc*cima*coupl(nGC_207)*coupl(nGC_209)*coupl(    &
                        nGC_370)**2d0 + 5d0*Nc*cima*coupl(nGC_207)*coupl(      &
                        nGC_209)*coupl(nGC_382)**2d0 - 4d0*Nc*cima*coupl(      &
                        nGC_209)**2d0*coupl(nGC_334)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_370)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_382)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_343)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_346)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_364)**2d0 + 3d0*cima*coupl(    &
                        nGC_100)*coupl(nGC_195) - 4d0*cima*coupl(nGC_208)**2d0*&
                        coupl(nGC_352)**2d0 - 4d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_358)**2d0 - 4d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_376)**2d0 + 5d0*cima*coupl(nGC_208)*coupl(   &
                        nGC_212)*coupl(nGC_352)**2d0 + 5d0*cima*coupl(nGC_208)*&
                        coupl(nGC_212)*coupl(nGC_358)**2d0 + 5d0*cima*coupl(   &
                        nGC_208)*coupl(nGC_212)*coupl(nGC_376)**2d0 - 4d0*cima*&
                        coupl(nGC_212)**2d0*coupl(nGC_352)**2d0 - 4d0*cima*    &
                        coupl(nGC_212)**2d0*coupl(nGC_358)**2d0 - 4d0*cima*    &
                        coupl(nGC_212)**2d0*coupl(nGC_376)**2d0 + 3d0*coupl(   &
                        nGC_100)*coupl(nGC_199)**2d0 + 3d0*coupl(nGC_100)*coupl&
                        (nGC_811)**2d0)/(24d0*pi**2d0)
      coupl(nGC_3716) = coupl(nGC_3072) + coupl(nGC_343)*dZbR_QCD2/2d0 + coupl(&
                        nGC_343)*dZtL_QCD2/2d0
      coupl(nGC_3715) = coupl(nGC_3071) + coupl(nGC_340)*dZGMinusHMinus_QED2/  &
                        2d0 + coupl(nGC_343)*dZHMinus_QED2/2d0 + coupl(nGC_343 &
                        )*dZbR_QED2/2d0 + coupl(nGC_343)*dZtL_QED2/2d0
      coupl(nGC_3714) = coupl(nGC_3070) + coupl(nGC_370)*dZbL_QCD2/2d0 + coupl(&
                        nGC_370)*dZtR_QCD2/2d0
      coupl(nGC_3713) = coupl(nGC_3069) + coupl(nGC_370)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_370)*dZbL_QED2/2d0 + coupl(nGC_370)*dZtR_QED2&
                        /2d0 + coupl(nGC_373)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_3712) = coupl(nGC_367)*dZGMinus/2d0
      coupl(nGC_3711) = coupl(nGC_3054) + coupl(nGC_367)*dZcL_QCD2/2d0 + coupl(&
                        nGC_367)*dZsR_QCD2/2d0
      coupl(nGC_3710) = coupl(nGC_3053) + coupl(nGC_364)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_367)*dZcL_QED2/2d0 + coupl(nGC_367)*   &
                        dZsR_QED2/2d0
      coupl(nGC_2652) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_348) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_348) - coupl(nGC_345 &
                        )**2d0*coupl(nGC_348) - coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_384) - coupl(nGC_348)**3d0 - coupl(nGC_348)* &
                        coupl(nGC_817)**2d0 - coupl(nGC_348)*coupl(nGC_821)**  &
                        2d0 - coupl(nGC_349)*coupl(nGC_384)*coupl(nGC_385))/(  &
                        32d0*pi**2d0)
      coupl(nGC_3719) = coupl(nGC_13)*dZdL_QED2
      coupl(nGC_3718) = coupl(nGC_13)*dZdL_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3180)
      coupl(nGC_3487) = coupl(nGC_181)*dZGMinus/2d0
      coupl(nGC_3485) = coupl(nGC_3004) + coupl(nGC_76)*dZHl_QED2
      coupl(nGC_3484) = coupl(nGC_2988) + coupl(nGC_36)*dZHa_QED2 + coupl(     &
                        nGC_36)*dZHh_QED2/2d0 + coupl(nGC_36)*dZHl_QED2/2d0 +  &
                        coupl(nGC_41)*dZHlHh_QED2/2d0 + coupl(nGC_47)*         &
                        dZG0Ha_QED2 + coupl(nGC_48)*dZHhHl_QED2/2d0
      coupl(nGC_3483) = coupl(nGC_76)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_3482) = coupl(nGC_3003) + coupl(nGC_99)*dZHMinus_QED2
      coupl(nGC_3481) = coupl(nGC_186)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3480) = coupl(nGC_2991) + coupl(nGC_53)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_53)*dZHh_QED2/2d0 + coupl(nGC_62)*dZHlHh_QED2&
                        /2d0 + coupl(nGC_63)*dZHaG0_QED2/2d0
      coupl(nGC_TS_GC_369_Hl) = -coupl(nGC_369)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3489) = dZGMinusHMinus_QED2*(coupl(nGC_62) + coupl(nGC_63))/2d0
      coupl(nGC_3488) = coupl(nGC_174)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_175 &
                        )*dZHlHh_QED2/2d0 + coupl(nGC_181)*dZHh_QED2/2d0 +     &
                        coupl(nGC_3008)
      coupl(nGC_2951) = coupl(nGC_1505)*dZee_QED2 + coupl(nGC_1506)*dcw_QED2
      coupl(nGC_2400) = cima*(-Nc*cMB**2d0*coupl(nGC_340)*coupl(nGC_343) - Nc* &
                        cMB**2d0*coupl(nGC_370)*coupl(nGC_373) - Nc*cMC**2d0*  &
                        coupl(nGC_334)*coupl(nGC_337) - Nc*cMC**2d0*coupl(     &
                        nGC_364)*coupl(nGC_367) - Nc*cMD**2d0*coupl(nGC_346)*  &
                        coupl(nGC_349) - Nc*cMD**2d0*coupl(nGC_382)*coupl(     &
                        nGC_385) - Nc*cMS**2d0*coupl(nGC_334)*coupl(nGC_337) - &
                        Nc*cMS**2d0*coupl(nGC_364)*coupl(nGC_367) - Nc*cMT**2d0&
                        *coupl(nGC_340)*coupl(nGC_343) - Nc*cMT**2d0*coupl(    &
                        nGC_370)*coupl(nGC_373) - Nc*cMU**2d0*coupl(nGC_346)*  &
                        coupl(nGC_349) - Nc*cMU**2d0*coupl(nGC_382)*coupl(     &
                        nGC_385) - cME**2d0*coupl(nGC_352)*coupl(nGC_355) - cMM&
                        **2d0*coupl(nGC_358)*coupl(nGC_361) - cMTA**2d0*coupl( &
                        nGC_376)*coupl(nGC_379) + 2d0*coupl(nGC_231)*coupl(    &
                        nGC_237) + 2d0*coupl(nGC_321)*coupl(nGC_324))/(16d0*pi &
                        **2d0)
      coupl(nGC_3853) = -coupl(nGC_3116) - coupl(nGC_386)*dZuL_QCD2/2d0 - coupl&
                        (nGC_386)*dZuR_QCD2/2d0
      coupl(nGC_3418) = -coupl(nGC_3120) - coupl(nGC_374)*dZtL_QCD2/2d0 - coupl&
                        (nGC_374)*dZtR_QCD2/2d0
      coupl(nGC_2957) = coupl(nGC_2150)*db_QED2 + coupl(nGC_2151)*dl3_QED4 +   &
                        coupl(nGC_2152)*dl2_QED4 + coupl(nGC_2153)*dl1_QED4 +  &
                        coupl(nGC_2154)*dl4_QED4 + coupl(nGC_2155)*dl5_QED4
      coupl(nGC_2660) = coupl(nGC_13)**2d0*sq2**2d0*(cMB*coupl(nGC_339) + cMC* &
                        coupl(nGC_336) + cMD*coupl(nGC_348) + cMS*coupl(nGC_366&
                        ) + cMT*coupl(nGC_372) + cMU*coupl(nGC_384))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_2662) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_366) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_366) - coupl(nGC_334 &
                        )*coupl(nGC_336)*coupl(nGC_364) - coupl(nGC_336)*coupl(&
                        nGC_337)*coupl(nGC_367) - coupl(nGC_363)**2d0*coupl(   &
                        nGC_366) - coupl(nGC_365)**2d0*coupl(nGC_366) - coupl( &
                        nGC_366)**3d0 - coupl(nGC_366)*coupl(nGC_368)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2664) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_372) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_372) - coupl(nGC_339 &
                        )*coupl(nGC_340)*coupl(nGC_373) - coupl(nGC_339)*coupl(&
                        nGC_343)*coupl(nGC_370) - coupl(nGC_369)**2d0*coupl(   &
                        nGC_372) - coupl(nGC_372)**3d0 - coupl(nGC_372)*coupl( &
                        nGC_795)**2d0 - coupl(nGC_372)*coupl(nGC_873)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2665) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_372) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_372) - coupl(nGC_339 &
                        )*coupl(nGC_340)*coupl(nGC_373) - coupl(nGC_339)*coupl(&
                        nGC_343)*coupl(nGC_370) - coupl(nGC_369)**2d0*coupl(   &
                        nGC_372) - coupl(nGC_371)**2d0*coupl(nGC_372) - coupl( &
                        nGC_372)**3d0 - coupl(nGC_372)*coupl(nGC_374)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2666) = coupl(nGC_13)**2d0*coupl(nGC_372)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2667) = coupl(nGC_378)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_375)**2d0 - coupl(nGC_377)**2d0 - coupl(     &
                        nGC_378)**2d0 - coupl(nGC_380)**2d0 + 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_2967) = coupl(nGC_1866)*db_QED2 + coupl(nGC_1867)*dl3_QED4 +   &
                        coupl(nGC_1868)*dl2_QED4 + coupl(nGC_1869)*dl1_QED4 +  &
                        coupl(nGC_1870)*dl4_QED4 + coupl(nGC_1871)*dl5_QED4 +  &
                        coupl(nGC_1872)*da_QED2
      coupl(nGC_2966) = coupl(nGC_2098)*db_QED2 + coupl(nGC_2099)*dl3_QED4 +   &
                        coupl(nGC_2100)*dl2_QED4 + coupl(nGC_2101)*dl1_QED4 +  &
                        coupl(nGC_2102)*dl4_QED4 + coupl(nGC_2103)*dl5_QED4
      coupl(nGC_3133) = coupl(nGC_2211)*db_QED2 + coupl(nGC_2212)*dyup1_QED3 + &
                        coupl(nGC_2213)*dyup2_QED3
      coupl(nGC_3908) = coupl(nGC_3075) + coupl(nGC_365)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_368)*dZsL_QED2/2d0 + coupl(nGC_368)*dZsR_QED2&
                        /2d0
      coupl(nGC_3909) = coupl(nGC_3076) + coupl(nGC_368)*dZsL_QCD2/2d0 + coupl(&
                        nGC_368)*dZsR_QCD2/2d0
      coupl(nGC_TS_GC_49_Hl) = -coupl(nGC_49)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3903) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_3900) = dZGMinusHMinus_QED2*(coupl(nGC_257) + coupl(nGC_258))/ &
                        2d0
      coupl(nGC_3901) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_3904) = coupl(nGC_173)*dZGMinusHMinus_QED2/2d0 - coupl(nGC_173 &
                        )*dZHhHl_QED2/2d0 - coupl(nGC_178)*dZHMinus_QED2/2d0 - &
                        coupl(nGC_178)*dZHl_QED2/2d0 - coupl(nGC_178)*         &
                        dZWMinus_QED2/2d0 - coupl(nGC_3147)
      coupl(nGC_3905) = coupl(nGC_3125) + coupl(nGC_369)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_372)*dZHh_QED2/2d0 + coupl(nGC_372)*dZtL_QED2&
                        /2d0 + coupl(nGC_372)*dZtR_QED2/2d0
      coupl(nGC_TS_GC_381_Hl) = -coupl(nGC_381)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2746) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_197)**2d0 + 4d0*coupl(nGC_209)**2d0 + coupl(nGC_345&
                        )**2d0 + coupl(nGC_347)*coupl(nGC_817) + coupl(nGC_348 &
                        )**2d0 + coupl(nGC_350)*coupl(nGC_821) + coupl(nGC_382 &
                        )**2d0 + coupl(nGC_385)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_3137) = coupl(nGC_579)*db_QED2 + coupl(nGC_581)*dyt1_QED3 +    &
                        coupl(nGC_583)*dyt2_QED3
      coupl(nGC_3097) = coupl(nGC_1258)*dye2_QED3 + coupl(nGC_1259)*db_QED2 +  &
                        coupl(nGC_1260)*dye1_QED3
      coupl(nGC_TS_GC_253_Hl) = -coupl(nGC_253)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2892) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_339)*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_348) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364)*coupl&
                        (nGC_366) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_334)*coupl(nGC_336) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_370)*coupl(nGC_372   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_382)*coupl(nGC_384) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_336) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_339)*coupl&
                        (nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_346)*coupl(nGC_348) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_364)*coupl(nGC_366   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_370)*coupl(nGC_372) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_382)*coupl(nGC_384) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334)*coupl&
                        (nGC_336) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_339)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_348   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_364)*coupl(nGC_366) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_370)*coupl(nGC_372) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382)*coupl&
                        (nGC_384) + 6d0*cima*coupl(nGC_175)*coupl(nGC_813) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_22) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_352)*coupl(nGC_354   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_358)*coupl(nGC_360) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_376)*coupl(nGC_378) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_352)*coupl(    &
                        nGC_354) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_358)*coupl(nGC_360) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_376)*coupl(nGC_378) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_352)*coupl(   &
                        nGC_354) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_358)*coupl(nGC_360) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_378) + 6d0*    &
                        coupl(nGC_175)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl(&
                        nGC_198)*coupl(nGC_199)*coupl(nGC_22))/(48d0*pi**2d0)
      coupl(nGC_3549) = coupl(nGC_100)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3627) = -coupl(nGC_172)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_172&
                        )*dZHlHh_QED2/2d0 + coupl(nGC_178)*dZHh_QED2/2d0 +     &
                        coupl(nGC_178)*dZWMinus_QED2/2d0 + coupl(nGC_3147)
      coupl(nGC_3625) = coupl(nGC_33)*dZGMinus
      coupl(nGC_2484) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_358)**2d0*coupl(&
                        nGC_4) + coupl(nGC_361)**2d0*coupl(nGC_4))/(32d0*pi**  &
                        2d0)
      coupl(nGC_2485) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_376)**2d0*coupl(&
                        nGC_4) + coupl(nGC_379)**2d0*coupl(nGC_4))/(32d0*pi**  &
                        2d0)
      coupl(nGC_2899) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_334)**2d0  &
                         + coupl(nGC_343)**2d0 + coupl(nGC_346)**2d0 + coupl(  &
                        nGC_364)**2d0 + coupl(nGC_370)**2d0 + coupl(nGC_382)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2898) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_342)*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_346) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*coupl&
                        (nGC_364) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_333)*coupl(nGC_334) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_370   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_381)*coupl(nGC_382) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_334) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_342)*coupl&
                        (nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_345)*coupl(nGC_346) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_364   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_369)*coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_381)*coupl(nGC_382) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_333)*coupl&
                        (nGC_334) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_342)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_345)*coupl(nGC_346   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_363)*coupl(nGC_364) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_381)*coupl&
                        (nGC_382) + 6d0*cima*coupl(nGC_180)*coupl(nGC_813) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_352   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_357)*coupl(nGC_358) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_375)*coupl(nGC_376) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_351)*coupl(    &
                        nGC_352) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_357)*coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_375)*coupl(nGC_376) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(   &
                        nGC_352) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_357)*coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_376) + 6d0*    &
                        coupl(nGC_180)*coupl(nGC_3)*coupl(nGC_811) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_23)*coupl(nGC_811))/(48d0*pi**2d0)
      coupl(nGC_2480) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(    &
                        nGC_211)**2d0*coupl(nGC_4) + coupl(nGC_351)**2d0*coupl(&
                        nGC_4) + coupl(nGC_353)*coupl(nGC_4)*coupl(nGC_789) +  &
                        coupl(nGC_354)**2d0*coupl(nGC_4) + coupl(nGC_356)*coupl&
                        (nGC_4)*coupl(nGC_801) + 4d0*coupl(nGC_4)**3d0)/(32d0* &
                        pi**2d0)
      coupl(nGC_2481) = coupl(nGC_4)*(4d0*coupl(nGC_208)**2d0 + coupl(nGC_357  &
                        )**2d0 + coupl(nGC_359)*coupl(nGC_797) + coupl(nGC_360 &
                        )**2d0 + coupl(nGC_362)*coupl(nGC_885) + 4d0*coupl(    &
                        nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2482) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(    &
                        nGC_211)**2d0*coupl(nGC_4) + coupl(nGC_357)**2d0*coupl(&
                        nGC_4) + coupl(nGC_359)*coupl(nGC_4)*coupl(nGC_797) +  &
                        coupl(nGC_360)**2d0*coupl(nGC_4) + coupl(nGC_362)*coupl&
                        (nGC_4)*coupl(nGC_885) + 4d0*coupl(nGC_4)**3d0)/(32d0* &
                        pi**2d0)
      coupl(nGC_2483) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_352)**2d0*coupl(&
                        nGC_4) + coupl(nGC_355)**2d0*coupl(nGC_4))/(32d0*pi**  &
                        2d0)
      coupl(nGC_3877) = coupl(nGC_229)*dZGMinus
      coupl(nGC_3874) = -coupl(nGC_3133) - coupl(nGC_383)*dZHa_QED2/2d0 - coupl&
                        (nGC_383)*dZuL_QED2/2d0 - coupl(nGC_383)*dZuR_QED2/2d0 &
                         - coupl(nGC_386)*dZG0Ha_QED2/2d0
      coupl(nGC_3875) = -coupl(nGC_3134) - coupl(nGC_383)*dZuL_QCD2/2d0 - coupl&
                        (nGC_383)*dZuR_QCD2/2d0
      coupl(nGC_3872) = coupl(nGC_3133) + coupl(nGC_383)*dZHa_QED2/2d0 + coupl(&
                        nGC_383)*dZuL_QED2/2d0 + coupl(nGC_383)*dZuR_QED2/2d0  &
                         + coupl(nGC_386)*dZG0Ha_QED2/2d0
      coupl(nGC_3873) = coupl(nGC_3134) + coupl(nGC_383)*dZuL_QCD2/2d0 + coupl(&
                        nGC_383)*dZuR_QCD2/2d0
      coupl(nGC_3871) = coupl(nGC_3101) + coupl(nGC_358)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_358)*dZmuMinusR_QED2/2d0 + coupl(nGC_358)*   &
                        dZnu_muL_QED2/2d0 + coupl(nGC_361)*dZGMinusHMinus_QED2/&
                        2d0
      coupl(nGC_2715) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_210) + 2d0*coupl(nGC_197)**2d0*&
                        coupl(nGC_811) + coupl(nGC_206)*coupl(nGC_339)**2d0 +  &
                        coupl(nGC_206)*coupl(nGC_341)*coupl(nGC_787) + coupl(  &
                        nGC_206)*coupl(nGC_342)**2d0 + coupl(nGC_206)*coupl(   &
                        nGC_344)*coupl(nGC_847) + coupl(nGC_207)*coupl(nGC_370 &
                        )**2d0 + coupl(nGC_207)*coupl(nGC_373)**2d0 + 4d0*coupl&
                        (nGC_209)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2716) = coupl(nGC_13)**2d0*coupl(nGC_209)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2717) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + 4d0*coupl(     &
                        nGC_206)**3d0 + coupl(nGC_209)*coupl(nGC_339)**2d0 +   &
                        coupl(nGC_209)*coupl(nGC_341)*coupl(nGC_787) + coupl(  &
                        nGC_209)*coupl(nGC_342)**2d0 + coupl(nGC_209)*coupl(   &
                        nGC_344)*coupl(nGC_847) + coupl(nGC_210)*coupl(nGC_340 &
                        )**2d0 + coupl(nGC_210)*coupl(nGC_343)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_2710) = coupl(nGC_197)*(coupl(nGC_198)*coupl(nGC_211) + 2d0*   &
                        coupl(nGC_211)*coupl(nGC_212) + coupl(nGC_212)*coupl(  &
                        nGC_791) + coupl(nGC_4)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3879) = coupl(nGC_213)*dZHl_QED2/2d0 + coupl(nGC_213)*dZZ_QED2/&
                        2d0 + coupl(nGC_215)*dZHaG0_QED2/2d0 + coupl(nGC_215)* &
                        dZHhHl_QED2/2d0 + coupl(nGC_3163)
      coupl(nGC_2822) = cima*(10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_337)**2d0  &
                         + 10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_367)**2d0 +   &
                        20d0*Nc*coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_363)*  &
                        coupl(nGC_367) + 10d0*Nc*coupl(nGC_337)**2d0*coupl(    &
                        nGC_363)**2d0 + 10d0*Nc*coupl(nGC_340)**2d0*coupl(     &
                        nGC_342)**2d0 + 10d0*Nc*coupl(nGC_340)**2d0*coupl(     &
                        nGC_369)**2d0 + 20d0*Nc*coupl(nGC_340)*coupl(nGC_342)* &
                        coupl(nGC_369)*coupl(nGC_373) + 10d0*Nc*coupl(nGC_342  &
                        )**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(nGC_345)**  &
                        2d0*coupl(nGC_349)**2d0 + 10d0*Nc*coupl(nGC_345)**2d0* &
                        coupl(nGC_385)**2d0 + 20d0*Nc*coupl(nGC_345)*coupl(    &
                        nGC_349)*coupl(nGC_381)*coupl(nGC_385) + 10d0*Nc*coupl(&
                        nGC_349)**2d0*coupl(nGC_381)**2d0 + 10d0*Nc*coupl(     &
                        nGC_363)**2d0*coupl(nGC_367)**2d0 + 10d0*Nc*coupl(     &
                        nGC_369)**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(     &
                        nGC_381)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_100)*&
                        coupl(nGC_77) + 12d0*coupl(nGC_174)**2d0 + 12d0*coupl( &
                        nGC_21)**2d0 + 3d0*coupl(nGC_224)*coupl(nGC_229) + 10d0&
                        *coupl(nGC_351)**2d0*coupl(nGC_355)**2d0 + 10d0*coupl( &
                        nGC_357)**2d0*coupl(nGC_361)**2d0 + 10d0*coupl(nGC_375 &
                        )**2d0*coupl(nGC_379)**2d0)/(48d0*pi**2d0)
      coupl(nGC_3518) = coupl(nGC_228)*dZHMinus_QED2 + coupl(nGC_2954)
      coupl(nGC_3977) = coupl(nGC_3128) + coupl(nGC_381)*dZuL_QCD2/2d0 + coupl(&
                        nGC_381)*dZuR_QCD2/2d0
      coupl(nGC_3976) = coupl(nGC_3127) + coupl(nGC_381)*dZHl_QED2/2d0 + coupl(&
                        nGC_381)*dZuL_QED2/2d0 + coupl(nGC_381)*dZuR_QED2/2d0  &
                         + coupl(nGC_384)*dZHhHl_QED2/2d0
      coupl(nGC_3973) = coupl(nGC_2963) + 2d0*coupl(nGC_58)*dZG0Ha_QED2 + 2d0* &
                        coupl(nGC_66)*dZHa_QED2
      coupl(nGC_3970) = -coupl(nGC_173)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_173&
                        )*dZHhHl_QED2/2d0 + coupl(nGC_178)*dZHMinus_QED2/2d0 + &
                        coupl(nGC_178)*dZHl_QED2/2d0 + coupl(nGC_178)*         &
                        dZWMinus_QED2/2d0 + coupl(nGC_3147)
      coupl(nGC_2821) = cima*(5d0*Nc*coupl(nGC_333)*coupl(nGC_336)*coupl(      &
                        nGC_337)**2d0 + 5d0*Nc*coupl(nGC_333)*coupl(nGC_336)*  &
                        coupl(nGC_367)**2d0 + 5d0*Nc*coupl(nGC_333)*coupl(     &
                        nGC_337)*coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl( &
                        nGC_336)*coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_367   &
                        ) + 5d0*Nc*coupl(nGC_337)**2d0*coupl(nGC_363)*coupl(   &
                        nGC_366) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)**2d0*  &
                        coupl(nGC_342) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)* &
                        coupl(nGC_369)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_339)* &
                        coupl(nGC_342)*coupl(nGC_373)**2d0 + 5d0*Nc*coupl(     &
                        nGC_340)**2d0*coupl(nGC_369)*coupl(nGC_372) + 5d0*Nc*  &
                        coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_372)*coupl(    &
                        nGC_373) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_348)*coupl( &
                        nGC_349)**2d0 + 5d0*Nc*coupl(nGC_345)*coupl(nGC_348)*  &
                        coupl(nGC_385)**2d0 + 5d0*Nc*coupl(nGC_345)*coupl(     &
                        nGC_349)*coupl(nGC_384)*coupl(nGC_385) + 5d0*Nc*coupl( &
                        nGC_348)*coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385   &
                        ) + 5d0*Nc*coupl(nGC_349)**2d0*coupl(nGC_381)*coupl(   &
                        nGC_384) + 5d0*Nc*coupl(nGC_363)*coupl(nGC_366)*coupl( &
                        nGC_367)**2d0 + 5d0*Nc*coupl(nGC_369)*coupl(nGC_372)*  &
                        coupl(nGC_373)**2d0 + 5d0*Nc*coupl(nGC_381)*coupl(     &
                        nGC_384)*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_174)*coupl&
                        (nGC_180) + 6d0*coupl(nGC_21)*coupl(nGC_23) + 5d0*coupl&
                        (nGC_351)*coupl(nGC_354)*coupl(nGC_355)**2d0 + 5d0*    &
                        coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_361)**2d0 + 5d0&
                        *coupl(nGC_375)*coupl(nGC_378)*coupl(nGC_379)**2d0)/(  &
                        24d0*pi**2d0)
      coupl(nGC_2399) = cima*(Nc*coupl(nGC_334)*coupl(nGC_337) + Nc*coupl(     &
                        nGC_340)*coupl(nGC_343) + Nc*coupl(nGC_346)*coupl(     &
                        nGC_349) + Nc*coupl(nGC_364)*coupl(nGC_367) + Nc*coupl(&
                        nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_382)*coupl(     &
                        nGC_385) + coupl(nGC_352)*coupl(nGC_355) + coupl(      &
                        nGC_358)*coupl(nGC_361) + coupl(nGC_376)*coupl(nGC_379 &
                        ))/(48d0*pi**2d0)
      coupl(nGC_3697) = coupl(nGC_223)*dZHh_QED2 + coupl(nGC_2956)
      coupl(nGC_3437) = coupl(nGC_208)*dZZ_QED2/2d0 + coupl(nGC_208)*          &
                        dZtauMinusR_QED2 + coupl(nGC_3187) + coupl(nGC_4)*     &
                        dZAZ_QED2/2d0
      coupl(nGC_2911) = 5d0*cima*(Nc*coupl(nGC_333)*coupl(nGC_336)**3d0 + Nc*  &
                        coupl(nGC_339)**3d0*coupl(nGC_342) + Nc*coupl(nGC_345)*&
                        coupl(nGC_348)**3d0 + Nc*coupl(nGC_363)*coupl(nGC_366  &
                        )**3d0 + Nc*coupl(nGC_369)*coupl(nGC_372)**3d0 + Nc*   &
                        coupl(nGC_381)*coupl(nGC_384)**3d0 + coupl(nGC_351)*   &
                        coupl(nGC_354)**3d0 + coupl(nGC_357)*coupl(nGC_360)**  &
                        3d0 + coupl(nGC_375)*coupl(nGC_378)**3d0)/(4d0*pi**2d0)
      coupl(nGC_3430) = coupl(nGC_3001) + coupl(nGC_54)*dZHMinus_QED2 + coupl( &
                        nGC_54)*dZHa_QED2/2d0 + coupl(nGC_64)*dZHaG0_QED2/2d0  &
                         + coupl(nGC_70)*dZG0Ha_QED2/2d0 + coupl(nGC_72)*      &
                        dZGMinusHMinus_QED2
      coupl(nGC_3561) = coupl(nGC_3113) + coupl(nGC_359)*dZHa_QED2/2d0 + coupl(&
                        nGC_359)*dZmuMinusL_QED2/2d0 + coupl(nGC_359)*         &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_362)*dZG0Ha_QED2/2d0
      coupl(nGC_3793) = -coupl(nGC_3138) - coupl(nGC_371)*dZtL_QCD2/2d0 - coupl&
                        (nGC_371)*dZtR_QCD2/2d0
      coupl(nGC_2430) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_197)**2d0 - coupl(&
                        nGC_209)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3538) = coupl(nGC_231)*dZHMinus_QED2/2d0 + coupl(nGC_231)*     &
                        dZWMinus_QED2/2d0 + coupl(nGC_231)*dZZ_QED2/2d0 + coupl&
                        (nGC_237)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_3169) +  &
                        coupl(nGC_321)*dZAZ_QED2/2d0 + coupl(nGC_TS_GC_22_Hh   &
                        ) + coupl(nGC_TS_GC_23_Hl)
      coupl(nGC_3564) = coupl(nGC_3104) + coupl(nGC_359)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_362)*dZmuMinusL_QED2/2d0 + coupl(nGC_362)*   &
                        dZmuMinusR_QED2/2d0
      coupl(nGC_3535) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_207)*dZZ_QED2/  &
                        2d0 + coupl(nGC_207)*dZtR_QED2 + coupl(nGC_3182)
      coupl(nGC_3533) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_210)*dZZ_QED2/  &
                        2d0 + coupl(nGC_210)*dZtL_QED2 + coupl(nGC_3183)
      coupl(nGC_3532) = -coupl(nGC_3041)/2d0 - coupl(nGC_5)*dZWMinus_QED2/4d0
      coupl(nGC_3126) = coupl(nGC_1432)*dyt1_QED1_QCD2 + coupl(nGC_1433)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_3591) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_206)*dZZ_QED2/  &
                        2d0 + coupl(nGC_206)*dZdR_QED2 + coupl(nGC_3185)
      coupl(nGC_TS_GC_213_Hl) = -coupl(nGC_213)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2809) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_342)** &
                        2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_345&
                        )**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(    &
                        nGC_363)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_209)*   &
                        coupl(nGC_342)**2d0 - Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_209)*coupl(nGC_345)**2d0 - Nc*cima*coupl(nGC_1)*   &
                        coupl(nGC_209)*coupl(nGC_363)**2d0 - Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_207)*coupl(nGC_333)**2d0 - Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_369)**2d0 - Nc*  &
                        cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_381)**2d0 - &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_333)**2d0&
                         - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_369)**&
                        2d0 - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_381&
                        )**2d0 + cima*coupl(nGC_205)*coupl(nGC_77) - cima*coupl&
                        (nGC_208)*coupl(nGC_351)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_208)*coupl(nGC_357)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_208)*coupl(nGC_375)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_351)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_357)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_375)**2d0*coupl(nGC_4) + coupl(    &
                        nGC_199)*coupl(nGC_3)*coupl(nGC_77) + coupl(nGC_77)*   &
                        coupl(nGC_811)*coupl(nGC_831))/(8d0*pi**2d0)
      coupl(nGC_3512) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_209)*dZZ_QED2/  &
                        2d0 + coupl(nGC_209)*dZbL_QED2 + coupl(nGC_3184)
      coupl(nGC_3566) = -coupl(nGC_3104) - coupl(nGC_359)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_362)*dZmuMinusL_QED2/2d0 - coupl(nGC_362)*   &
                        dZmuMinusR_QED2/2d0
      coupl(nGC_2807) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339)** &
                        2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_348&
                        )**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(    &
                        nGC_366)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_209)*   &
                        coupl(nGC_339)**2d0 - Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_209)*coupl(nGC_348)**2d0 - Nc*cima*coupl(nGC_1)*   &
                        coupl(nGC_209)*coupl(nGC_366)**2d0 - Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_207)*coupl(nGC_336)**2d0 - Nc*cima*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_372)**2d0 - Nc*  &
                        cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_384)**2d0 - &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_336)**2d0&
                         - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_372)**&
                        2d0 - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_384&
                        )**2d0 + cima*coupl(nGC_205)*coupl(nGC_77) - cima*coupl&
                        (nGC_208)*coupl(nGC_354)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_208)*coupl(nGC_360)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_208)*coupl(nGC_378)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_354)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_360)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_211)*coupl(nGC_378)**2d0*coupl(nGC_4) + coupl(    &
                        nGC_199)*coupl(nGC_3)*coupl(nGC_77) + coupl(nGC_77)*   &
                        coupl(nGC_811)*coupl(nGC_831))/(8d0*pi**2d0)
      coupl(nGC_2540) = coupl(nGC_197)*(Nc*coupl(nGC_334)*coupl(nGC_338) - Nc* &
                        coupl(nGC_343)*coupl(nGC_787) - Nc*coupl(nGC_346)*coupl&
                        (nGC_821) - Nc*coupl(nGC_364)*coupl(nGC_835) + Nc*coupl&
                        (nGC_370)*coupl(nGC_374) + Nc*coupl(nGC_382)*coupl(    &
                        nGC_386) - coupl(nGC_352)*coupl(nGC_801) - coupl(      &
                        nGC_358)*coupl(nGC_885) - coupl(nGC_376)*coupl(nGC_839 &
                        ))/(24d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
