!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 21:28             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_3888) = coupl(nGC_3074) + coupl(nGC_350)*dZdL_QCD2/2d0 + coupl(&
                        nGC_350)*dZdR_QCD2/2d0
      coupl(nGC_2987) = coupl(nGC_2325)*dl3_QED4 + coupl(nGC_2326)*dl2_QED4 +  &
                        coupl(nGC_2327)*dl1_QED4 + coupl(nGC_2328)*dl4_QED4 +  &
                        coupl(nGC_2329)*dl5_QED4 + coupl(nGC_2330)*da_QED2
      coupl(nGC_TS_GC_179_Hl) = -coupl(nGC_179)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2986) = coupl(nGC_1635)*db_QED2 + coupl(nGC_1636)*dl3_QED4 +   &
                        coupl(nGC_1637)*dl2_QED4 + coupl(nGC_1638)*dl1_QED4 +  &
                        coupl(nGC_1639)*dl4_QED4 + coupl(nGC_1640)*dl5_QED4 +  &
                        coupl(nGC_1641)*da_QED2
      coupl(nGC_3887) = coupl(nGC_3073) + coupl(nGC_347)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_350)*dZdL_QED2/2d0 + coupl(nGC_350)*dZdR_QED2&
                        /2d0
      coupl(nGC_TS_GC_179_Hh) = -coupl(nGC_179)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3885) = -coupl(nGC_218)*dZHMinus_QED2 - coupl(nGC_218)*dZZ_QED2&
                        /2d0 - coupl(nGC_26)*dZAZ_QED2/2d0 - coupl(nGC_3164)
      coupl(nGC_3791) = coupl(nGC_3138) + coupl(nGC_371)*dZtL_QCD2/2d0 + coupl(&
                        nGC_371)*dZtR_QCD2/2d0
      coupl(nGC_4019) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_TS_GC_224_Hh) = -coupl(nGC_224)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3758) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbR_QED2 +   &
                        coupl(nGC_206)*dZZA_QED2/2d0 + coupl(nGC_3179)
      coupl(nGC_3050) = coupl(nGC_1695)*dyup1_QED1_QCD2 + coupl(nGC_1696)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_3051) = coupl(nGC_1164)*db_QED2 + coupl(nGC_1165)*dydo1_QED3 + &
                        coupl(nGC_1166)*dydo2_QED3
      coupl(nGC_3052) = coupl(nGC_1165)*dydo1_QED1_QCD2 + coupl(nGC_1166)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_3753) = coupl(nGC_35)*dZG0
      coupl(nGC_4015) = coupl(nGC_MMW_GF)*dZGMinusHMinus_QED2/2d0 + coupl(     &
                        nGC_TS_GC_173_Hh) + coupl(nGC_TS_GC_178_Hl)
      coupl(nGC_4014) = coupl(nGC_I)*dZHa_QED2
      coupl(nGC_3755) = -coupl(nGC_200)*dZZA_QED2/4d0 - coupl(nGC_3042)/2d0 -  &
                        coupl(nGC_6)*dZA_QED2/4d0
      coupl(nGC_2934) = (Nc*cima*coupl(nGC_206)**4d0 + Nc*cima*coupl(nGC_207)**&
                        4d0 + Nc*cima*coupl(nGC_209)**4d0 + Nc*cima*coupl(     &
                        nGC_210)**4d0 + cima*coupl(nGC_195)**2d0 - 2d0*cima*   &
                        coupl(nGC_199)**4d0 + cima*coupl(nGC_208)**4d0 + cima* &
                        coupl(nGC_211)**4d0 + cima*coupl(nGC_212)**4d0 - 2d0*  &
                        cima*coupl(nGC_811)**4d0 + 2d0*coupl(nGC_195)*coupl(   &
                        nGC_199)**2d0 + 2d0*coupl(nGC_195)*coupl(nGC_811)**2d0 &
                        )/(8d0*pi**2d0)
      coupl(nGC_2935) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_206)**2d0  &
                         + coupl(nGC_207)**2d0 + coupl(nGC_209)**2d0 + coupl(  &
                        nGC_210)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2936) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_206)**2d0 &
                         - coupl(nGC_207)**2d0 - coupl(nGC_209)**2d0 - coupl(  &
                        nGC_210)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2937) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_206) +     &
                        coupl(nGC_207) + coupl(nGC_209) + coupl(nGC_210))/(    &
                        128d0*pi**2d0)
      coupl(nGC_2930) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_333)*coupl&
                        (nGC_336) - coupl(nGC_339)*coupl(nGC_342) - coupl(     &
                        nGC_345)*coupl(nGC_348) - coupl(nGC_363)*coupl(nGC_366 &
                        ) - coupl(nGC_369)*coupl(nGC_372) - coupl(nGC_381)*    &
                        coupl(nGC_384))/(16d0*pi**2d0)
      coupl(nGC_2931) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_333)*coupl(&
                        nGC_336) + coupl(nGC_339)*coupl(nGC_342) + coupl(      &
                        nGC_345)*coupl(nGC_348) + coupl(nGC_363)*coupl(nGC_366 &
                        ) + coupl(nGC_369)*coupl(nGC_372) + coupl(nGC_381)*    &
                        coupl(nGC_384))/(16d0*pi**2d0*Nc)
      coupl(nGC_2932) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_333)**2d0 &
                         - coupl(nGC_342)**2d0 - coupl(nGC_345)**2d0 - coupl(  &
                        nGC_363)**2d0 - coupl(nGC_369)**2d0 - coupl(nGC_381)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_2933) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_333)**2d0  &
                         + coupl(nGC_342)**2d0 + coupl(nGC_345)**2d0 + coupl(  &
                        nGC_363)**2d0 + coupl(nGC_369)**2d0 + coupl(nGC_381)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2938) = cima*coupl(nGC_13)**3d0*sq2**3d0*(-coupl(nGC_206) -    &
                        coupl(nGC_207) - coupl(nGC_209) - coupl(nGC_210))/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_2939) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_206) +     &
                        coupl(nGC_207) + coupl(nGC_209) + coupl(nGC_210))/(32d0&
                        *pi**2d0*Nc**2d0)
      coupl(nGC_4006) = -coupl(nGC_3318) - coupl(nGC_MZ_GF)*dZZ_QED2/2d0 +     &
                        coupl(nGC_TS_GC_213_Hl) + coupl(nGC_TS_GC_215_Hh)
      coupl(nGC_TS_GC_41_Hl) = -coupl(nGC_41)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2509) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_373) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_373) - coupl(  &
                        nGC_339)*coupl(nGC_340)*coupl(nGC_372) - coupl(nGC_340 &
                        )*coupl(nGC_341)*coupl(nGC_374) - coupl(nGC_340)*coupl(&
                        nGC_342)*coupl(nGC_369) - coupl(nGC_340)*coupl(nGC_344 &
                        )*coupl(nGC_371))/(32d0*pi**2d0)
      coupl(nGC_2508) = coupl(nGC_13)**2d0*coupl(nGC_340)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2505) = coupl(nGC_197)*(Nc*coupl(nGC_333)*coupl(nGC_337) - Nc* &
                        coupl(nGC_340)*coupl(nGC_342) - Nc*coupl(nGC_345)*coupl&
                        (nGC_349) - Nc*coupl(nGC_363)*coupl(nGC_367) + Nc*coupl&
                        (nGC_369)*coupl(nGC_373) + Nc*coupl(nGC_381)*coupl(    &
                        nGC_385) - coupl(nGC_351)*coupl(nGC_355) - coupl(      &
                        nGC_357)*coupl(nGC_361) - coupl(nGC_375)*coupl(nGC_379 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2504) = coupl(nGC_197)*(Nc*coupl(nGC_336)*coupl(nGC_337) - Nc* &
                        coupl(nGC_339)*coupl(nGC_340) - Nc*coupl(nGC_348)*coupl&
                        (nGC_349) - Nc*coupl(nGC_366)*coupl(nGC_367) + Nc*coupl&
                        (nGC_372)*coupl(nGC_373) + Nc*coupl(nGC_384)*coupl(    &
                        nGC_385) - coupl(nGC_354)*coupl(nGC_355) - coupl(      &
                        nGC_360)*coupl(nGC_361) - coupl(nGC_378)*coupl(nGC_379 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2507) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_340) - coupl(  &
                        nGC_339)*coupl(nGC_372)*coupl(nGC_373) - coupl(nGC_342 &
                        )*coupl(nGC_369)*coupl(nGC_373) - coupl(nGC_373)*coupl(&
                        nGC_787)*coupl(nGC_873) - coupl(nGC_373)*coupl(nGC_795 &
                        )*coupl(nGC_847))/(32d0*pi**2d0)
      coupl(nGC_2506) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_340) - &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340) -  &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_340) +  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_337) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_337) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_337) +  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_349) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_349) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_349) +  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_367) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_367) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_367) +  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_373) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_373) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_373) +  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_385) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_385) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_385) +  &
                        cME*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_355) - cME*&
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_355) - cME*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_355) + cMM*    &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_361) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_361) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_361) + cMTA*   &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_379) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_379) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_379) + 2d0*cima&
                        *coupl(nGC_194)*coupl(nGC_237) + 2d0*cima*coupl(nGC_324&
                        )*coupl(nGC_813) + 2d0*coupl(nGC_198)*coupl(nGC_199)*  &
                        coupl(nGC_237) + 2d0*coupl(nGC_199)*coupl(nGC_324)*    &
                        coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_2501) = (2d0*Nc*cMB*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_343&
                        ) + Nc*cMB*coupl(nGC_340)*coupl(nGC_369)*coupl(nGC_370 &
                        ) + 2d0*Nc*cMB*coupl(nGC_342)*coupl(nGC_370)*coupl(    &
                        nGC_373) + Nc*cMB*coupl(nGC_343)*coupl(nGC_369)*coupl( &
                        nGC_373) + 2d0*Nc*cMC*coupl(nGC_333)*coupl(nGC_334)*   &
                        coupl(nGC_337) + 2d0*Nc*cMC*coupl(nGC_333)*coupl(      &
                        nGC_364)*coupl(nGC_367) + Nc*cMC*coupl(nGC_334)*coupl( &
                        nGC_363)*coupl(nGC_367) + Nc*cMC*coupl(nGC_337)*coupl( &
                        nGC_363)*coupl(nGC_364) + 2d0*Nc*cMD*coupl(nGC_345)*   &
                        coupl(nGC_346)*coupl(nGC_349) + 2d0*Nc*cMD*coupl(      &
                        nGC_345)*coupl(nGC_382)*coupl(nGC_385) + Nc*cMD*coupl( &
                        nGC_346)*coupl(nGC_381)*coupl(nGC_385) + Nc*cMD*coupl( &
                        nGC_349)*coupl(nGC_381)*coupl(nGC_382) + Nc*cMS*coupl( &
                        nGC_333)*coupl(nGC_334)*coupl(nGC_367) + Nc*cMS*coupl( &
                        nGC_333)*coupl(nGC_337)*coupl(nGC_364) + 2d0*Nc*cMS*   &
                        coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363) + 2d0*Nc* &
                        cMS*coupl(nGC_363)*coupl(nGC_364)*coupl(nGC_367) + Nc* &
                        cMT*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_370) + 2d0*&
                        Nc*cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_369) +  &
                        Nc*cMT*coupl(nGC_342)*coupl(nGC_343)*coupl(nGC_373) +  &
                        2d0*Nc*cMT*coupl(nGC_369)*coupl(nGC_370)*coupl(nGC_373 &
                        ) + Nc*cMU*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_385 &
                        ) + Nc*cMU*coupl(nGC_345)*coupl(nGC_349)*coupl(nGC_382 &
                        ) + 2d0*Nc*cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(    &
                        nGC_381) + 2d0*Nc*cMU*coupl(nGC_381)*coupl(nGC_382)*   &
                        coupl(nGC_385) + 2d0*cME*coupl(nGC_351)*coupl(nGC_352)*&
                        coupl(nGC_355) + 2d0*cMM*coupl(nGC_357)*coupl(nGC_358)*&
                        coupl(nGC_361) + 2d0*cMTA*coupl(nGC_375)*coupl(nGC_376 &
                        )*coupl(nGC_379) + 2d0*cima*coupl(nGC_174)*coupl(      &
                        nGC_321) + 2d0*cima*coupl(nGC_180)*coupl(nGC_324) + 2d0&
                        *cima*coupl(nGC_21)*coupl(nGC_231) + 2d0*cima*coupl(   &
                        nGC_23)*coupl(nGC_237))/(16d0*pi**2d0)
      coupl(nGC_2500) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_343&
                        ) + 2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_370)*coupl(    &
                        nGC_373) + Nc*cMB*coupl(nGC_340)*coupl(nGC_370)*coupl( &
                        nGC_372) + Nc*cMB*coupl(nGC_343)*coupl(nGC_372)*coupl( &
                        nGC_373) + 2d0*Nc*cMC*coupl(nGC_334)*coupl(nGC_336)*   &
                        coupl(nGC_337) + Nc*cMC*coupl(nGC_334)*coupl(nGC_366)* &
                        coupl(nGC_367) + 2d0*Nc*cMC*coupl(nGC_336)*coupl(      &
                        nGC_364)*coupl(nGC_367) + Nc*cMC*coupl(nGC_337)*coupl( &
                        nGC_364)*coupl(nGC_366) + 2d0*Nc*cMD*coupl(nGC_346)*   &
                        coupl(nGC_348)*coupl(nGC_349) + Nc*cMD*coupl(nGC_346)* &
                        coupl(nGC_384)*coupl(nGC_385) + 2d0*Nc*cMD*coupl(      &
                        nGC_348)*coupl(nGC_382)*coupl(nGC_385) + Nc*cMD*coupl( &
                        nGC_349)*coupl(nGC_382)*coupl(nGC_384) + Nc*cMS*coupl( &
                        nGC_334)*coupl(nGC_336)*coupl(nGC_367) + 2d0*Nc*cMS*   &
                        coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_366) + Nc*cMS* &
                        coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_364) + 2d0*Nc* &
                        cMS*coupl(nGC_364)*coupl(nGC_366)*coupl(nGC_367) + Nc* &
                        cMT*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_370) + Nc* &
                        cMT*coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_373) + 2d0*&
                        Nc*cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_372) +  &
                        2d0*Nc*cMT*coupl(nGC_370)*coupl(nGC_372)*coupl(nGC_373 &
                        ) + Nc*cMU*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_385 &
                        ) + 2d0*Nc*cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(    &
                        nGC_384) + Nc*cMU*coupl(nGC_348)*coupl(nGC_349)*coupl( &
                        nGC_382) + 2d0*Nc*cMU*coupl(nGC_382)*coupl(nGC_384)*   &
                        coupl(nGC_385) + 2d0*cME*coupl(nGC_352)*coupl(nGC_354)*&
                        coupl(nGC_355) + 2d0*cMM*coupl(nGC_358)*coupl(nGC_360)*&
                        coupl(nGC_361) + 2d0*cMTA*coupl(nGC_376)*coupl(nGC_378 &
                        )*coupl(nGC_379) + 2d0*cima*coupl(nGC_175)*coupl(      &
                        nGC_324) + 2d0*cima*coupl(nGC_180)*coupl(nGC_321) + 2d0&
                        *cima*coupl(nGC_22)*coupl(nGC_237) + 2d0*cima*coupl(   &
                        nGC_23)*coupl(nGC_231))/(16d0*pi**2d0)
      coupl(nGC_2502) = (Nc*coupl(nGC_206)*coupl(nGC_340)*coupl(nGC_343) + Nc* &
                        coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_349) + Nc*coupl&
                        (nGC_206)*coupl(nGC_364)*coupl(nGC_367) - Nc*coupl(    &
                        nGC_207)*coupl(nGC_334)*coupl(nGC_337) - Nc*coupl(     &
                        nGC_207)*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl(     &
                        nGC_207)*coupl(nGC_382)*coupl(nGC_385) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_334)*coupl(nGC_337) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_370)*coupl(nGC_373) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_382)*coupl(nGC_385) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_346)*coupl(nGC_349) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_364)*coupl(nGC_367) + coupl(nGC_208 &
                        )*coupl(nGC_352)*coupl(nGC_355) + coupl(nGC_208)*coupl(&
                        nGC_358)*coupl(nGC_361) + coupl(nGC_208)*coupl(nGC_376 &
                        )*coupl(nGC_379) - coupl(nGC_212)*coupl(nGC_352)*coupl(&
                        nGC_355) - coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_361 &
                        ) - coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_379))/(24d0&
                        *pi**2d0)
      coupl(nGC_3641) = coupl(nGC_201)*dZZ_QED2/4d0 + coupl(nGC_3044)/2d0 +    &
                        coupl(nGC_5)*dZAZ_QED2/4d0
      coupl(nGC_4020) = 2d0*coupl(nGC_16)*dZHhHl_QED2 + 2d0*coupl(nGC_18)*     &
                        dZHl_QED2 + coupl(nGC_2965)
      coupl(nGC_3392) = 3d0*coupl(nGC_57)*dZGMinus/2d0
      coupl(nGC_3391) = coupl(nGC_21)*dZHhHl_QED2/2d0 + coupl(nGC_22)*         &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_24)*dZHMinus_QED2/ &
                        2d0 + coupl(nGC_24)*dZHl_QED2/2d0 + coupl(nGC_2955)
      coupl(nGC_3390) = dZGMinusHMinus_QED2*(coupl(nGC_247) + coupl(nGC_248))/ &
                        2d0
      coupl(nGC_3636) = coupl(nGC_3111) + coupl(nGC_375)*dZHl_QED2/2d0 + coupl(&
                        nGC_375)*dZtauMinusL_QED2/2d0 + coupl(nGC_375)*        &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_378)*dZHhHl_QED2/2d0
      coupl(nGC_3397) = coupl(nGC_175)*dZGMinus/2d0
      coupl(nGC_3637) = -coupl(nGC_218)*dZZ_QED2/2d0 - coupl(nGC_26)*dZAZ_QED2/&
                        2d0 - coupl(nGC_3164)
      coupl(nGC_2598) = coupl(nGC_197)*(-Nc*coupl(nGC_334)*coupl(nGC_336) + Nc*&
                        coupl(nGC_339)*coupl(nGC_343) + Nc*coupl(nGC_346)*coupl&
                        (nGC_348) + Nc*coupl(nGC_364)*coupl(nGC_366) - Nc*coupl&
                        (nGC_370)*coupl(nGC_372) - Nc*coupl(nGC_382)*coupl(    &
                        nGC_384) + coupl(nGC_352)*coupl(nGC_354) + coupl(      &
                        nGC_358)*coupl(nGC_360) + coupl(nGC_376)*coupl(nGC_378 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3644) = coupl(nGC_248)*dZHMinus_QED2/2d0 + coupl(nGC_257)*     &
                        dZHaG0_QED2/2d0 + coupl(nGC_3034) + coupl(             &
                        nGC_TS_GC_52_Hh) + coupl(nGC_TS_GC_63_Hl)
      coupl(nGC_3647) = coupl(nGC_214)*dZHa_QED2/2d0 + coupl(nGC_214)*dZHh_QED2&
                        /2d0 + coupl(nGC_214)*dZZ_QED2/2d0 + coupl(nGC_215)*   &
                        dZG0Ha_QED2/2d0 + coupl(nGC_215)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_3165)
      coupl(nGC_3514) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_206)*dZZ_QED2/  &
                        2d0 + coupl(nGC_206)*dZbR_QED2 + coupl(nGC_3185)
      coupl(nGC_3379) = -coupl(nGC_201)*dZWMinus_QED2/4d0 - coupl(nGC_3044)/2d0
      coupl(nGC_3378) = coupl(nGC_2978) + coupl(nGC_52)*dZHaG0_QED2/2d0 + coupl&
                        (nGC_52)*dZHhHl_QED2/2d0 + coupl(nGC_63)*dZHMinus_QED2/&
                        2d0 + coupl(nGC_63)*dZHl_QED2/2d0
      coupl(nGC_2752) = coupl(nGC_13)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(      &
                        nGC_857) + 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_2753) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_197)**2d0 + 4d0*coupl(nGC_209)**2d0 + coupl(nGC_334&
                        )**2d0 + coupl(nGC_337)**2d0 + coupl(nGC_363)**2d0 +   &
                        coupl(nGC_365)*coupl(nGC_803) + coupl(nGC_366)**2d0 +  &
                        coupl(nGC_368)*coupl(nGC_835))/(64d0*pi**2d0)
      coupl(nGC_2754) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_206)**2d0 + coupl(nGC_363)**2d0 + coupl(nGC_364)** &
                        2d0 + coupl(nGC_365)*coupl(nGC_803) + coupl(nGC_366)** &
                        2d0 + coupl(nGC_367)**2d0 + coupl(nGC_368)*coupl(      &
                        nGC_835))/(64d0*pi**2d0)
      coupl(nGC_2755) = coupl(nGC_13)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_857&
                        ) - 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc)
      coupl(nGC_2756) = sq2**3d0*(-Nc*cima*coupl(nGC_857)**3d0 + 12d0*coupl(   &
                        nGC_13)**3d0)/(192d0*pi**2d0)
      coupl(nGC_3982) = coupl(nGC_MMW_GF)*dZGMinus/2d0
      coupl(nGC_3371) = coupl(nGC_2961) + coupl(nGC_33)*dZHlHh_QED2 + coupl(   &
                        nGC_37)*dZHMinusGMinus_QED2 + coupl(nGC_42)*dZHh_QED2
      coupl(nGC_2759) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_207)**2d0 - coupl(nGC_369)**2d0 - coupl(nGC_370)** &
                        2d0 - coupl(nGC_371)*coupl(nGC_795) - coupl(nGC_372)** &
                        2d0 - coupl(nGC_373)**2d0 - coupl(nGC_374)*coupl(      &
                        nGC_873))/(64d0*pi**2d0*Nc)
      coupl(nGC_2599) = coupl(nGC_197)*(-Nc*coupl(nGC_333)*coupl(nGC_334) + Nc*&
                        coupl(nGC_342)*coupl(nGC_343) + Nc*coupl(nGC_345)*coupl&
                        (nGC_346) + Nc*coupl(nGC_363)*coupl(nGC_364) - Nc*coupl&
                        (nGC_369)*coupl(nGC_370) - Nc*coupl(nGC_381)*coupl(    &
                        nGC_382) + coupl(nGC_351)*coupl(nGC_352) + coupl(      &
                        nGC_357)*coupl(nGC_358) + coupl(nGC_375)*coupl(nGC_376 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3372) = coupl(nGC_187)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3375) = coupl(nGC_175)*dZA_QED2/2d0 + coupl(nGC_175)*          &
                        dZHMinus_QED2/2d0 + coupl(nGC_175)*dZHh_QED2/2d0 +     &
                        coupl(nGC_175)*dZWMinus_QED2/2d0 + coupl(nGC_180)*     &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_180)*dZHlHh_QED2/  &
                        2d0 + coupl(nGC_22)*dZZA_QED2/2d0 + coupl(nGC_3009)
      coupl(nGC_2719) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_210) + 2d0*coupl(nGC_197)**2d0*&
                        coupl(nGC_811) + coupl(nGC_206)*coupl(nGC_345)**2d0 +  &
                        coupl(nGC_206)*coupl(nGC_347)*coupl(nGC_817) + coupl(  &
                        nGC_206)*coupl(nGC_348)**2d0 + coupl(nGC_206)*coupl(   &
                        nGC_350)*coupl(nGC_821) + coupl(nGC_207)*coupl(nGC_382 &
                        )**2d0 + coupl(nGC_207)*coupl(nGC_385)**2d0 + 4d0*coupl&
                        (nGC_209)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3376) = coupl(nGC_2976) + coupl(nGC_32)*dZHlHh_QED2 + coupl(   &
                        nGC_37)*dZGMinusHMinus_QED2 + coupl(nGC_44)*           &
                        dZHMinus_QED2 + coupl(nGC_44)*dZHh_QED2
      coupl(nGC_2618) = coupl(nGC_13)**2d0*coupl(nGC_347)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3032) = coupl(nGC_2276)*db_QED2 + coupl(nGC_2277)*dvev1_QED1 + &
                        coupl(nGC_2278)*dcw_QED2 + coupl(nGC_2279)*dZee_QED2 + &
                        coupl(nGC_2280)*dvev2_QED1
      coupl(nGC_2597) = coupl(nGC_197)*(-Nc*coupl(nGC_334)*coupl(nGC_335) + Nc*&
                        coupl(nGC_343)*coupl(nGC_847) + Nc*coupl(nGC_346)*coupl&
                        (nGC_817) + Nc*coupl(nGC_364)*coupl(nGC_803) - Nc*coupl&
                        (nGC_370)*coupl(nGC_371) - Nc*coupl(nGC_382)*coupl(    &
                        nGC_383) + coupl(nGC_352)*coupl(nGC_789) + coupl(      &
                        nGC_358)*coupl(nGC_797) + coupl(nGC_376)*coupl(nGC_819 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2611) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_847) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_847) - coupl(nGC_339 &
                        )**2d0*coupl(nGC_344) - coupl(nGC_340)*coupl(nGC_371)* &
                        coupl(nGC_373) - coupl(nGC_342)**2d0*coupl(nGC_344) -  &
                        coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_371) - coupl(  &
                        nGC_344)*coupl(nGC_787)**2d0 - coupl(nGC_344)*coupl(   &
                        nGC_847)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2613) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_344) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_344) - coupl(nGC_339 &
                        )**2d0*coupl(nGC_847) - coupl(nGC_340)*coupl(nGC_373)* &
                        coupl(nGC_795) - coupl(nGC_341)**2d0*coupl(nGC_847) -  &
                        coupl(nGC_342)**2d0*coupl(nGC_847) - coupl(nGC_343)*   &
                        coupl(nGC_370)*coupl(nGC_795) - coupl(nGC_344)**2d0*   &
                        coupl(nGC_847))/(32d0*pi**2d0)
      coupl(nGC_2612) = coupl(nGC_13)**2d0*coupl(nGC_847)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2615) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_817) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_817) - coupl(nGC_345 &
                        )**2d0*coupl(nGC_347) - coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_383) - coupl(nGC_347)*coupl(nGC_348)**2d0 -  &
                        coupl(nGC_347)*coupl(nGC_817)**2d0 - coupl(nGC_347)*   &
                        coupl(nGC_821)**2d0 - coupl(nGC_349)*coupl(nGC_383)*   &
                        coupl(nGC_385))/(32d0*pi**2d0)
      coupl(nGC_2614) = coupl(nGC_13)**2d0*coupl(nGC_344)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2617) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_347) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_347) - coupl(nGC_345 &
                        )**2d0*coupl(nGC_817) - coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_809) - coupl(nGC_347)**2d0*coupl(nGC_817) -  &
                        coupl(nGC_348)**2d0*coupl(nGC_817) - coupl(nGC_349)*   &
                        coupl(nGC_385)*coupl(nGC_809) - coupl(nGC_350)**2d0*   &
                        coupl(nGC_817))/(32d0*pi**2d0)
      coupl(nGC_2616) = coupl(nGC_13)**2d0*coupl(nGC_817)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2428) = (Nc*cMB**2d0*cima*coupl(nGC_206)**2d0 + Nc*cMB**2d0*   &
                        cima*coupl(nGC_209)**2d0 + Nc*cMC**2d0*cima*coupl(     &
                        nGC_207)**2d0 + Nc*cMC**2d0*cima*coupl(nGC_210)**2d0 + &
                        Nc*cMD**2d0*cima*coupl(nGC_206)**2d0 + Nc*cMD**2d0*cima&
                        *coupl(nGC_209)**2d0 + Nc*cMS**2d0*cima*coupl(nGC_206  &
                        )**2d0 + Nc*cMS**2d0*cima*coupl(nGC_209)**2d0 + Nc*cMT &
                        **2d0*cima*coupl(nGC_207)**2d0 + Nc*cMT**2d0*cima*coupl&
                        (nGC_210)**2d0 + Nc*cMU**2d0*cima*coupl(nGC_207)**2d0  &
                         + Nc*cMU**2d0*cima*coupl(nGC_210)**2d0 + cME**2d0*cima&
                        *coupl(nGC_208)**2d0 + cME**2d0*cima*coupl(nGC_211)**  &
                        2d0 + cMM**2d0*cima*coupl(nGC_208)**2d0 + cMM**2d0*cima&
                        *coupl(nGC_211)**2d0 + cMTA**2d0*cima*coupl(nGC_208)** &
                        2d0 + cMTA**2d0*cima*coupl(nGC_211)**2d0 + cMW**2d0*   &
                        cima*coupl(nGC_199)**2d0 + cMW**2d0*cima*coupl(nGC_811 &
                        )**2d0 - cMW**2d0*coupl(nGC_195))/(8d0*pi**2d0)
      coupl(nGC_2729) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + 4d0*coupl(     &
                        nGC_206)**3d0 + coupl(nGC_209)*coupl(nGC_363)**2d0 +   &
                        coupl(nGC_209)*coupl(nGC_365)*coupl(nGC_803) + coupl(  &
                        nGC_209)*coupl(nGC_366)**2d0 + coupl(nGC_209)*coupl(   &
                        nGC_368)*coupl(nGC_835) + coupl(nGC_210)*coupl(nGC_364 &
                        )**2d0 + coupl(nGC_210)*coupl(nGC_367)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_3983) = coupl(nGC_3317) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0  &
                         - coupl(nGC_TS_GC_173_Hl) - coupl(nGC_TS_GC_179_Hh)
      coupl(nGC_TS_GC_246_Hl) = -coupl(nGC_246)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2728) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_210) + 2d0*coupl(nGC_197)**2d0*&
                        coupl(nGC_811) + coupl(nGC_206)*coupl(nGC_363)**2d0 +  &
                        coupl(nGC_206)*coupl(nGC_365)*coupl(nGC_803) + coupl(  &
                        nGC_206)*coupl(nGC_366)**2d0 + coupl(nGC_206)*coupl(   &
                        nGC_368)*coupl(nGC_835) + coupl(nGC_207)*coupl(nGC_334 &
                        )**2d0 + coupl(nGC_207)*coupl(nGC_337)**2d0 + 4d0*coupl&
                        (nGC_209)**3d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_241_Hl) = -coupl(nGC_241)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3562) = -coupl(nGC_3113) - coupl(nGC_359)*dZHa_QED2/2d0 - coupl&
                        (nGC_359)*dZmuMinusL_QED2/2d0 - coupl(nGC_359)*        &
                        dZmuMinusR_QED2/2d0 - coupl(nGC_362)*dZG0Ha_QED2/2d0
      coupl(nGC_3043) = coupl(nGC_1212)*dZee_QED2
      coupl(nGC_2476) = coupl(nGC_13)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_4029) = -coupl(nGC_3317) - coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0 &
                         + coupl(nGC_TS_GC_173_Hl) + coupl(nGC_TS_GC_179_Hh)
      coupl(nGC_3478) = -4d0*coupl(nGC_15)*dZg_QCD2 - 2d0*coupl(nGC_3047)
      coupl(nGC_3479) = coupl(nGC_53)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2471) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_206&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_339)**2d0 + coupl(nGC_1&
                        )*coupl(nGC_341)*coupl(nGC_787) + coupl(nGC_1)*coupl(  &
                        nGC_342)**2d0 + coupl(nGC_1)*coupl(nGC_344)*coupl(     &
                        nGC_847) + coupl(nGC_2)*coupl(nGC_340)**2d0 + coupl(   &
                        nGC_2)*coupl(nGC_343)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2470) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_209&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_339)**2d0 + coupl(nGC_1&
                        )*coupl(nGC_341)*coupl(nGC_787) + coupl(nGC_1)*coupl(  &
                        nGC_342)**2d0 + coupl(nGC_1)*coupl(nGC_344)*coupl(     &
                        nGC_847) + 4d0*coupl(nGC_197)**2d0*coupl(nGC_2) + 2d0* &
                        coupl(nGC_197)**2d0*coupl(nGC_831) + coupl(nGC_2)*coupl&
                        (nGC_370)**2d0 + coupl(nGC_2)*coupl(nGC_373)**2d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_2473) = (3d0*Nc*coupl(nGC_1)*coupl(nGC_197)**2d0 - 3d0*Nc*coupl&
                        (nGC_197)**2d0*coupl(nGC_2) + 3d0*coupl(nGC_197)**2d0* &
                        coupl(nGC_4) - coupl(nGC_198)*coupl(nGC_3)*coupl(      &
                        nGC_811) - coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_831))/( &
                        24d0*pi**2d0)
      coupl(nGC_2472) = coupl(nGC_1)*coupl(nGC_13)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_3472) = coupl(nGC_221)*dZA_QED2/2d0 + coupl(nGC_221)*dZZ_QED2/ &
                        2d0 + coupl(nGC_229)*dZZA_QED2/2d0 + coupl(nGC_29)*    &
                        dZAZ_QED2/2d0 + coupl(nGC_3161)
      coupl(nGC_3473) = coupl(nGC_223)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_3470) = coupl(nGC_13)*dZbR_QED2
      coupl(nGC_3471) = coupl(nGC_221)*dZGMinus
      coupl(nGC_3476) = 4d0*coupl(nGC_15)*dZg_QCD2 + 2d0*coupl(nGC_3047)
      coupl(nGC_3477) = 2d0*coupl(nGC_15)*dZg_QCD2 + coupl(nGC_3047)
      coupl(nGC_3474) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*          &
                        dZnu_muL_QED2 + coupl(nGC_3186)
      coupl(nGC_3475) = -2d0*coupl(nGC_15)*dZg_QCD2 - coupl(nGC_3047)
      coupl(nGC_4024) = -coupl(nGC_MW_GF)*dZGMinusHMinus_QED2/2d0 - coupl(     &
                        nGC_TS_GC_172_Hh) - coupl(nGC_TS_GC_179_Hl)
      coupl(nGC_3762) = coupl(nGC_250)*dZG0
      coupl(nGC_TS_GC_48_Hh) = -coupl(nGC_48)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3679) = coupl(nGC_191)*dZWMinus_QED2 + coupl(nGC_3149)
      coupl(nGC_4025) = 3d0*coupl(nGC_12)*dZg_QCD2/2d0 + coupl(nGC_3046)
      coupl(nGC_3674) = coupl(nGC_249)*dZGMinus
      coupl(nGC_3670) = coupl(nGC_260)*dZHlHh_QED2/2d0 + coupl(nGC_271)*       &
                        dZHh_QED2/2d0 + coupl(nGC_3035)
      coupl(nGC_3671) = -coupl(nGC_MW_GF)*dZGMinus/2d0
      coupl(nGC_3672) = -coupl(nGC_3316) - coupl(nGC_MW_GF)*dZWMinus_QED2/2d0  &
                         + coupl(nGC_TS_GC_172_Hl) + coupl(nGC_TS_GC_178_Hh)
      coupl(nGC_4027) = coupl(nGC_3316) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0 - &
                        coupl(nGC_TS_GC_172_Hl) - coupl(nGC_TS_GC_178_Hh)
      coupl(nGC_2688) = coupl(nGC_13)**2d0*sq2**2d0*(-cMB*coupl(nGC_342) - cMC*&
                        coupl(nGC_333) - cMD*coupl(nGC_345) - cMS*coupl(nGC_363&
                        ) - cMT*coupl(nGC_369) - cMU*coupl(nGC_381))/(16d0*pi**&
                        2d0)
      coupl(nGC_2689) = coupl(nGC_13)**2d0*sq2**2d0*(cMB*coupl(nGC_342) + cMC* &
                        coupl(nGC_333) + cMD*coupl(nGC_345) + cMS*coupl(nGC_363&
                        ) + cMT*coupl(nGC_369) + cMU*coupl(nGC_381))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_3847) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_3846) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_2684) = coupl(nGC_351)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_351)**2d0 - coupl(nGC_353)**2d0 - coupl(     &
                        nGC_354)**2d0 - coupl(nGC_356)**2d0 + 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_2757) = sq2**3d0*(Nc*cima*coupl(nGC_857)**3d0 - 12d0*coupl(    &
                        nGC_13)**3d0)/(192d0*pi**2d0)
      coupl(nGC_2682) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_345) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_345) - coupl(nGC_345 &
                        )**3d0 - coupl(nGC_345)*coupl(nGC_347)**2d0 - coupl(   &
                        nGC_345)*coupl(nGC_348)**2d0 - coupl(nGC_345)*coupl(   &
                        nGC_350)**2d0 - coupl(nGC_346)*coupl(nGC_381)*coupl(   &
                        nGC_382) - coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385 &
                        ))/(32d0*pi**2d0)
      coupl(nGC_3841) = coupl(nGC_241)*dZGMinus
      coupl(nGC_2758) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_197)**2d0 - 4d0*coupl&
                        (nGC_2)**2d0 - 4d0*coupl(nGC_210)**2d0 - coupl(nGC_340 &
                        )**2d0 - coupl(nGC_343)**2d0 - coupl(nGC_369)**2d0 -   &
                        coupl(nGC_371)*coupl(nGC_795) - coupl(nGC_372)**2d0 -  &
                        coupl(nGC_374)*coupl(nGC_873))/(64d0*pi**2d0*Nc)
      coupl(nGC_3049) = coupl(nGC_1694)*db_QED2 + coupl(nGC_1695)*dyup1_QED3 + &
                        coupl(nGC_1696)*dyup2_QED3
      coupl(nGC_3931) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_209)*dZZ_QED2/  &
                        2d0 + coupl(nGC_209)*dZsL_QED2 + coupl(nGC_3184)
      coupl(nGC_TS_GC_46_Hl) = -coupl(nGC_46)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_38_Hl) = -coupl(nGC_38)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2981) = coupl(nGC_1956)*db_QED2 + coupl(nGC_1957)*dl3_QED4 +   &
                        coupl(nGC_1958)*dl2_QED4 + coupl(nGC_1959)*dl1_QED4 +  &
                        coupl(nGC_1960)*dl4_QED4 + coupl(nGC_1961)*dl5_QED4 +  &
                        coupl(nGC_1962)*da_QED2
      coupl(nGC_4058) = -coupl(nGC_2756)
      coupl(nGC_3798) = coupl(nGC_221)*dZZA_QED2 + coupl(nGC_29)*dZA_QED2 +    &
                        coupl(nGC_3040)
      coupl(nGC_4055) = -coupl(nGC_2527)
      coupl(nGC_4057) = -coupl(nGC_2757)
      coupl(nGC_4056) = -coupl(nGC_2597)
      coupl(nGC_4050) = -coupl(nGC_2504)
      coupl(nGC_3018) = coupl(nGC_511)*db_QED2 + coupl(nGC_513)*dvev2_QED1 +   &
                        coupl(nGC_515)*da_QED2 + coupl(nGC_517)*dl2_QED4 +     &
                        coupl(nGC_519)*dl1_QED4 + coupl(nGC_521)*dl4_QED4 +    &
                        coupl(nGC_523)*dl3_QED4 + coupl(nGC_525)*dvev1_QED1 +  &
                        coupl(nGC_527)*dl5_QED4
      coupl(nGC_3019) = coupl(nGC_1267)*dl4_QED4 + coupl(nGC_1268)*dl5_QED4 +  &
                        coupl(nGC_1269)*dvev2_QED1 + coupl(nGC_1270)*dvev1_QED1&
                         + coupl(nGC_1271)*db_QED2
      coupl(nGC_3152) = coupl(nGC_1726)*dZee_QED2 + coupl(nGC_1727)*dsw_QED2
      coupl(nGC_TS_GC_77_Hh) = -coupl(nGC_77)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3521) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*     &
                        dZcL_QED2/2d0 + coupl(nGC_197)*dZsL_QED2/2d0 + coupl(  &
                        nGC_3181)
      coupl(nGC_3408) = coupl(nGC_174)*dZAZ_QED2/2d0 + coupl(nGC_21)*dZHl_QED2/&
                        2d0 + coupl(nGC_21)*dZWMinus_QED2/2d0 + coupl(nGC_21)* &
                        dZZ_QED2/2d0 + coupl(nGC_23)*dZHMinusGMinus_QED2/2d0 + &
                        coupl(nGC_23)*dZHhHl_QED2/2d0 + coupl(nGC_2984)
      coupl(nGC_3010) = coupl(nGC_1275)*dZee_QED2 + coupl(nGC_1276)*da_QED2 +  &
                        coupl(nGC_1277)*dsw_QED2 + coupl(nGC_1278)*db_QED2
      coupl(nGC_3011) = coupl(nGC_1170)*db_QED2 + coupl(nGC_1171)*dvev1_QED1 + &
                        coupl(nGC_1172)*dcw_QED2 + coupl(nGC_1173)*dZee_QED2 + &
                        coupl(nGC_1174)*dvev2_QED1
      coupl(nGC_3012) = coupl(nGC_1624)*dZee_QED2 + coupl(nGC_1625)*dsw_QED2 + &
                        coupl(nGC_1626)*dcw_QED2 + coupl(nGC_1627)*dvev1_QED1  &
                         + coupl(nGC_1628)*dvev2_QED1 + coupl(nGC_1629)*da_QED2
      coupl(nGC_3013) = coupl(nGC_2260)*db_QED2 + coupl(nGC_2261)*dvev2_QED1 + &
                        coupl(nGC_2262)*dvev1_QED1 + coupl(nGC_2263)*dl2_QED4  &
                         + coupl(nGC_2264)*dl1_QED4 + coupl(nGC_2265)*dl4_QED4 &
                         + coupl(nGC_2266)*dl3_QED4 + coupl(nGC_2267)*da_QED2  &
                         + coupl(nGC_2268)*dl5_QED4
      coupl(nGC_3014) = coupl(nGC_1913)*db_QED2 + coupl(nGC_1914)*dvev2_QED1 + &
                        coupl(nGC_1915)*dvev1_QED1 + coupl(nGC_1916)*dl2_QED4  &
                         + coupl(nGC_1917)*dl1_QED4 + coupl(nGC_1918)*dl4_QED4 &
                         + coupl(nGC_1919)*dl3_QED4 + coupl(nGC_1920)*da_QED2  &
                         + coupl(nGC_1921)*dl5_QED4
      coupl(nGC_3015) = coupl(nGC_1199)*dvev2_QED1 + coupl(nGC_1200)*dvev1_QED1&
                         + coupl(nGC_1201)*dl2_QED4 + coupl(nGC_1202)*dl1_QED4 &
                         + coupl(nGC_1203)*dl4_QED4 + coupl(nGC_1204)*dl3_QED4 &
                         + coupl(nGC_1205)*da_QED2 + coupl(nGC_1206)*dl5_QED4
      coupl(nGC_3016) = coupl(nGC_2307)*db_QED2 + coupl(nGC_2308)*dvev2_QED1 + &
                        coupl(nGC_2309)*dvev1_QED1 + coupl(nGC_2310)*dl2_QED4  &
                         + coupl(nGC_2311)*dl1_QED4 + coupl(nGC_2312)*dl4_QED4 &
                         + coupl(nGC_2313)*dl3_QED4 + coupl(nGC_2314)*da_QED2  &
                         + coupl(nGC_2315)*dl5_QED4
      coupl(nGC_3017) = coupl(nGC_1239)*dvev2_QED1 + coupl(nGC_1240)*dvev1_QED1&
                         + coupl(nGC_1241)*dl2_QED4 + coupl(nGC_1242)*dl1_QED4 &
                         + coupl(nGC_1243)*dl4_QED4 + coupl(nGC_1244)*dl3_QED4 &
                         + coupl(nGC_1245)*da_QED2 + coupl(nGC_1246)*dl5_QED4
      coupl(nGC_2871) = cima*(10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_338)**2d0  &
                         + 40d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_338)*coupl(   &
                        nGC_815) + 10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_815)**&
                        2d0 + 10d0*Nc*coupl(nGC_341)**2d0*coupl(nGC_342)**2d0  &
                         + 40d0*Nc*coupl(nGC_341)*coupl(nGC_342)**2d0*coupl(   &
                        nGC_787) + 10d0*Nc*coupl(nGC_342)**2d0*coupl(nGC_787)**&
                        2d0 + 10d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_350)**2d0  &
                         + 40d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_350)*coupl(   &
                        nGC_821) + 10d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_821)**&
                        2d0 + 10d0*Nc*coupl(nGC_363)**2d0*coupl(nGC_368)**2d0  &
                         + 40d0*Nc*coupl(nGC_363)**2d0*coupl(nGC_368)*coupl(   &
                        nGC_835) + 10d0*Nc*coupl(nGC_363)**2d0*coupl(nGC_835)**&
                        2d0 + 10d0*Nc*coupl(nGC_369)**2d0*coupl(nGC_374)**2d0  &
                         + 40d0*Nc*coupl(nGC_369)**2d0*coupl(nGC_374)*coupl(   &
                        nGC_873) + 10d0*Nc*coupl(nGC_369)**2d0*coupl(nGC_873)**&
                        2d0 + 10d0*Nc*coupl(nGC_381)**2d0*coupl(nGC_386)**2d0  &
                         + 40d0*Nc*coupl(nGC_381)**2d0*coupl(nGC_386)*coupl(   &
                        nGC_897) + 10d0*Nc*coupl(nGC_381)**2d0*coupl(nGC_897)**&
                        2d0 + 6d0*coupl(nGC_100)*coupl(nGC_77) + 3d0*coupl(    &
                        nGC_224)*coupl(nGC_230) + 10d0*coupl(nGC_351)**2d0*    &
                        coupl(nGC_356)**2d0 + 40d0*coupl(nGC_351)**2d0*coupl(  &
                        nGC_356)*coupl(nGC_801) + 10d0*coupl(nGC_351)**2d0*    &
                        coupl(nGC_801)**2d0 + 10d0*coupl(nGC_357)**2d0*coupl(  &
                        nGC_362)**2d0 + 40d0*coupl(nGC_357)**2d0*coupl(nGC_362 &
                        )*coupl(nGC_885) + 10d0*coupl(nGC_357)**2d0*coupl(     &
                        nGC_885)**2d0 + 10d0*coupl(nGC_375)**2d0*coupl(nGC_380 &
                        )**2d0 + 40d0*coupl(nGC_375)**2d0*coupl(nGC_380)*coupl(&
                        nGC_839) + 10d0*coupl(nGC_375)**2d0*coupl(nGC_839)**2d0&
                        )/(48d0*pi**2d0)
      coupl(nGC_2592) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_382) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_382) - coupl(  &
                        nGC_345)*coupl(nGC_346)*coupl(nGC_381) - coupl(nGC_346 &
                        )*coupl(nGC_347)*coupl(nGC_383) - coupl(nGC_346)*coupl(&
                        nGC_348)*coupl(nGC_384) - coupl(nGC_346)*coupl(nGC_350 &
                        )*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_2873) = cima*coupl(nGC_197)*(5d0*Nc*coupl(nGC_206)*coupl(      &
                        nGC_341)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_206)*coupl( &
                        nGC_346)*coupl(nGC_350) + 5d0*Nc*coupl(nGC_206)*coupl( &
                        nGC_364)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_207)*coupl( &
                        nGC_334)*coupl(nGC_815) + 5d0*Nc*coupl(nGC_207)*coupl( &
                        nGC_370)*coupl(nGC_873) + 5d0*Nc*coupl(nGC_207)*coupl( &
                        nGC_382)*coupl(nGC_897) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_334)*coupl(nGC_815) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_341)*coupl(nGC_343) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_346)*coupl(nGC_350) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_364)*coupl(nGC_368) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_370)*coupl(nGC_873) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_382)*coupl(nGC_897) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_334)*coupl(nGC_815) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_341)*coupl(nGC_343) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_346)*coupl(nGC_350) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_364)*coupl(nGC_368) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_370)*coupl(nGC_873) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_382)*coupl(nGC_897) + 5d0*coupl(nGC_208)*coupl(    &
                        nGC_352)*coupl(nGC_356) + 5d0*coupl(nGC_208)*coupl(    &
                        nGC_358)*coupl(nGC_362) + 5d0*coupl(nGC_208)*coupl(    &
                        nGC_376)*coupl(nGC_380) - 4d0*coupl(nGC_211)*coupl(    &
                        nGC_352)*coupl(nGC_356) - 4d0*coupl(nGC_211)*coupl(    &
                        nGC_358)*coupl(nGC_362) - 4d0*coupl(nGC_211)*coupl(    &
                        nGC_376)*coupl(nGC_380) - 4d0*coupl(nGC_212)*coupl(    &
                        nGC_352)*coupl(nGC_356) - 4d0*coupl(nGC_212)*coupl(    &
                        nGC_358)*coupl(nGC_362) - 4d0*coupl(nGC_212)*coupl(    &
                        nGC_376)*coupl(nGC_380))/(48d0*pi**2d0)
      coupl(nGC_2875) = (-8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_341)*coupl(&
                        nGC_787) - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(      &
                        nGC_350)*coupl(nGC_821) - 8d0*Nc*cima*coupl(nGC_206)** &
                        2d0*coupl(nGC_368)*coupl(nGC_835) + 10d0*Nc*cima*coupl(&
                        nGC_206)*coupl(nGC_209)*coupl(nGC_341)*coupl(nGC_787   &
                        ) + 10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)*coupl(  &
                        nGC_350)*coupl(nGC_821) + 10d0*Nc*cima*coupl(nGC_206)* &
                        coupl(nGC_209)*coupl(nGC_368)*coupl(nGC_835) - 8d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_338)*coupl(nGC_815  &
                        ) - 8d0*Nc*cima*coupl(nGC_207)**2d0*coupl(nGC_374)*    &
                        coupl(nGC_873) - 8d0*Nc*cima*coupl(nGC_207)**2d0*coupl(&
                        nGC_386)*coupl(nGC_897) + 10d0*Nc*cima*coupl(nGC_207)* &
                        coupl(nGC_210)*coupl(nGC_338)*coupl(nGC_815) + 10d0*Nc*&
                        cima*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_374)*coupl&
                        (nGC_873) + 10d0*Nc*cima*coupl(nGC_207)*coupl(nGC_210)*&
                        coupl(nGC_386)*coupl(nGC_897) - 8d0*Nc*cima*coupl(     &
                        nGC_209)**2d0*coupl(nGC_341)*coupl(nGC_787) - 8d0*Nc*  &
                        cima*coupl(nGC_209)**2d0*coupl(nGC_350)*coupl(nGC_821  &
                        ) - 8d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_368)*    &
                        coupl(nGC_835) - 8d0*Nc*cima*coupl(nGC_210)**2d0*coupl(&
                        nGC_338)*coupl(nGC_815) - 8d0*Nc*cima*coupl(nGC_210)** &
                        2d0*coupl(nGC_374)*coupl(nGC_873) - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_386)*coupl(nGC_897) + 3d0*cima*&
                        coupl(nGC_100)*coupl(nGC_195) - 8d0*cima*coupl(nGC_208 &
                        )**2d0*coupl(nGC_356)*coupl(nGC_801) - 8d0*cima*coupl( &
                        nGC_208)**2d0*coupl(nGC_362)*coupl(nGC_885) - 8d0*cima*&
                        coupl(nGC_208)**2d0*coupl(nGC_380)*coupl(nGC_839) +    &
                        10d0*cima*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_356)*&
                        coupl(nGC_801) + 10d0*cima*coupl(nGC_208)*coupl(nGC_211&
                        )*coupl(nGC_362)*coupl(nGC_885) + 10d0*cima*coupl(     &
                        nGC_208)*coupl(nGC_211)*coupl(nGC_380)*coupl(nGC_839   &
                        ) - 8d0*cima*coupl(nGC_211)**2d0*coupl(nGC_356)*coupl( &
                        nGC_801) - 8d0*cima*coupl(nGC_211)**2d0*coupl(nGC_362)*&
                        coupl(nGC_885) - 8d0*cima*coupl(nGC_211)**2d0*coupl(   &
                        nGC_380)*coupl(nGC_839) + 3d0*coupl(nGC_100)*coupl(    &
                        nGC_199)**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_811)**2d0 &
                        )/(24d0*pi**2d0)
      coupl(nGC_2921) = (-8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_342)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_345)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_363)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)*coupl(   &
                        nGC_342)**2d0 + 10d0*Nc*cima*coupl(nGC_206)*coupl(     &
                        nGC_209)*coupl(nGC_345)**2d0 + 10d0*Nc*cima*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_363)**2d0 - 8d0*Nc*  &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_333)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_369)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_381)**2d0 + 10d0*Nc*&
                        cima*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_333)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_207)*coupl(nGC_210)*coupl(   &
                        nGC_369)**2d0 + 10d0*Nc*cima*coupl(nGC_207)*coupl(     &
                        nGC_210)*coupl(nGC_381)**2d0 - 8d0*Nc*cima*coupl(      &
                        nGC_209)**2d0*coupl(nGC_342)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_345)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_363)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_333)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_369)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_381)**2d0 + 3d0*cima*coupl(    &
                        nGC_195)*coupl(nGC_77) - 8d0*cima*coupl(nGC_208)**2d0* &
                        coupl(nGC_351)**2d0 - 8d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_357)**2d0 - 8d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_375)**2d0 + 10d0*cima*coupl(nGC_208)*coupl(  &
                        nGC_211)*coupl(nGC_351)**2d0 + 10d0*cima*coupl(nGC_208 &
                        )*coupl(nGC_211)*coupl(nGC_357)**2d0 + 10d0*cima*coupl(&
                        nGC_208)*coupl(nGC_211)*coupl(nGC_375)**2d0 - 8d0*cima*&
                        coupl(nGC_211)**2d0*coupl(nGC_351)**2d0 - 8d0*cima*    &
                        coupl(nGC_211)**2d0*coupl(nGC_357)**2d0 - 8d0*cima*    &
                        coupl(nGC_211)**2d0*coupl(nGC_375)**2d0 + 3d0*coupl(   &
                        nGC_199)**2d0*coupl(nGC_77) + 3d0*coupl(nGC_77)*coupl( &
                        nGC_811)**2d0)/(24d0*pi**2d0)
      coupl(nGC_2970) = coupl(nGC_2180)*db_QED2 + coupl(nGC_2181)*dl3_QED4 +   &
                        coupl(nGC_2182)*dl2_QED4 + coupl(nGC_2183)*dl1_QED4 +  &
                        coupl(nGC_2184)*dl4_QED4 + coupl(nGC_2185)*dl5_QED4
      coupl(nGC_2972) = coupl(nGC_1981)*db_QED2 + coupl(nGC_1982)*dl3_QED4 +   &
                        coupl(nGC_1983)*dl2_QED4 + coupl(nGC_1984)*dl1_QED4 +  &
                        coupl(nGC_1985)*dl4_QED4 + coupl(nGC_1986)*dl5_QED4 +  &
                        coupl(nGC_1987)*da_QED2
      coupl(nGC_2974) = coupl(nGC_2335)*dl3_QED4 + coupl(nGC_2336)*dl2_QED4 +  &
                        coupl(nGC_2337)*dl1_QED4 + coupl(nGC_2338)*dl4_QED4 +  &
                        coupl(nGC_2339)*dl5_QED4 + coupl(nGC_2340)*da_QED2
      coupl(nGC_2590) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_346) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_346) - coupl(  &
                        nGC_345)*coupl(nGC_381)*coupl(nGC_382) - coupl(nGC_348 &
                        )*coupl(nGC_382)*coupl(nGC_384) - coupl(nGC_382)*coupl(&
                        nGC_809)*coupl(nGC_817) - coupl(nGC_382)*coupl(nGC_821 &
                        )*coupl(nGC_897))/(32d0*pi**2d0)
      coupl(nGC_2977) = coupl(nGC_2214)*db_QED2 + coupl(nGC_2215)*dl3_QED4 +   &
                        coupl(nGC_2216)*dl2_QED4 + coupl(nGC_2217)*dl1_QED4 +  &
                        coupl(nGC_2218)*dl4_QED4 + coupl(nGC_2219)*dl5_QED4
      coupl(nGC_3082) = coupl(nGC_1766)*dyd12x2_QED1_QCD2 + coupl(nGC_1768)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3081) = coupl(nGC_1766)*dyd12x2_QED3 + coupl(nGC_1767)*da_QED2 &
                         + coupl(nGC_1768)*dys2_QED3
      coupl(nGC_3839) = coupl(nGC_I)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                        )/2d0
      coupl(nGC_3087) = coupl(nGC_1338)*dyd12x2_QED3 + coupl(nGC_1339)*da_QED2 &
                         + coupl(nGC_1340)*dys2_QED3
      coupl(nGC_2705) = coupl(nGC_197)*(coupl(nGC_199)*coupl(nGC_212) + 2d0*   &
                        coupl(nGC_211)*coupl(nGC_212) + coupl(nGC_211)*coupl(  &
                        nGC_811) + coupl(nGC_4)*coupl(nGC_831))/(16d0*pi**2d0)
      coupl(nGC_3662) = coupl(nGC_3078) + coupl(nGC_341)*dZbL_QCD2/2d0 + coupl(&
                        nGC_341)*dZbR_QCD2/2d0
      coupl(nGC_3089) = coupl(nGC_1139)*dyd13x3_QED3 + coupl(nGC_1140)*        &
                        dyb2_QED3 + coupl(nGC_1141)*da_QED2
      coupl(nGC_3088) = coupl(nGC_1338)*dyd12x2_QED1_QCD2 + coupl(nGC_1340)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3780) = coupl(nGC_3082) + coupl(nGC_366)*dZsL_QCD2/2d0 + coupl(&
                        nGC_366)*dZsR_QCD2/2d0
      coupl(nGC_3936) = -coupl(nGC_218)*dZZA_QED2/2d0 - coupl(nGC_26)*dZA_QED2/&
                        2d0 - coupl(nGC_3043)
      coupl(nGC_3027) = coupl(nGC_1795)*db_QED2 + coupl(nGC_1796)*dvev2_QED1 + &
                        coupl(nGC_1797)*dvev1_QED1 + coupl(nGC_1798)*dl2_QED4  &
                         + coupl(nGC_1799)*dl1_QED4 + coupl(nGC_1800)*dl4_QED4 &
                         + coupl(nGC_1801)*dl3_QED4 + coupl(nGC_1802)*da_QED2  &
                         + coupl(nGC_1803)*dl5_QED4
      coupl(nGC_3704) = coupl(nGC_3068) + coupl(nGC_364)*dZcL_QCD2/2d0 + coupl(&
                        nGC_364)*dZsR_QCD2/2d0
      coupl(nGC_3705) = coupl(nGC_3065) + coupl(nGC_334)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_334)*dZcR_QED2/2d0 + coupl(nGC_334)*dZsL_QED2&
                        /2d0 + coupl(nGC_337)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_3706) = coupl(nGC_3066) + coupl(nGC_334)*dZcR_QCD2/2d0 + coupl(&
                        nGC_334)*dZsL_QCD2/2d0
      coupl(nGC_3707) = coupl(nGC_3055) + coupl(nGC_334)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_337)*dZcR_QED2/2d0 + coupl(nGC_337)*   &
                        dZsL_QED2/2d0
      coupl(nGC_3700) = coupl(nGC_3102) + coupl(nGC_376)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_376)*dZnu_tauL_QED2/2d0 + coupl(nGC_376)*    &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_379)*                 &
                        dZGMinusHMinus_QED2/2d0
      coupl(nGC_3701) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*     &
                        dZbL_QED2/2d0 + coupl(nGC_197)*dZtL_QED2/2d0 + coupl(  &
                        nGC_3181)
      coupl(nGC_3702) = coupl(nGC_197)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_3703) = coupl(nGC_3067) + coupl(nGC_364)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_364)*dZcL_QED2/2d0 + coupl(nGC_364)*dZsR_QED2&
                        /2d0 + coupl(nGC_367)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_2928) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_336)**2d0 &
                         - coupl(nGC_339)**2d0 - coupl(nGC_348)**2d0 - coupl(  &
                        nGC_366)**2d0 - coupl(nGC_372)**2d0 - coupl(nGC_384)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_3708) = coupl(nGC_3056) + coupl(nGC_337)*dZcR_QCD2/2d0 + coupl(&
                        nGC_337)*dZsL_QCD2/2d0
      coupl(nGC_3709) = coupl(nGC_337)*dZGMinus/2d0
      coupl(nGC_3789) = coupl(nGC_246)*dZHa_QED2 + coupl(nGC_246)*dZHl_QED2/2d0&
                         + coupl(nGC_253)*dZG0Ha_QED2 + coupl(nGC_254)*        &
                        dZHhHl_QED2/2d0 + coupl(nGC_3027) + coupl(             &
                        nGC_TS_GC_36_Hh) + coupl(nGC_TS_GC_41_Hl)
      coupl(nGC_3494) = coupl(nGC_221)*dZA_QED2/2d0 + coupl(nGC_221)*          &
                        dZHMinus_QED2 + coupl(nGC_221)*dZZ_QED2/2d0 + coupl(   &
                        nGC_229)*dZZA_QED2/2d0 + coupl(nGC_29)*dZAZ_QED2/2d0 + &
                        coupl(nGC_3161)
      coupl(nGC_3495) = -coupl(nGC_218)*(dZGMinusHMinus_QED2 +                 &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3496) = coupl(nGC_3004) + coupl(nGC_76)*dZHh_QED2
      coupl(nGC_3831) = coupl(nGC_13)*dZcR_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3180)
      coupl(nGC_3491) = coupl(nGC_196)*dZWMinus_QED2 + coupl(nGC_3153)
      coupl(nGC_3492) = coupl(nGC_3038) + coupl(nGC_322)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_325)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_3493) = coupl(nGC_186)*dZAZ_QED2/2d0 + coupl(nGC_2952) + coupl(&
                        nGC_30)*dZWMinus_QED2/2d0 + coupl(nGC_30)*dZZ_QED2/2d0
      coupl(nGC_3836) = coupl(nGC_205)*dZZA_QED2 - 2d0*coupl(nGC_3158) - 2d0*  &
                        coupl(nGC_8)*dZA_QED2 - 2d0*coupl(nGC_8)*dZWMinus_QED2
      coupl(nGC_3498) = coupl(nGC_99)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3499) = coupl(nGC_99)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3837) = -coupl(nGC_205)*dZZA_QED2/2d0 + coupl(nGC_3158) + coupl&
                        (nGC_8)*dZA_QED2 + coupl(nGC_8)*dZWMinus_QED2
      coupl(nGC_3784) = coupl(nGC_3118) + coupl(nGC_338)*dZcL_QCD2/2d0 + coupl(&
                        nGC_338)*dZcR_QCD2/2d0
      coupl(nGC_3834) = coupl(nGC_258)*dZGMinus/2d0
      coupl(nGC_2669) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_384) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_384) - coupl(nGC_346 &
                        )*coupl(nGC_348)*coupl(nGC_382) - coupl(nGC_348)*coupl(&
                        nGC_349)*coupl(nGC_385) - coupl(nGC_381)**2d0*coupl(   &
                        nGC_384) - coupl(nGC_384)**3d0 - coupl(nGC_384)*coupl( &
                        nGC_809)**2d0 - coupl(nGC_384)*coupl(nGC_897)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2788) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_206)**2d0 + Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_209)**2d0 + Nc*cima*  &
                        coupl(nGC_2)**2d0*coupl(nGC_207)**2d0 + Nc*cima*coupl( &
                        nGC_2)**2d0*coupl(nGC_210)**2d0 + cima*coupl(nGC_195)* &
                        coupl(nGC_9) - 2d0*cima*coupl(nGC_199)**2d0*coupl(nGC_3&
                        )**2d0 + cima*coupl(nGC_208)**2d0*coupl(nGC_4)**2d0 +  &
                        cima*coupl(nGC_211)**2d0*coupl(nGC_4)**2d0 - 2d0*cima* &
                        coupl(nGC_811)**2d0*coupl(nGC_831)**2d0 + coupl(nGC_195&
                        )*coupl(nGC_3)**2d0 + coupl(nGC_195)*coupl(nGC_831)**  &
                        2d0 + coupl(nGC_199)**2d0*coupl(nGC_9) + coupl(nGC_811 &
                        )**2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_3835) = coupl(nGC_3108) + coupl(nGC_375)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_378)*dZHh_QED2/2d0 + coupl(nGC_378)*         &
                        dZtauMinusL_QED2/2d0 + coupl(nGC_378)*dZtauMinusR_QED2/&
                        2d0
      coupl(nGC_2544) = (-Nc*coupl(nGC_206)*coupl(nGC_341)*coupl(nGC_342) + Nc*&
                        coupl(nGC_206)*coupl(nGC_342)*coupl(nGC_787) - Nc*coupl&
                        (nGC_206)*coupl(nGC_345)*coupl(nGC_350) + Nc*coupl(    &
                        nGC_206)*coupl(nGC_345)*coupl(nGC_821) - Nc*coupl(     &
                        nGC_206)*coupl(nGC_363)*coupl(nGC_368) + Nc*coupl(     &
                        nGC_206)*coupl(nGC_363)*coupl(nGC_835) - Nc*coupl(     &
                        nGC_207)*coupl(nGC_333)*coupl(nGC_338) + Nc*coupl(     &
                        nGC_207)*coupl(nGC_333)*coupl(nGC_815) - Nc*coupl(     &
                        nGC_207)*coupl(nGC_369)*coupl(nGC_374) + Nc*coupl(     &
                        nGC_207)*coupl(nGC_369)*coupl(nGC_873) - Nc*coupl(     &
                        nGC_207)*coupl(nGC_381)*coupl(nGC_386) + Nc*coupl(     &
                        nGC_207)*coupl(nGC_381)*coupl(nGC_897) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_341)*coupl(nGC_342) - Nc*coupl(     &
                        nGC_209)*coupl(nGC_342)*coupl(nGC_787) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_345)*coupl(nGC_350) - Nc*coupl(     &
                        nGC_209)*coupl(nGC_345)*coupl(nGC_821) + Nc*coupl(     &
                        nGC_209)*coupl(nGC_363)*coupl(nGC_368) - Nc*coupl(     &
                        nGC_209)*coupl(nGC_363)*coupl(nGC_835) + Nc*coupl(     &
                        nGC_210)*coupl(nGC_333)*coupl(nGC_338) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_333)*coupl(nGC_815) + Nc*coupl(     &
                        nGC_210)*coupl(nGC_369)*coupl(nGC_374) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_369)*coupl(nGC_873) + Nc*coupl(     &
                        nGC_210)*coupl(nGC_381)*coupl(nGC_386) - Nc*coupl(     &
                        nGC_210)*coupl(nGC_381)*coupl(nGC_897) - coupl(nGC_208 &
                        )*coupl(nGC_351)*coupl(nGC_356) + coupl(nGC_208)*coupl(&
                        nGC_351)*coupl(nGC_801) - coupl(nGC_208)*coupl(nGC_357 &
                        )*coupl(nGC_362) + coupl(nGC_208)*coupl(nGC_357)*coupl(&
                        nGC_885) - coupl(nGC_208)*coupl(nGC_375)*coupl(nGC_380 &
                        ) + coupl(nGC_208)*coupl(nGC_375)*coupl(nGC_839) +     &
                        coupl(nGC_211)*coupl(nGC_351)*coupl(nGC_356) - coupl(  &
                        nGC_211)*coupl(nGC_351)*coupl(nGC_801) + coupl(nGC_211 &
                        )*coupl(nGC_357)*coupl(nGC_362) - coupl(nGC_211)*coupl(&
                        nGC_357)*coupl(nGC_885) + coupl(nGC_211)*coupl(nGC_375 &
                        )*coupl(nGC_380) - coupl(nGC_211)*coupl(nGC_375)*coupl(&
                        nGC_839))/(24d0*pi**2d0)
      coupl(nGC_3786) = -coupl(nGC_3117) - coupl(nGC_335)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_338)*dZcL_QED2/2d0 - coupl(nGC_338)*dZcR_QED2&
                        /2d0
      coupl(nGC_3338) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_210)*dZZ_QED2/  &
                        2d0 + coupl(nGC_210)*dZcL_QED2 + coupl(nGC_3183)
      coupl(nGC_2557) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_356) -    &
                        coupl(nGC_351)**2d0*coupl(nGC_801) - coupl(nGC_353)**  &
                        2d0*coupl(nGC_801) - coupl(nGC_354)**2d0*coupl(nGC_801 &
                        ) - coupl(nGC_356)**2d0*coupl(nGC_801) + 8d0*coupl(    &
                        nGC_356)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3787) = -coupl(nGC_3118) - coupl(nGC_338)*dZcL_QCD2/2d0 - coupl&
                        (nGC_338)*dZcR_QCD2/2d0
      coupl(nGC_2659) = coupl(nGC_13)**2d0*sq2**2d0*(-cMB*coupl(nGC_339) - cMC*&
                        coupl(nGC_336) - cMD*coupl(nGC_348) - cMS*coupl(nGC_366&
                        ) - cMT*coupl(nGC_372) - cMU*coupl(nGC_384))/(16d0*pi**&
                        2d0)
      coupl(nGC_2658) = coupl(nGC_360)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_357)**2d0 - coupl(nGC_360)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_797)**2d0 - coupl(nGC_885)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_2550) = coupl(nGC_13)**2d0*coupl(nGC_815)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2551) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_338) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_338) - coupl(nGC_333 &
                        )**2d0*coupl(nGC_815) - coupl(nGC_334)*coupl(nGC_364)* &
                        coupl(nGC_835) - coupl(nGC_335)**2d0*coupl(nGC_815) -  &
                        coupl(nGC_336)**2d0*coupl(nGC_815) - coupl(nGC_337)*   &
                        coupl(nGC_367)*coupl(nGC_835) - coupl(nGC_338)**2d0*   &
                        coupl(nGC_815))/(32d0*pi**2d0)
      coupl(nGC_2655) = coupl(nGC_354)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_351)**2d0 - coupl(nGC_353)**2d0 - coupl(     &
                        nGC_354)**2d0 - coupl(nGC_356)**2d0 + 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_3029) = coupl(nGC_531)*db_QED2 + coupl(nGC_533)*dvev2_QED1 +   &
                        coupl(nGC_535)*da_QED2 + coupl(nGC_537)*dl2_QED4 +     &
                        coupl(nGC_539)*dl1_QED4 + coupl(nGC_541)*dl4_QED4 +    &
                        coupl(nGC_543)*dl3_QED4 + coupl(nGC_545)*dvev1_QED1 +  &
                        coupl(nGC_547)*dl5_QED4
      coupl(nGC_2657) = coupl(nGC_360)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_357)**2d0 - coupl(nGC_359)**2d0 - coupl(     &
                        nGC_360)**2d0 - coupl(nGC_362)**2d0 + 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_2656) = coupl(nGC_354)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_351)**2d0 - coupl(nGC_354)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_789)**2d0 - coupl(nGC_801)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_2651) = coupl(nGC_13)**2d0*coupl(nGC_336)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2650) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_336) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_336) - coupl(nGC_333 &
                        )**2d0*coupl(nGC_336) - coupl(nGC_334)*coupl(nGC_364)* &
                        coupl(nGC_366) - coupl(nGC_335)**2d0*coupl(nGC_336) -  &
                        coupl(nGC_336)**3d0 - coupl(nGC_336)*coupl(nGC_338)**  &
                        2d0 - coupl(nGC_337)*coupl(nGC_366)*coupl(nGC_367))/(  &
                        32d0*pi**2d0)
      coupl(nGC_2653) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_348) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_348) - coupl(nGC_345 &
                        )**2d0*coupl(nGC_348) - coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_384) - coupl(nGC_347)**2d0*coupl(nGC_348) -  &
                        coupl(nGC_348)**3d0 - coupl(nGC_348)*coupl(nGC_350)**  &
                        2d0 - coupl(nGC_349)*coupl(nGC_384)*coupl(nGC_385))/(  &
                        32d0*pi**2d0)
      coupl(nGC_3028) = coupl(nGC_2391)*dvev2_QED1 + coupl(nGC_2392)*dvev1_QED1&
                         + coupl(nGC_2393)*dl2_QED4 + coupl(nGC_2394)*dl1_QED4 &
                         + coupl(nGC_2395)*dl4_QED4 + coupl(nGC_2396)*dl3_QED4 &
                         + coupl(nGC_2397)*da_QED2 + coupl(nGC_2398)*dl5_QED4
      coupl(nGC_3148) = coupl(nGC_2334)*dZee_QED2
      coupl(nGC_3782) = coupl(nGC_3124) + coupl(nGC_336)*dZcL_QCD2/2d0 + coupl(&
                        nGC_336)*dZcR_QCD2/2d0
      coupl(nGC_3783) = coupl(nGC_3117) + coupl(nGC_335)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_338)*dZcL_QED2/2d0 + coupl(nGC_338)*dZcR_QED2&
                        /2d0
      coupl(nGC_2639) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_383) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_383) - coupl(nGC_346 &
                        )*coupl(nGC_382)*coupl(nGC_817) - coupl(nGC_349)*coupl(&
                        nGC_385)*coupl(nGC_817) - coupl(nGC_381)**2d0*coupl(   &
                        nGC_809) - coupl(nGC_383)**2d0*coupl(nGC_809) - coupl( &
                        nGC_384)**2d0*coupl(nGC_809) - coupl(nGC_386)**2d0*    &
                        coupl(nGC_809))/(32d0*pi**2d0)
      coupl(nGC_2417) = cima*(Nc*coupl(nGC_336)**2d0 + Nc*coupl(nGC_339)**2d0  &
                         + Nc*coupl(nGC_348)**2d0 + Nc*coupl(nGC_366)**2d0 + Nc&
                        *coupl(nGC_372)**2d0 + Nc*coupl(nGC_384)**2d0 + coupl( &
                        nGC_354)**2d0 + coupl(nGC_360)**2d0 + coupl(nGC_378)** &
                        2d0)/(24d0*pi**2d0)
      coupl(nGC_2851) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_340)*coupl(nGC_787) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_349)*coupl(nGC_821) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_367)*coupl&
                        (nGC_835) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_337)*coupl(nGC_338) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_373)*coupl(nGC_374   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_385)*coupl(nGC_386) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_337)*coupl(nGC_338) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340)*coupl&
                        (nGC_787) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_349)*coupl(nGC_821) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_367)*coupl(nGC_835   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_373)*coupl(nGC_374) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_385)*coupl(nGC_386) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_337)*coupl&
                        (nGC_338) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_340)*coupl(nGC_787) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_349)*coupl(nGC_821   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_367)*coupl(nGC_835) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_373)*coupl(nGC_374) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_385)*coupl&
                        (nGC_386) + 6d0*cima*coupl(nGC_187)*coupl(nGC_813) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_31) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_355)*coupl(nGC_801   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_361)*coupl(nGC_885) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_379)*coupl(nGC_839) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_355)*coupl(    &
                        nGC_801) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_361)*coupl(nGC_885) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_379)*coupl(nGC_839) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_355)*coupl(   &
                        nGC_801) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_361)*coupl(nGC_885) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_379)*coupl(nGC_839) + 6d0*    &
                        coupl(nGC_187)*coupl(nGC_3)*coupl(nGC_811) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_31)*coupl(nGC_811))/(48d0*pi**2d0)
      coupl(nGC_TS_GC_20_Hl) = -coupl(nGC_20)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3589) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_209)*dZZ_QED2/  &
                        2d0 + coupl(nGC_209)*dZdL_QED2 + coupl(nGC_3184)
      coupl(nGC_TS_GC_20_Hh) = -coupl(nGC_20)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2946) = (3d0*Nc*cima*coupl(nGC_14)**2d0 - Nc*cima*coupl(nGC_857&
                        )**4d0*sq2**4d0 + 3d0*Nc*cima*coupl(nGC_893)**2d0 - 6d0&
                        *Nc*coupl(nGC_14)*coupl(nGC_857)**2d0*sq2**2d0 + 9d0*  &
                        cima*coupl(nGC_13)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_2941) = (3d0*Nc*cima*coupl(nGC_14)**2d0 - Nc*cima*coupl(nGC_857&
                        )**4d0*sq2**4d0 + 3d0*Nc*cima*coupl(nGC_893)**2d0 - 3d0&
                        *Nc*coupl(nGC_14)*coupl(nGC_857)**2d0*sq2**2d0 - 3d0*Nc&
                        *coupl(nGC_857)**2d0*coupl(nGC_893)*sq2**2d0 + 9d0*cima&
                        *coupl(nGC_13)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_2881) = cima*(5d0*Nc*coupl(nGC_334)**4d0 + 5d0*Nc*coupl(nGC_343&
                        )**4d0 + 5d0*Nc*coupl(nGC_346)**4d0 + 5d0*Nc*coupl(    &
                        nGC_364)**4d0 + 5d0*Nc*coupl(nGC_370)**4d0 + 5d0*Nc*   &
                        coupl(nGC_382)**4d0 + 6d0*coupl(nGC_100)**2d0 + 6d0*   &
                        coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**2d0 + 3d0*   &
                        coupl(nGC_29)**2d0 + 5d0*coupl(nGC_352)**4d0 + 5d0*    &
                        coupl(nGC_358)**4d0 + 5d0*coupl(nGC_376)**4d0)/(24d0*pi&
                        **2d0)
      coupl(nGC_3632) = coupl(nGC_3303) + coupl(nGC_MU)*dZuL_QCD2/2d0 + coupl( &
                        nGC_MU)*dZuR_QCD2/2d0
      coupl(nGC_2870) = 5d0*cima*(Nc*coupl(nGC_333)*coupl(nGC_336)*coupl(      &
                        nGC_338)**2d0 + 4d0*Nc*coupl(nGC_333)*coupl(nGC_336)*  &
                        coupl(nGC_338)*coupl(nGC_815) + Nc*coupl(nGC_333)*coupl&
                        (nGC_336)*coupl(nGC_815)**2d0 + Nc*coupl(nGC_339)*coupl&
                        (nGC_341)**2d0*coupl(nGC_342) + 4d0*Nc*coupl(nGC_339)* &
                        coupl(nGC_341)*coupl(nGC_342)*coupl(nGC_787) + Nc*coupl&
                        (nGC_339)*coupl(nGC_342)*coupl(nGC_787)**2d0 + Nc*coupl&
                        (nGC_345)*coupl(nGC_348)*coupl(nGC_350)**2d0 + 4d0*Nc* &
                        coupl(nGC_345)*coupl(nGC_348)*coupl(nGC_350)*coupl(    &
                        nGC_821) + Nc*coupl(nGC_345)*coupl(nGC_348)*coupl(     &
                        nGC_821)**2d0 + Nc*coupl(nGC_363)*coupl(nGC_366)*coupl(&
                        nGC_368)**2d0 + 4d0*Nc*coupl(nGC_363)*coupl(nGC_366)*  &
                        coupl(nGC_368)*coupl(nGC_835) + Nc*coupl(nGC_363)*coupl&
                        (nGC_366)*coupl(nGC_835)**2d0 + Nc*coupl(nGC_369)*coupl&
                        (nGC_372)*coupl(nGC_374)**2d0 + 4d0*Nc*coupl(nGC_369)* &
                        coupl(nGC_372)*coupl(nGC_374)*coupl(nGC_873) + Nc*coupl&
                        (nGC_369)*coupl(nGC_372)*coupl(nGC_873)**2d0 + Nc*coupl&
                        (nGC_381)*coupl(nGC_384)*coupl(nGC_386)**2d0 + 4d0*Nc* &
                        coupl(nGC_381)*coupl(nGC_384)*coupl(nGC_386)*coupl(    &
                        nGC_897) + Nc*coupl(nGC_381)*coupl(nGC_384)*coupl(     &
                        nGC_897)**2d0 + coupl(nGC_351)*coupl(nGC_354)*coupl(   &
                        nGC_356)**2d0 + 4d0*coupl(nGC_351)*coupl(nGC_354)*coupl&
                        (nGC_356)*coupl(nGC_801) + coupl(nGC_351)*coupl(nGC_354&
                        )*coupl(nGC_801)**2d0 + coupl(nGC_357)*coupl(nGC_360)* &
                        coupl(nGC_362)**2d0 + 4d0*coupl(nGC_357)*coupl(nGC_360 &
                        )*coupl(nGC_362)*coupl(nGC_885) + coupl(nGC_357)*coupl(&
                        nGC_360)*coupl(nGC_885)**2d0 + coupl(nGC_375)*coupl(   &
                        nGC_378)*coupl(nGC_380)**2d0 + 4d0*coupl(nGC_375)*coupl&
                        (nGC_378)*coupl(nGC_380)*coupl(nGC_839) + coupl(nGC_375&
                        )*coupl(nGC_378)*coupl(nGC_839)**2d0)/(24d0*pi**2d0)
      coupl(nGC_2884) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_338)*coupl&
                        (nGC_815) - coupl(nGC_341)*coupl(nGC_787) - coupl(     &
                        nGC_350)*coupl(nGC_821) - coupl(nGC_368)*coupl(nGC_835 &
                        ) - coupl(nGC_374)*coupl(nGC_873) - coupl(nGC_386)*    &
                        coupl(nGC_897))/(16d0*pi**2d0)
      coupl(nGC_2885) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_338)*coupl(&
                        nGC_815) + coupl(nGC_341)*coupl(nGC_787) + coupl(      &
                        nGC_350)*coupl(nGC_821) + coupl(nGC_368)*coupl(nGC_835 &
                        ) + coupl(nGC_374)*coupl(nGC_873) + coupl(nGC_386)*    &
                        coupl(nGC_897))/(16d0*pi**2d0*Nc)
      coupl(nGC_2886) = cima*(10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_336)**2d0  &
                         + 10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_366)**2d0 +   &
                        20d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_364)*  &
                        coupl(nGC_366) + 10d0*Nc*coupl(nGC_336)**2d0*coupl(    &
                        nGC_364)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(     &
                        nGC_343)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(     &
                        nGC_370)**2d0 + 20d0*Nc*coupl(nGC_339)*coupl(nGC_343)* &
                        coupl(nGC_370)*coupl(nGC_372) + 10d0*Nc*coupl(nGC_343  &
                        )**2d0*coupl(nGC_372)**2d0 + 10d0*Nc*coupl(nGC_346)**  &
                        2d0*coupl(nGC_348)**2d0 + 10d0*Nc*coupl(nGC_346)**2d0* &
                        coupl(nGC_384)**2d0 + 20d0*Nc*coupl(nGC_346)*coupl(    &
                        nGC_348)*coupl(nGC_382)*coupl(nGC_384) + 10d0*Nc*coupl(&
                        nGC_348)**2d0*coupl(nGC_382)**2d0 + 10d0*Nc*coupl(     &
                        nGC_364)**2d0*coupl(nGC_366)**2d0 + 10d0*Nc*coupl(     &
                        nGC_370)**2d0*coupl(nGC_372)**2d0 + 10d0*Nc*coupl(     &
                        nGC_382)**2d0*coupl(nGC_384)**2d0 + 6d0*coupl(nGC_100)*&
                        coupl(nGC_77) + 12d0*coupl(nGC_175)**2d0 + 12d0*coupl( &
                        nGC_22)**2d0 + 3d0*coupl(nGC_224)*coupl(nGC_229) + 10d0&
                        *coupl(nGC_352)**2d0*coupl(nGC_354)**2d0 + 10d0*coupl( &
                        nGC_358)**2d0*coupl(nGC_360)**2d0 + 10d0*coupl(nGC_376 &
                        )**2d0*coupl(nGC_378)**2d0)/(48d0*pi**2d0)
      coupl(nGC_2887) = cima*(5d0*Nc*coupl(nGC_333)*coupl(nGC_334)**2d0*coupl( &
                        nGC_336) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl( &
                        nGC_364)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_333)*coupl( &
                        nGC_336)*coupl(nGC_364)**2d0 + 5d0*Nc*coupl(nGC_334)** &
                        2d0*coupl(nGC_363)*coupl(nGC_366) + 5d0*Nc*coupl(      &
                        nGC_334)*coupl(nGC_336)*coupl(nGC_363)*coupl(nGC_364   &
                        ) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_342)*coupl(nGC_343 &
                        )**2d0 + 5d0*Nc*coupl(nGC_339)*coupl(nGC_342)*coupl(   &
                        nGC_370)**2d0 + 5d0*Nc*coupl(nGC_339)*coupl(nGC_343)*  &
                        coupl(nGC_369)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_342)* &
                        coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372) + 5d0*Nc* &
                        coupl(nGC_343)**2d0*coupl(nGC_369)*coupl(nGC_372) + 5d0&
                        *Nc*coupl(nGC_345)*coupl(nGC_346)**2d0*coupl(nGC_348   &
                        ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_382 &
                        )*coupl(nGC_384) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_348 &
                        )*coupl(nGC_382)**2d0 + 5d0*Nc*coupl(nGC_346)**2d0*    &
                        coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc*coupl(nGC_346)* &
                        coupl(nGC_348)*coupl(nGC_381)*coupl(nGC_382) + 5d0*Nc* &
                        coupl(nGC_363)*coupl(nGC_364)**2d0*coupl(nGC_366) + 5d0&
                        *Nc*coupl(nGC_369)*coupl(nGC_370)**2d0*coupl(nGC_372   &
                        ) + 5d0*Nc*coupl(nGC_381)*coupl(nGC_382)**2d0*coupl(   &
                        nGC_384) + 6d0*coupl(nGC_175)*coupl(nGC_180) + 6d0*    &
                        coupl(nGC_22)*coupl(nGC_23) + 5d0*coupl(nGC_351)*coupl(&
                        nGC_352)**2d0*coupl(nGC_354) + 5d0*coupl(nGC_357)*coupl&
                        (nGC_358)**2d0*coupl(nGC_360) + 5d0*coupl(nGC_375)*    &
                        coupl(nGC_376)**2d0*coupl(nGC_378))/(24d0*pi**2d0)
      coupl(nGC_2888) = cima*(10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_334)**2d0  &
                         + 10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_364)**2d0 +   &
                        20d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_363)*  &
                        coupl(nGC_364) + 10d0*Nc*coupl(nGC_334)**2d0*coupl(    &
                        nGC_363)**2d0 + 10d0*Nc*coupl(nGC_342)**2d0*coupl(     &
                        nGC_343)**2d0 + 10d0*Nc*coupl(nGC_342)**2d0*coupl(     &
                        nGC_370)**2d0 + 20d0*Nc*coupl(nGC_342)*coupl(nGC_343)* &
                        coupl(nGC_369)*coupl(nGC_370) + 10d0*Nc*coupl(nGC_343  &
                        )**2d0*coupl(nGC_369)**2d0 + 10d0*Nc*coupl(nGC_345)**  &
                        2d0*coupl(nGC_346)**2d0 + 10d0*Nc*coupl(nGC_345)**2d0* &
                        coupl(nGC_382)**2d0 + 20d0*Nc*coupl(nGC_345)*coupl(    &
                        nGC_346)*coupl(nGC_381)*coupl(nGC_382) + 10d0*Nc*coupl(&
                        nGC_346)**2d0*coupl(nGC_381)**2d0 + 10d0*Nc*coupl(     &
                        nGC_363)**2d0*coupl(nGC_364)**2d0 + 10d0*Nc*coupl(     &
                        nGC_369)**2d0*coupl(nGC_370)**2d0 + 10d0*Nc*coupl(     &
                        nGC_381)**2d0*coupl(nGC_382)**2d0 + 6d0*coupl(nGC_100)*&
                        coupl(nGC_77) + 12d0*coupl(nGC_180)**2d0 + 3d0*coupl(  &
                        nGC_224)*coupl(nGC_229) + 12d0*coupl(nGC_23)**2d0 +    &
                        10d0*coupl(nGC_351)**2d0*coupl(nGC_352)**2d0 + 10d0*   &
                        coupl(nGC_357)**2d0*coupl(nGC_358)**2d0 + 10d0*coupl(  &
                        nGC_375)**2d0*coupl(nGC_376)**2d0)/(48d0*pi**2d0)
      coupl(nGC_3639) = coupl(nGC_15)*dZg_QCD2 + coupl(nGC_3047)
      coupl(nGC_2479) = coupl(nGC_4)*(4d0*coupl(nGC_208)**2d0 + coupl(nGC_351  &
                        )**2d0 + coupl(nGC_353)*coupl(nGC_789) + coupl(nGC_354 &
                        )**2d0 + coupl(nGC_356)*coupl(nGC_801) + 4d0*coupl(    &
                        nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2593) = coupl(nGC_13)**2d0*coupl(nGC_382)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3803) = coupl(nGC_100)*dZG0
      coupl(nGC_3802) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*     &
                        dZeMinusL_QED2/2d0 + coupl(nGC_197)*dZnu_eL_QED2/2d0 + &
                        coupl(nGC_3181)
      coupl(nGC_3801) = -coupl(nGC_218)*dZZA_QED2/2d0 - coupl(nGC_26)*dZA_QED2/&
                        2d0 - coupl(nGC_26)*dZHMinus_QED2 - coupl(nGC_3043)
      coupl(nGC_3800) = coupl(nGC_3106) + coupl(nGC_351)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_354)*dZHh_QED2/2d0 + coupl(nGC_354)*         &
                        dZeMinusL_QED2/2d0 + coupl(nGC_354)*dZeMinusR_QED2/2d0
      coupl(nGC_3806) = coupl(nGC_3103) + coupl(nGC_353)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_356)*dZeMinusL_QED2/2d0 + coupl(nGC_356)*    &
                        dZeMinusR_QED2/2d0
      coupl(nGC_3805) = -coupl(nGC_213)*dZG0/2d0
      coupl(nGC_3804) = -coupl(nGC_213)*dZHl_QED2/2d0 - coupl(nGC_213)*dZZ_QED2&
                        /2d0 - coupl(nGC_215)*dZHaG0_QED2/2d0 - coupl(nGC_215)*&
                        dZHhHl_QED2/2d0 - coupl(nGC_3163)
      coupl(nGC_2721) = (4d0*coupl(nGC_208)**3d0 + 4d0*coupl(nGC_208)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_211)*coupl(nGC_351)**2d0 +     &
                        coupl(nGC_211)*coupl(nGC_353)*coupl(nGC_789) + coupl(  &
                        nGC_211)*coupl(nGC_354)**2d0 + coupl(nGC_211)*coupl(   &
                        nGC_356)*coupl(nGC_801) + coupl(nGC_212)*coupl(nGC_352 &
                        )**2d0 + coupl(nGC_212)*coupl(nGC_355)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_2720) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + 4d0*coupl(     &
                        nGC_206)**3d0 + coupl(nGC_209)*coupl(nGC_345)**2d0 +   &
                        coupl(nGC_209)*coupl(nGC_347)*coupl(nGC_817) + coupl(  &
                        nGC_209)*coupl(nGC_348)**2d0 + coupl(nGC_209)*coupl(   &
                        nGC_350)*coupl(nGC_821) + coupl(nGC_210)*coupl(nGC_346 &
                        )**2d0 + coupl(nGC_210)*coupl(nGC_349)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_2723) = (4d0*coupl(nGC_208)**3d0 + 4d0*coupl(nGC_208)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_211)*coupl(nGC_357)**2d0 +     &
                        coupl(nGC_211)*coupl(nGC_359)*coupl(nGC_797) + coupl(  &
                        nGC_211)*coupl(nGC_360)**2d0 + coupl(nGC_211)*coupl(   &
                        nGC_362)*coupl(nGC_885) + coupl(nGC_212)*coupl(nGC_358 &
                        )**2d0 + coupl(nGC_212)*coupl(nGC_361)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_2722) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(  &
                        nGC_197)**2d0*coupl(nGC_212) + coupl(nGC_208)*coupl(   &
                        nGC_351)**2d0 + coupl(nGC_208)*coupl(nGC_353)*coupl(   &
                        nGC_789) + coupl(nGC_208)*coupl(nGC_354)**2d0 + coupl( &
                        nGC_208)*coupl(nGC_356)*coupl(nGC_801) + 4d0*coupl(    &
                        nGC_211)**3d0 + 4d0*coupl(nGC_211)*coupl(nGC_4)**2d0)/(&
                        32d0*pi**2d0)
      coupl(nGC_2725) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(   &
                        nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(   &
                        nGC_352)**2d0 + coupl(nGC_208)*coupl(nGC_355)**2d0 +   &
                        4d0*coupl(nGC_212)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2724) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(  &
                        nGC_197)**2d0*coupl(nGC_212) + coupl(nGC_208)*coupl(   &
                        nGC_357)**2d0 + coupl(nGC_208)*coupl(nGC_359)*coupl(   &
                        nGC_797) + coupl(nGC_208)*coupl(nGC_360)**2d0 + coupl( &
                        nGC_208)*coupl(nGC_362)*coupl(nGC_885) + 4d0*coupl(    &
                        nGC_211)**3d0 + 4d0*coupl(nGC_211)*coupl(nGC_4)**2d0)/(&
                        32d0*pi**2d0)
      coupl(nGC_2727) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(   &
                        nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(   &
                        nGC_358)**2d0 + coupl(nGC_208)*coupl(nGC_361)**2d0 +   &
                        4d0*coupl(nGC_212)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2726) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(   &
                        nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(   &
                        nGC_376)**2d0 + coupl(nGC_208)*coupl(nGC_379)**2d0 +   &
                        4d0*coupl(nGC_212)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3968) = coupl(nGC_211)*dZZ_QED2/2d0 + coupl(nGC_211)*          &
                        dZmuMinusL_QED2 + coupl(nGC_3188) + coupl(nGC_4)*      &
                        dZAZ_QED2/2d0
      coupl(nGC_3969) = coupl(nGC_208)*dZZ_QED2/2d0 + coupl(nGC_208)*          &
                        dZmuMinusR_QED2 + coupl(nGC_3187) + coupl(nGC_4)*      &
                        dZAZ_QED2/2d0
      coupl(nGC_3964) = 2d0*coupl(nGC_17)*dZHlHh_QED2 + 2d0*coupl(nGC_19)*     &
                        dZHh_QED2 + coupl(nGC_2962)
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
