!******************************************************************************!
!                                                                              !
!    ctparameter50.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter50.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 21:29             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter50
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter50()
  V_OS_Hveve_T1_QED3 = cima*ee**3d0*(Ten1146*cMHA**2d0*sa*sb*(-ca*sb + cb*sa)/(&
                       cMW*cb*cw**2d0) + 2d0*Ten1147*cMHC**2d0*sa*sb*(-ca*sb + &
                       cb*sa)/(cMW*cb) + 2d0*Ten1148*cMHC**2d0*sa*sb*(-ca*sb + &
                       cb*sa)/(cMW*cb) + 4d0*Ten1149*cMW*sa*(-cMHH**2d0*ca*cb  &
                        - cMHH**2d0*sa*sb + 2d0*cMW**2d0*ca*cb + 2d0*cMW**2d0* &
                       sa*sb)/cMHH**2d0 + Ten1150*cMHA**2d0*sa*sb*(-ca*sb + cb*&
                       sa)/(cMW*cb*cw**2d0) + 2d0*Ten1151*cMW*sa*(-cMHH**2d0*ca&
                       *cb*cw**2d0 - cMHH**2d0*cw**2d0*sa*sb + 2d0*cMW**2d0*ca*&
                       cb + 2d0*cMW**2d0*sa*sb)/(cMHH**2d0*cw**6d0) + Ten1152* &
                       cMHA**2d0*ca*sb*(ca*cb + sa*sb)/(cMW*cb*cw**2d0) + 2d0* &
                       Ten1153*cMHC**2d0*ca*sb*(ca*cb + sa*sb)/(cMW*cb) + 2d0* &
                       Ten1154*cMHC**2d0*ca*sb*(ca*cb + sa*sb)/(cMW*cb) + 4d0* &
                       Ten1155*cMW*ca*(-cMHL**2d0*ca*sb + cMHL**2d0*cb*sa + 2d0&
                       *cMW**2d0*ca*sb - 2d0*cMW**2d0*cb*sa)/cMHL**2d0 +       &
                       Ten1156*cMHA**2d0*ca*sb*(ca*cb + sa*sb)/(cMW*cb*cw**2d0 &
                       ) + 2d0*Ten1157*cMW*ca*(-cMHL**2d0*ca*cw**2d0*sb + cMHL &
                       **2d0*cb*cw**2d0*sa + 2d0*cMW**2d0*ca*sb - 2d0*cMW**2d0*&
                       cb*sa)/(cMHL**2d0*cw**6d0) + 8d0*Ten1158*cMW*(cMHH**2d0*&
                       ca**2d0*sb - cMHH**2d0*ca*cb*sa + cMHL**2d0*ca*cb*sa +  &
                       cMHL**2d0*sa**2d0*sb)/(cMHH**2d0*cMHL**2d0) + 4d0*      &
                       Ten1159*cMW*(cMHH**2d0*ca**2d0*sb - cMHH**2d0*ca*cb*sa  &
                        + cMHL**2d0*ca*cb*sa + cMHL**2d0*sa**2d0*sb)/(cMHH**2d0&
                       *cMHL**2d0*cw**4d0) + Ten1160*sa*sb*(ca*sb - cb*sa)/(cMW&
                       *cb*cw**2d0) + 2d0*Ten1161*sa*sb*(ca*sb - cb*sa)/(cMW*cb&
                       ) + 2d0*Ten1162*sa*sb*(ca*sb - cb*sa)/(cMW*cb) + 4d0*   &
                       Ten1163*sa*(cMHH**2d0*ca*cb + cMHH**2d0*sa*sb - 2d0*cMW &
                       **2d0*ca*cb - 2d0*cMW**2d0*sa*sb)/(cMHH**2d0*cMW) +     &
                       Ten1164*sa*sb*(ca*sb - cb*sa)/(cMW*cb*cw**2d0) + 2d0*   &
                       Ten1165*sa*(cMHH**2d0*ca*cb*cw**2d0 + cMHH**2d0*cw**2d0*&
                       sa*sb - 2d0*cMW**2d0*ca*cb - 2d0*cMW**2d0*sa*sb)/(cMHH**&
                       2d0*cMW*cw**4d0) - Ten1166*ca*sb*(ca*cb + sa*sb)/(cMW*cb&
                       *cw**2d0) - 2d0*Ten1167*ca*sb*(ca*cb + sa*sb)/(cMW*cb   &
                       ) - 2d0*Ten1168*ca*sb*(ca*cb + sa*sb)/(cMW*cb) + 4d0*   &
                       Ten1169*ca*(cMHL**2d0*ca*sb - cMHL**2d0*cb*sa - 2d0*cMW &
                       **2d0*ca*sb + 2d0*cMW**2d0*cb*sa)/(cMHL**2d0*cMW) -     &
                       Ten1170*ca*sb*(ca*cb + sa*sb)/(cMW*cb*cw**2d0) + 2d0*   &
                       Ten1171*ca*(cMHL**2d0*ca*cw**2d0*sb - cMHL**2d0*cb*cw** &
                       2d0*sa - 2d0*cMW**2d0*ca*sb + 2d0*cMW**2d0*cb*sa)/(cMHL &
                       **2d0*cMW*cw**4d0))/(4d0*sw**3d0)
    if (.not. complex_mass_scheme) then
      V_OS_Hveve_T1_QED3 = cone*real(V_OS_Hveve_T1_QED3,kind=dp)
    end if 
end subroutine set_ctparameter50
end module ctparameter50
